import { n as useFullHeight } from "./index4.js";
import { f as useBreakpoint } from "./chevron-right.js";
import { h, r as _ } from "./index.js";
import { j as jsx, a as jsxs } from "./jsx-runtime.js";
const callToAction = "_callToAction_8u5qj_1";
const wrapper = "_wrapper_8u5qj_14";
const info = "_info_8u5qj_20";
const permissions = "_permissions_8u5qj_21";
const title = "_title_8u5qj_31";
var styles = {
  callToAction,
  wrapper,
  info,
  permissions,
  title
};
const CallToAction = ({
  icon,
  title: title2,
  description,
  buttons
}) => {
  const breakpoint = useBreakpoint();
  const ref = h(null);
  useFullHeight({
    ref
  });
  const heading = _(() => {
    return breakpoint !== "desktop" ? jsx("h1", {
      class: `heading-3 ${styles.title}`,
      children: title2
    }) : jsx("h2", {
      class: `heading-3 ${styles.title}`,
      children: title2
    });
  }, [breakpoint, title2]);
  return jsxs("div", {
    ref,
    className: styles.callToAction,
    children: [breakpoint === "desktop" && icon, jsxs("div", {
      class: styles.wrapper,
      children: [jsxs("div", {
        className: styles.info,
        children: [breakpoint !== "desktop" && icon, jsxs("div", {
          className: styles.body,
          children: [heading, jsx("p", {
            class: "body",
            children: description
          })]
        })]
      }), jsx("div", {
        className: `${styles.permissions}`,
        children: buttons.map((button) => button)
      })]
    })]
  });
};
export { CallToAction as C };
