import { r as _ } from "./index.js";
import { a as jsxs, j as jsx } from "./jsx-runtime.js";
const segmentedControl = "_segmentedControl_hyblc_1";
const button = "_button_hyblc_19";
const transition = "_transition_hyblc_70";
var styles = {
  segmentedControl,
  button,
  transition
};
const SegmentedControl = ({
  legend,
  options,
  selectedSegmentIndex,
  setSelectedSegmentIndex
}) => {
  const left = _(() => selectedSegmentIndex === 0 ? 0 : `${selectedSegmentIndex / options.length * 100}%`, [options.length, selectedSegmentIndex]);
  return jsxs("fieldset", {
    className: styles.segmentedControl,
    onChange: ({
      target
    }) => setSelectedSegmentIndex(+target.value),
    children: [legend && jsx("legend", {
      children: legend
    }), jsx("span", {
      style: {
        left
      },
      className: styles.transition
    }), options.map((option, index) => jsxs("div", {
      class: styles.button,
      children: [jsx("input", {
        class: "sr-only",
        type: "radio",
        id: index.toString(),
        value: index,
        checked: index === selectedSegmentIndex
      }), jsx("label", {
        htmlFor: index.toString(),
        "data-value": option.label,
        children: option.label
      })]
    }, index))]
  });
};
export { SegmentedControl as S };
