var __defProp = Object.defineProperty;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
import { s as d, T as TagName, h } from "./index.js";
import { j as useIsHeaderFixed, k as getHeaderHeight, L as ListItem } from "./index4.js";
import { f as useBreakpoint, h as getRootContainer } from "./chevron-right.js";
import { j as jsx, a as jsxs } from "./jsx-runtime.js";
const useStickySectionTitles = (shouldStickySectionTitle, sectionTitles) => {
  const breakpoint = useBreakpoint();
  const isHeaderFixed = useIsHeaderFixed();
  d(() => {
    var _a;
    if (!shouldStickySectionTitle || !sectionTitles.length)
      return;
    const headerHeight = isHeaderFixed ? getHeaderHeight(TagName.Profile) : 0;
    const profileHeader = (_a = getRootContainer(TagName.Profile)) == null ? void 0 : _a.querySelector("header");
    const profileHeaderHeight = profileHeader ? profileHeader.clientHeight : 0;
    const cardSpacing = breakpoint === "desktop" ? 32 : 0;
    const offset = headerHeight + profileHeaderHeight + cardSpacing;
    return sectionTitles.forEach((sectionTitle2) => {
      sectionTitle2.style.top = `${offset}px`;
    });
  }, [isHeaderFixed, sectionTitles, sectionTitles.length, shouldStickySectionTitle, breakpoint]);
};
const Section = (props) => {
  if (props.variant === "navigation") {
    return jsx("nav", {
      "aria-label": props.ariaLabel,
      children: props.children
    });
  }
  return jsx("div", {
    children: props.children
  });
};
const sectionTitle = "_sectionTitle_15xk3_1";
const left = "_left_15xk3_11";
var styles = {
  sectionTitle,
  left
};
const SectionTitle = ({
  i,
  title,
  listItems,
  action,
  shouldSticky
}) => {
  const sectionTitles = h([]);
  useStickySectionTitles(shouldSticky, sectionTitles.current);
  if (!title || (listItems == null ? void 0 : listItems.length) === 0)
    return null;
  return jsxs("span", {
    ref: (element) => sectionTitles.current[i] = element,
    class: `${styles.sectionTitle} subtext`,
    children: [jsx("div", {
      class: styles.left,
      children: title
    }), action && jsx("span", {
      class: "subtext",
      children: action
    })]
  });
};
const List = ({
  className,
  ariaLabel,
  sections,
  shouldStickySectionTitle = false,
  variant = "navigation"
}) => {
  const sectionTitles = h([]);
  useStickySectionTitles(shouldStickySectionTitle, sectionTitles.current);
  return jsx("ul", {
    class: className || "",
    "aria-label": ariaLabel,
    children: sections.map((section, i) => {
      if (!section.listItems.length)
        return;
      return jsx("li", {
        children: jsxs(Section, {
          variant,
          ariaLabel: section.ariaLabel,
          children: [jsx(SectionTitle, {
            i,
            title: section.title,
            action: section.action,
            listItems: section.listItems,
            shouldSticky: true
          }), jsx("ul", {
            class: "list",
            children: section.listItems.map((props, i2) => {
              return jsx(ListItem, __spreadValues({
                asset: props.asset,
                title: props.title,
                body: props.body,
                action: props.action
              }, props.variant === "link" ? {
                route: props.route,
                variant: "link"
              } : {
                variant: "div"
              }), i2);
            })
          })]
        })
      }, i);
    })
  });
};
export { List as L, useStickySectionTitles as u };
