var __defProp = Object.defineProperty;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
import { T as TextInput, c as create, a as create$1, u as useFormik, E as EditForm, b as useAccessibleFormError, i as isValidMobilePhoneNumber, d as isValidLandlinePhoneNumber, D as DEFAULT_PHONE_COUNTRY_CODE, P as PhoneNumberInput, e as useCommunicationLanguageOptions, f as useUserInfoForm, B as ButtonRadioInput, g as useToast, I as IdentityForm } from "./index8.js";
import { P as ProfilePage } from "./index9.js";
import { S as SelectInput } from "./index6.js";
import { m, $ as CountryCode$1, y } from "./index.js";
import { d as useStore, r as dist } from "./chevron-right.js";
import { o as CountryCode, p as useUpdateAddressMutation, q as useUpdatePhonesMutation, s as PhoneType, v as useUpdateLanguageMutation } from "./index4.js";
import { u as useTranslation, a as jsxs, F as Fragment, j as jsx } from "./jsx-runtime.js";
import "./index7.js";
import "./isDisabled.js";
import "./Button.module.js";
import "./close.js";
import "./Button.js";
import "./index10.js";
import "./index11.js";
import "./_baseIteratee.js";
const isNonEmptyArray = (arr) => Array.isArray(arr) && arr.length >= 1;
const isObject = (obj) => obj !== null && typeof obj === "object" && !Array.isArray(obj);
const isObjectAndIsNotEmpty = (obj) => isObject(obj) && Object.entries(obj).length >= 1;
const DEFAULT_ADDRESS_ERR_TR_KEY = "wrongInput";
const addressValidationErrorCodes = (/* @__PURE__ */ new Map()).set("TO_BE_CONFIRMED", ["toBeConfirmed", null]).set("LOCATION_NOT_FOUND", ["locationNotFound", "locationName"]).set("STREET_NOT_FOUND", ["streetNotFound", "streetName"]).set("AMBIGUOUS_LOCATION", ["ambiguousLocation", null]).set("AMBIGUOUS_STREET", ["ambiguousStreet", "streetName"]).set("POSTALCODE_NOT_FOUND", ["postalCodeNotFound", "postalCode"]).set("MISSING_HOUSENR_DELIVERYPOINT", ["missingHouseNrDeliveryPoint", null]).set("INVALID_HOUSENR", ["invalidHouseNr", "houseNumber"]).set("INVALID_ISOCOUNTRYCODE", ["invalidIsoCountryCode", null]).set("MANDATORY_FIELDS_UNFILLED", ["mandatoryFieldsUnfilled", null]).set("NO_REFERENCEDATA_AVAILABLE", ["noReferenceDataAvailable", null]).set("VALIDATION_SERVICE_UNAVAILABLE", ["validationServiceUnavailable", null]).set("AMBIGUOUS_BUILDING", ["ambiguousBuilding", "houseNumber"]).set("INVALID_ADDRESS_STRUCTURE", ["invalidAddressStructure", null]).set("INTERNAL_PROCESSING_ERROR", ["internalProcessingError", null]);
function addressValidationErrorTranslationKey({
  errors,
  exceptionDetails
}) {
  let errTrKey = DEFAULT_ADDRESS_ERR_TR_KEY;
  let formFieldName;
  if (isObjectAndIsNotEmpty(errors) && isNonEmptyArray(errors == null ? void 0 : errors.Model)) {
    errors == null ? void 0 : errors.Model.forEach((error) => {
      if (errTrKey === DEFAULT_ADDRESS_ERR_TR_KEY) {
        addressValidationErrorCodes.forEach(([trKey, field], errorCode) => {
          if (error.endsWith(errorCode)) {
            errTrKey = trKey;
            formFieldName = field;
          }
        });
      }
    });
  }
  if (errTrKey === DEFAULT_ADDRESS_ERR_TR_KEY && isNonEmptyArray(exceptionDetails) && isObjectAndIsNotEmpty(exceptionDetails[0])) {
    const errorMessage = exceptionDetails[0].message;
    if (errorMessage) {
      addressValidationErrorCodes.forEach(([trKey, field], errorCode) => {
        if (errorMessage.endsWith(errorCode)) {
          errTrKey = trKey;
          formFieldName = field;
        }
      });
    }
  }
  return [errTrKey, formFieldName];
}
const city = "_city_nadeq_1";
const street = "_street_nadeq_5";
const deliveryPoint = "_deliveryPoint_nadeq_9";
const country = "_country_nadeq_14";
var classes$1 = {
  city,
  street,
  deliveryPoint,
  country
};
const BelgianAddress = ({
  values,
  errors,
  handleChange
}) => {
  const {
    t
  } = useTranslation("web");
  return jsxs(Fragment, {
    children: [jsxs("div", {
      class: classes$1.city,
      children: [jsx(TextInput, {
        id: "locationName",
        label: t(`${TRANSLATION_PATH$2}.locationName.label`),
        value: values == null ? void 0 : values.locationName,
        error: errors.locationName,
        variant: "disabledText",
        onInput: handleChange
      }), jsx(TextInput, {
        id: "postalCode",
        label: t(`${TRANSLATION_PATH$2}.postalCode.label`),
        value: values == null ? void 0 : values.postalCode,
        error: errors.postalCode,
        variant: "disabledText",
        onInput: handleChange
      })]
    }), jsxs("div", {
      class: classes$1.street,
      children: [jsx(TextInput, {
        id: "streetName",
        label: t(`${TRANSLATION_PATH$2}.streetName.label`),
        value: values == null ? void 0 : values.streetName,
        error: errors.streetName,
        variant: "disabledText",
        onInput: handleChange
      }), jsx(TextInput, {
        id: "houseNumber",
        label: t(`${TRANSLATION_PATH$2}.houseNumber.label`),
        value: values == null ? void 0 : values.houseNumber,
        error: errors.houseNumber,
        variant: "disabledText",
        onInput: handleChange
      }), jsx(TextInput, {
        id: "letterBoxName",
        label: t(`${TRANSLATION_PATH$2}.letterBoxName.label`),
        value: values == null ? void 0 : values.letterBoxName,
        error: errors.letterBoxName,
        variant: "disabledText",
        onInput: handleChange
      })]
    })]
  });
};
const FrenchAddress = ({
  values,
  errors,
  handleChange
}) => {
  const {
    t
  } = useTranslation("web");
  return jsxs(Fragment, {
    children: [jsxs("div", {
      class: classes$1.city,
      children: [jsx(TextInput, {
        id: "locationName",
        label: t(`${TRANSLATION_PATH$2}.locationName.label`),
        value: values.locationName,
        error: errors.locationName,
        variant: "disabledText",
        onInput: handleChange
      }), jsx(TextInput, {
        id: "postalCode",
        label: t(`${TRANSLATION_PATH$2}.postalCode.label`),
        value: values.postalCode,
        error: errors.postalCode,
        variant: "disabledText",
        onInput: handleChange
      })]
    }), jsxs("div", {
      class: classes$1.street,
      children: [jsx(TextInput, {
        id: "streetName",
        label: t(`${TRANSLATION_PATH$2}.streetName.label`),
        value: values.streetName,
        error: errors.streetName,
        variant: "disabledText",
        onInput: handleChange
      }), jsx(TextInput, {
        id: "houseNumber",
        label: t(`${TRANSLATION_PATH$2}.houseNumber.label`),
        value: values.houseNumber,
        error: errors.houseNumber,
        variant: "disabledText",
        onInput: handleChange
      }), jsx(TextInput, {
        id: "letterBoxName",
        label: t(`${TRANSLATION_PATH$2}.letterBoxName.label`),
        value: values.letterBoxName,
        error: errors.letterBoxName,
        variant: "disabledText",
        onInput: handleChange
      })]
    }), jsxs("div", {
      class: classes$1.deliveryPoint,
      children: [jsx(TextInput, {
        id: "deliveryPoint",
        label: t(`${TRANSLATION_PATH$2}.deliveryPoint.label`),
        value: values.deliveryPoint,
        error: errors.deliveryPoint,
        variant: "disabledText",
        onInput: handleChange
      }), jsx(TextInput, {
        id: "additionalDeliveryPtInfo",
        label: t(`${TRANSLATION_PATH$2}.additionalDeliveryPtInfo.label`),
        value: values.additionalDeliveryPtInfo,
        error: errors.additionalDeliveryPtInfo,
        variant: "disabledText",
        onInput: handleChange
      })]
    }), jsx("div", {
      children: jsx(TextInput, {
        id: "additionalLocationInfo",
        label: t(`${TRANSLATION_PATH$2}.additionalLocationInfo.label`),
        value: values.additionalLocationInfo,
        error: errors.additionalLocationInfo,
        variant: "disabledText",
        onInput: handleChange
      })
    })]
  });
};
function useAvailableCountries() {
  const {
    t
  } = useTranslation("web");
  return [{
    value: CountryCode.Be,
    label: t("profile.manageProfile.userInfo.address.countries.belgium")
  }, {
    value: CountryCode.Fr,
    label: t("profile.manageProfile.userInfo.address.countries.france")
  }];
}
const validationSchema$2 = (countryCode, t) => {
  switch (countryCode) {
    case CountryCode.Be:
      return belgianValidationSchema(t);
    case CountryCode.Fr:
      return frenchValidationSchema(t);
    default:
      return belgianValidationSchema(t);
  }
};
const belgianValidationSchema = (t) => {
  return create({
    locationName: create$1().trim().required(t("profile.manageProfile.userInfo.address.locationName.errors.required")),
    postalCode: create$1().trim().required(t("profile.manageProfile.userInfo.address.postalCode.errors.required")),
    streetName: create$1().trim().required(t("profile.manageProfile.userInfo.address.streetName.errors.required")),
    houseNumber: create$1().trim().required(t("profile.manageProfile.userInfo.address.houseNumber.errors.required"))
  });
};
const frenchValidationSchema = (t) => {
  return create({
    locationName: create$1().trim().required(t("profile.manageProfile.userInfo.address.locationName.errors.required")),
    postalCode: create$1().trim().required(t("profile.manageProfile.userInfo.address.postalCode.errors.required")),
    streetName: create$1().trim().required(t("profile.manageProfile.userInfo.address.streetName.errors.required"))
  });
};
const TRANSLATION_PATH$2 = "profile.manageProfile.userInfo.address";
const AddressForm = ({
  onSuccess,
  onError
}) => {
  const {
    t
  } = useTranslation("web");
  const {
    user,
    setUser
  } = useStore();
  const address = user.address;
  const {
    mutateAsync
  } = useUpdateAddressMutation();
  const [hasSubmitted, setHasSubmitted] = m(false);
  const [validateOnChange, setValidateOnChange] = m(false);
  const [formType, setFormType] = m((address == null ? void 0 : address.countryCode) || CountryCode$1.Be);
  const countries = useAvailableCountries();
  const onSubmit = async (values, setFieldError) => {
    var _a, _b, _c, _d, _e, _f;
    try {
      const {
        updateProfile
      } = await mutateAsync({
        address: {
          postalCode: values.postalCode.trim(),
          locationName: values.locationName.trim(),
          streetName: values.streetName.trim(),
          houseNumber: (_a = values.houseNumber) == null ? void 0 : _a.trim(),
          letterBoxName: (_b = values.letterBoxName) == null ? void 0 : _b.trim(),
          deliveryPoint: (_c = values.deliveryPoint) == null ? void 0 : _c.trim(),
          additionalDeliveryPtInfo: (_d = values.additionalDeliveryPtInfo) == null ? void 0 : _d.trim(),
          additionalLocationInfo: (_e = values.additionalLocationInfo) == null ? void 0 : _e.trim(),
          countryCode: formType
        },
        updatedAt: new Date().toISOString()
      });
      const updatedUser = __spreadValues(__spreadValues({}, user), updateProfile);
      setUser(updatedUser);
      formik.resetForm();
      setHasSubmitted(true);
      onSuccess();
    } catch (error) {
      if (error instanceof dist.ClientError && ((_f = error.response) == null ? void 0 : _f.status) === 422 && error.response.errors) {
        const [errorTrKey, formField] = addressValidationErrorTranslationKey(error.response.errors[0].extensions);
        const errorTranslation = t(`${TRANSLATION_PATH$2}.toast.${errorTrKey}`);
        if (formField) {
          setFieldError(formField, errorTranslation);
          return;
        }
        onError(errorTranslation);
        return;
      }
      onError();
    }
  };
  const formik = useFormik({
    initialValues: address,
    enableReinitialize: true,
    validateOnChange,
    validateOnBlur: false,
    validationSchema: validationSchema$2(formType, t),
    onSubmit: (values, {
      setFieldError
    }) => onSubmit(values, setFieldError)
  });
  y(() => setValidateOnChange(!formik.submitCount), [formik.submitCount]);
  return jsxs(EditForm, {
    formTitle: t(`${TRANSLATION_PATH$2}.title`),
    name: t(`${TRANSLATION_PATH$2}.title`),
    accessibleFormError: useAccessibleFormError({
      isValid: formik.isValid,
      path: TRANSLATION_PATH$2,
      keys: Object.keys(formik.errors)
    }),
    disableBrowserValidation: true,
    onSubmit: formik.handleSubmit,
    onCancel: (e) => {
      setFormType(address.countryCode || CountryCode$1.Be);
      formik.handleReset(e);
    },
    hasSubmitted,
    onDisable: () => setHasSubmitted(false),
    children: [jsx("div", {
      class: classes$1.country,
      children: jsx(SelectInput, {
        id: "countryCode",
        label: t(`${TRANSLATION_PATH$2}.countryCode.label`),
        options: countries,
        selectedValue: formType,
        variant: "disabledSelect",
        onChange: (e) => {
          const {
            value
          } = e.target;
          formik.setErrors({});
          setFormType(value);
        }
      })
    }), formType === CountryCode$1.Fr ? jsx(FrenchAddress, {
      values: formik.values,
      errors: formik.errors,
      handleChange: formik.handleChange
    }) : jsx(BelgianAddress, {
      values: formik.values,
      errors: formik.errors,
      handleChange: formik.handleChange
    })]
  });
};
const phone = "_phone_fqo1m_1";
var classes = {
  phone
};
const validationSchema$1 = ({
  mobileCountryCode,
  mobileNumber,
  landlineCountryCode,
  landlineNumber
}, t) => {
  const mobilePhone = `${mobileCountryCode}${mobileNumber || ""}`;
  const landlinePhone = `${landlineCountryCode}${landlineNumber || ""}`;
  const mobileError = mobileNumber ? !isValidMobilePhoneNumber(mobilePhone) && t(`profile.manageProfile.userInfo.contact.mobile.errors.format`) : !landlineNumber && t(`profile.manageProfile.userInfo.contact.mobile.errors.required`);
  const landlineError = landlineNumber ? !isValidLandlinePhoneNumber(landlinePhone) && t(`profile.manageProfile.userInfo.contact.landline.errors.format`) : !mobileNumber && t(`profile.manageProfile.userInfo.contact.landline.errors.required`);
  return __spreadValues(__spreadValues({}, mobileError && {
    mobileNumber: mobileError
  }), landlineError && {
    landlineNumber: landlineError
  });
};
const TRANSLATION_PATH$1 = "profile.manageProfile.userInfo.contact";
const ContactForm = ({
  onSuccess,
  onError
}) => {
  const {
    t
  } = useTranslation("web");
  const {
    user,
    setUser
  } = useStore();
  const phone2 = user.phone;
  const {
    mutateAsync
  } = useUpdatePhonesMutation();
  const [hasSubmitted, setHasSubmitted] = m(false);
  const [validateOnChange, setValidateOnChange] = m(false);
  const mobilePhoneData = phone2 == null ? void 0 : phone2.find((p) => (p == null ? void 0 : p.type) === PhoneType.Mobile);
  const landlinePhoneData = phone2 == null ? void 0 : phone2.find((p) => (p == null ? void 0 : p.type) === PhoneType.Fixed);
  const onSubmit = async (values) => {
    var _a;
    const updatedPhoneData = [{
      countryCode: values.mobileCountryCode.toString(),
      number: values.mobileNumber
    }, {
      countryCode: values.landlineCountryCode.toString(),
      number: values.landlineNumber
    }].filter(({
      number
    }) => Boolean(number));
    try {
      const {
        updateProfile
      } = await mutateAsync({
        phones: updatedPhoneData,
        updatedAt: new Date().toISOString()
      });
      const updatedUser = __spreadValues(__spreadValues({}, user), updateProfile);
      setUser(updatedUser);
      formik.resetForm();
      setHasSubmitted(true);
      onSuccess();
    } catch (error) {
      if (error instanceof dist.ClientError && ((_a = error.response) == null ? void 0 : _a.status) === 422) {
        onError(t(`${TRANSLATION_PATH$1}.toast.wrongInput`));
        return;
      }
      onError();
    }
  };
  const formik = useFormik({
    initialValues: {
      mobileCountryCode: (mobilePhoneData == null ? void 0 : mobilePhoneData.countryCode) || DEFAULT_PHONE_COUNTRY_CODE,
      mobileNumber: (mobilePhoneData == null ? void 0 : mobilePhoneData.number) || "",
      landlineCountryCode: (landlinePhoneData == null ? void 0 : landlinePhoneData.countryCode) || DEFAULT_PHONE_COUNTRY_CODE,
      landlineNumber: (landlinePhoneData == null ? void 0 : landlinePhoneData.number) || ""
    },
    enableReinitialize: true,
    validateOnChange,
    validateOnBlur: false,
    validate: (values) => validationSchema$1(__spreadValues({}, values), t),
    onSubmit
  });
  y(() => setValidateOnChange(!!formik.submitCount), [formik.submitCount]);
  return jsx(EditForm, {
    formTitle: t(`${TRANSLATION_PATH$1}.title`),
    name: t(`${TRANSLATION_PATH$1}.title`),
    accessibleFormError: useAccessibleFormError({
      isValid: formik.isValid,
      path: TRANSLATION_PATH$1,
      keys: Object.keys(formik.errors)
    }),
    disableBrowserValidation: true,
    onSubmit: formik.handleSubmit,
    onCancel: formik.handleReset,
    hasSubmitted,
    onDisable: () => setHasSubmitted(false),
    children: jsxs("div", {
      class: classes.phone,
      children: [jsx(PhoneNumberInput, {
        id: "mobileNumber",
        label: t(`${TRANSLATION_PATH$1}.mobile.label`),
        value: formik.values.mobileNumber,
        countryCode: formik.values.mobileCountryCode,
        error: formik.errors.mobileNumber,
        variant: "disabledPhoneNumber",
        onInput: formik.handleChange("mobileNumber"),
        onChangeCountryCode: formik.handleChange("mobileCountryCode")
      }), jsx(PhoneNumberInput, {
        id: "landlineNumber",
        label: t(`${TRANSLATION_PATH$1}.landline.label`),
        value: formik.values.landlineNumber,
        countryCode: formik.values.landlineCountryCode,
        error: formik.errors.landlineNumber,
        variant: "disabledPhoneNumber",
        onInput: formik.handleChange("landlineNumber"),
        onChangeCountryCode: formik.handleChange("landlineCountryCode")
      })]
    })
  });
};
const validationSchema = (t) => {
  return create({
    communicationLanguage: create$1().trim().required(t("profile.manageProfile.userInfo.language.communicationLanguage.errors.required"))
  });
};
const useLanguage = () => {
  const {
    user
  } = useStore();
  const {
    communicationLanguage
  } = user;
  return {
    communicationLanguage
  };
};
const TRANSLATION_PATH = "profile.manageProfile.userInfo.language";
const LanguageForm = ({
  onSuccess,
  onError
}) => {
  const {
    t
  } = useTranslation("web");
  const {
    mutateAsync
  } = useUpdateLanguageMutation();
  const communicationLanguageOptions = useCommunicationLanguageOptions();
  const language = useLanguage();
  const {
    formik,
    hasSubmitted,
    setHasSubmitted
  } = useUserInfoForm({
    initialValues: language,
    mutateAsync,
    onSuccess,
    onError,
    validationSchema: validationSchema(t)
  });
  return jsx(EditForm, {
    formTitle: t(`${TRANSLATION_PATH}.title`),
    name: t(`${TRANSLATION_PATH}.title`),
    accessibleFormError: useAccessibleFormError({
      isValid: formik.isValid,
      path: TRANSLATION_PATH,
      keys: Object.keys(formik.errors)
    }),
    onSubmit: formik.handleSubmit,
    onCancel: formik.handleReset,
    hasSubmitted,
    onDisable: () => setHasSubmitted(false),
    children: jsx(ButtonRadioInput, {
      legend: t(`${TRANSLATION_PATH}.communicationLanguage.label`),
      name: "communicationLanguage",
      options: communicationLanguageOptions,
      error: formik.errors.communicationLanguage,
      checkedValue: formik.values.communicationLanguage,
      onChange: formik.handleChange
    })
  });
};
const userInfo = "_userInfo_lyktx_1";
const avatar = "_avatar_lyktx_9";
const name = "_name_lyktx_13";
const date = "_date_lyktx_34";
var styles = {
  userInfo,
  avatar,
  name,
  date
};
const UserInfo = () => {
  const {
    t
  } = useTranslation("web");
  const {
    toastProps,
    showToast
  } = useToast();
  const headerProps = {
    title: t("profile.manageProfile.userInfo.title"),
    goBackLinkProps: {
      to: t("profile.manageProfile.title")
    }
  };
  const successMessage = t("profile.manageProfile.userInfo.toast.success");
  const errorMessage = t("profile.manageProfile.userInfo.toast.error");
  const onSuccess = (message = successMessage) => showToast({
    message
  });
  const onError = (message = errorMessage) => showToast({
    message,
    isError: true
  });
  return jsx(ProfilePage, {
    headerProps,
    toastProps,
    children: jsxs("div", {
      class: styles.userInfo,
      children: [jsx(IdentityForm, {
        onSuccess,
        onError
      }), jsx(ContactForm, {
        onSuccess,
        onError
      }), jsx(AddressForm, {
        onSuccess,
        onError
      }), jsx(LanguageForm, {
        onSuccess,
        onError
      })]
    })
  });
};
export { UserInfo as default };
