import { b as buttonStyles } from "./Button.module.js";
import { u as useWebSignature } from "./index3.js";
import { c as commonjsGlobal, g as getScopes, a as getAuthorities, b as getRedirectRequest } from "./index.js";
import { u as useTranslation, j as jsx, a as jsxs, F as Fragment } from "./jsx-runtime.js";
var base64$1 = { exports: {} };
/*! https://mths.be/base64 v1.0.0 by @mathias | MIT license */
(function(module, exports) {
  (function(root) {
    var freeExports = exports;
    var freeModule = module && module.exports == freeExports && module;
    var freeGlobal = typeof commonjsGlobal == "object" && commonjsGlobal;
    if (freeGlobal.global === freeGlobal || freeGlobal.window === freeGlobal) {
      root = freeGlobal;
    }
    var InvalidCharacterError = function(message) {
      this.message = message;
    };
    InvalidCharacterError.prototype = new Error();
    InvalidCharacterError.prototype.name = "InvalidCharacterError";
    var error = function(message) {
      throw new InvalidCharacterError(message);
    };
    var TABLE = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";
    var REGEX_SPACE_CHARACTERS = /[\t\n\f\r ]/g;
    var decode = function(input) {
      input = String(input).replace(REGEX_SPACE_CHARACTERS, "");
      var length = input.length;
      if (length % 4 == 0) {
        input = input.replace(/==?$/, "");
        length = input.length;
      }
      if (length % 4 == 1 || /[^+a-zA-Z0-9/]/.test(input)) {
        error("Invalid character: the string to be decoded is not correctly encoded.");
      }
      var bitCounter = 0;
      var bitStorage;
      var buffer;
      var output = "";
      var position = -1;
      while (++position < length) {
        buffer = TABLE.indexOf(input.charAt(position));
        bitStorage = bitCounter % 4 ? bitStorage * 64 + buffer : buffer;
        if (bitCounter++ % 4) {
          output += String.fromCharCode(255 & bitStorage >> (-2 * bitCounter & 6));
        }
      }
      return output;
    };
    var encode = function(input) {
      input = String(input);
      if (/[^\0-\xFF]/.test(input)) {
        error("The string to be encoded contains characters outside of the Latin1 range.");
      }
      var padding = input.length % 3;
      var output = "";
      var position = -1;
      var a;
      var b;
      var c;
      var buffer;
      var length = input.length - padding;
      while (++position < length) {
        a = input.charCodeAt(position) << 16;
        b = input.charCodeAt(++position) << 8;
        c = input.charCodeAt(++position);
        buffer = a + b + c;
        output += TABLE.charAt(buffer >> 18 & 63) + TABLE.charAt(buffer >> 12 & 63) + TABLE.charAt(buffer >> 6 & 63) + TABLE.charAt(buffer & 63);
      }
      if (padding == 2) {
        a = input.charCodeAt(position) << 8;
        b = input.charCodeAt(++position);
        buffer = a + b;
        output += TABLE.charAt(buffer >> 10) + TABLE.charAt(buffer >> 4 & 63) + TABLE.charAt(buffer << 2 & 63) + "=";
      } else if (padding == 1) {
        buffer = input.charCodeAt(position);
        output += TABLE.charAt(buffer >> 2) + TABLE.charAt(buffer << 4 & 63) + "==";
      }
      return output;
    };
    var base642 = {
      "encode": encode,
      "decode": decode,
      "version": "1.0.0"
    };
    if (freeExports && !freeExports.nodeType) {
      if (freeModule) {
        freeModule.exports = base642;
      } else {
        for (var key in base642) {
          base642.hasOwnProperty(key) && (freeExports[key] = base642[key]);
        }
      }
    } else {
      root.base64 = base642;
    }
  })(commonjsGlobal);
})(base64$1, base64$1.exports);
var base64 = base64$1.exports;
const wrapper = "_wrapper_4n1nr_1";
const menuWrapper = "_menuWrapper_4n1nr_6";
const headerButton = "_headerButton_4n1nr_11";
const logoutButton = "_logoutButton_4n1nr_34";
var styles = {
  wrapper,
  menuWrapper,
  headerButton,
  logoutButton
};
const Authentication = ({
  variant = "menu",
  msalInstance,
  environment
}) => {
  const {
    t,
    i18n
  } = useTranslation("web");
  const context = useWebSignature();
  const isAuthenticated = !!msalInstance.getAllAccounts().length;
  const registerRequest = {
    scopes: getScopes(environment),
    authority: getAuthorities(environment).register,
    extraQueryParameters: {
      ui_locales: i18n.language,
      context: base64.encode(JSON.stringify(context))
    },
    state: JSON.stringify({
      location: window.location.href
    })
  };
  return jsx("div", {
    class: `${styles.wrapper} ${variant === "menu" ? styles.menuWrapper : ""}`,
    children: !isAuthenticated ? jsxs(Fragment, {
      children: [jsx("button", {
        class: `${buttonStyles.button} ${variant === "header" ? styles.headerButton : buttonStyles.secondary}`,
        onClick: () => void msalInstance.loginRedirect(getRedirectRequest(environment)),
        children: t("authentication.login")
      }), jsx("button", {
        class: `${buttonStyles.button} ${variant === "header" ? styles.headerButton : buttonStyles.primary}`,
        onClick: () => void msalInstance.loginRedirect(registerRequest),
        children: t("authentication.register")
      })]
    }) : jsx("button", {
      class: `${buttonStyles.button} ${variant === "header" ? styles.headerButton : styles.logoutButton}`,
      onClick: () => void msalInstance.logoutRedirect(),
      children: t("authentication.logout")
    })
  });
};
export { Authentication as default };
