var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
import { u as useLocale } from "./index7.js";
import { _ as _assign, p as primitiveProps, P as Path, d as degreesToRadians, a as arc, b as _defaults, e as evaluateStyle, c as evaluateProp, m as modifyProps, r as radiansToDegrees, i as isNil_1, g as getDefaultStyles, f as getStyles, h as getColorScale, j as getPadding, k as getData, l as isTooltip, o as omit, n as isPlainObject_1, q as pie, s as addEvents, t as nonNegative, u as allOfType, V as VictoryLabel, v as VictoryContainer, w as VictoryTheme, x as withSafeUserProps, y as integer, z as subMonths, S as SvgShoppingLists } from "./index12.js";
import { u as useFormatPriceAmount, E as EmptyState } from "./index15.js";
import { f as useBreakpoint } from "./chevron-right.js";
import { l as React, v, m, y, r as _ } from "./index.js";
import { S as SvgMeat } from "./meat.js";
import { j as jsx, a as jsxs, u as useTranslation } from "./jsx-runtime.js";
import { P as PropTypes, w as useParams, t as toUrl, C as Chevron, f as capitalize } from "./index4.js";
import { w as isFunction_1 } from "./_baseIteratee.js";
import { L as List } from "./index17.js";
import { r as requiredArgs, b as toDate, f as format, P as ProfilePage } from "./index9.js";
import { s as subYears } from "./index11.js";
import "./index14.js";
import "./Button.js";
import "./Button.module.js";
import "./index13.js";
function eachMonthOfInterval(dirtyInterval) {
  requiredArgs(1, arguments);
  var interval = dirtyInterval || {};
  var startDate = toDate(interval.start);
  var endDate = toDate(interval.end);
  var endTime = endDate.getTime();
  var dates = [];
  if (!(startDate.getTime() <= endTime)) {
    throw new RangeError("Invalid interval");
  }
  var currentDate = startDate;
  currentDate.setHours(0, 0, 0, 0);
  currentDate.setDate(1);
  while (currentDate.getTime() <= endTime) {
    dates.push(toDate(currentDate));
    currentDate.setMonth(currentDate.getMonth() + 1);
  }
  return dates;
}
function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);
  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    enumerableOnly && (symbols = symbols.filter(function(sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    })), keys.push.apply(keys, symbols);
  }
  return keys;
}
function _objectSpread(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};
    i % 2 ? ownKeys(Object(source), true).forEach(function(key) {
      _defineProperty(target, key, source[key]);
    }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function(key) {
      Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
    });
  }
  return target;
}
function _defineProperty(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, { value, enumerable: true, configurable: true, writable: true });
  } else {
    obj[key] = value;
  }
  return obj;
}
var getPath = function(props) {
  var slice = props.slice, radius = props.radius, innerRadius = props.innerRadius, cornerRadius = props.cornerRadius;
  if (isFunction_1(props.pathFunction)) {
    return props.pathFunction(slice);
  }
  var padAngle = degreesToRadians(props.padAngle);
  var startAngle = degreesToRadians(props.sliceStartAngle);
  var endAngle = degreesToRadians(props.sliceEndAngle);
  var pathFunction = arc().cornerRadius(cornerRadius).outerRadius(radius).innerRadius(innerRadius || 0);
  return pathFunction(_defaults({
    startAngle,
    endAngle,
    padAngle
  }, slice));
};
var evaluateProps = function(props) {
  var style = evaluateStyle(props.style, props);
  var radius = evaluateProp(props.radius, _assign({}, props, {
    style
  }));
  var innerRadius = evaluateProp(props.innerRadius, _assign({}, props, {
    style,
    radius
  }));
  var ariaLabel = evaluateProp(props.ariaLabel, props);
  var id = evaluateProp(props.id, props);
  var cornerRadius = evaluateProp(props.cornerRadius, props);
  var padAngle = evaluateProp(props.padAngle, props);
  var sliceStartAngle = evaluateProp(props.sliceStartAngle, props);
  var sliceEndAngle = evaluateProp(props.sliceEndAngle, props);
  var tabIndex = evaluateProp(props.tabIndex, props);
  return _assign({}, props, {
    ariaLabel,
    style,
    radius,
    innerRadius,
    id,
    cornerRadius,
    padAngle,
    sliceStartAngle,
    sliceEndAngle,
    tabIndex
  });
};
var Slice = function(props) {
  props = evaluateProps(props);
  var defaultTransform = props.origin ? "translate(".concat(props.origin.x, ", ").concat(props.origin.y, ")") : void 0;
  return /* @__PURE__ */ React.cloneElement(props.pathComponent, _objectSpread(_objectSpread({}, props.events), {}, {
    "aria-label": props.ariaLabel,
    d: getPath(props),
    style: props.style,
    transform: props.transform || defaultTransform,
    className: props.className,
    role: props.role,
    shapeRendering: props.shapeRendering,
    clipPath: props.clipPath,
    tabIndex: props.tabIndex
  }));
};
Slice.propTypes = _objectSpread(_objectSpread({}, primitiveProps), {}, {
  cornerRadius: PropTypes.oneOfType([PropTypes.number, PropTypes.func]),
  datum: PropTypes.object,
  innerRadius: PropTypes.oneOfType([PropTypes.number, PropTypes.func]),
  padAngle: PropTypes.oneOfType([PropTypes.number, PropTypes.func]),
  pathComponent: PropTypes.element,
  pathFunction: PropTypes.func,
  radius: PropTypes.oneOfType([PropTypes.number, PropTypes.func]),
  slice: PropTypes.object,
  sliceEndAngle: PropTypes.oneOfType([PropTypes.number, PropTypes.func]),
  sliceStartAngle: PropTypes.oneOfType([PropTypes.number, PropTypes.func])
});
Slice.defaultProps = {
  pathComponent: /* @__PURE__ */ React.createElement(Path, null),
  role: "presentation",
  shapeRendering: "auto"
};
var Slice$1 = Slice;
var checkForValidText = function(text) {
  if (text === void 0 || text === null || isFunction_1(text)) {
    return text;
  } else {
    return "".concat(text);
  }
};
var getColor = function(style, colors, index) {
  if (style && style.data && style.data.fill) {
    return style.data.fill;
  }
  return colors && colors[index % colors.length];
};
var getRadius = function(props, padding) {
  if (typeof props.radius === "number") {
    return props.radius;
  }
  return Math.min(props.width - padding.left - padding.right, props.height - padding.top - padding.bottom) / 2;
};
var getOrigin = function(props, padding) {
  var width = props.width, height = props.height;
  var origin = isPlainObject_1(props.origin) ? props.origin : {};
  return {
    x: origin.x !== void 0 ? origin.x : (padding.left - padding.right + width) / 2,
    y: origin.y !== void 0 ? origin.y : (padding.top - padding.bottom + height) / 2
  };
};
var getSlices = function(props, data) {
  var padAngle = isFunction_1(props.padAngle) ? 0 : props.padAngle;
  var layoutFunction = pie().sort(null).startAngle(degreesToRadians(props.startAngle)).endAngle(degreesToRadians(props.endAngle)).padAngle(degreesToRadians(padAngle)).value(function(datum) {
    return datum._y;
  });
  return layoutFunction(data);
};
var getCalculatedValues = function(props) {
  var colorScale = props.colorScale;
  var styleObject = getDefaultStyles(props, "pie");
  var style = getStyles(props.style, styleObject);
  var colors = Array.isArray(colorScale) ? colorScale : getColorScale(colorScale);
  var padding = getPadding(props);
  var defaultRadius = getRadius(props, padding);
  var origin = getOrigin(props, padding);
  var data = getData(props);
  var slices = getSlices(props, data);
  return _assign({}, props, {
    style,
    colors,
    padding,
    defaultRadius,
    data,
    slices,
    origin
  });
};
var getSliceStyle = function(index, calculatedValues) {
  var style = calculatedValues.style, colors = calculatedValues.colors;
  var fill = getColor(style, colors, index);
  return _assign({
    fill
  }, style.data);
};
var getLabelText = function(props, datum, index) {
  var text;
  if (datum.label) {
    text = datum.label;
  } else if (Array.isArray(props.labels)) {
    text = props.labels[index];
  } else {
    text = isFunction_1(props.labels) ? props.labels : datum.xName || datum._x;
  }
  return checkForValidText(text);
};
var getLabelArc = function(radius, labelRadius, style) {
  var padding = style && style.padding || 0;
  var arcRadius = labelRadius || radius + padding;
  return arc().outerRadius(arcRadius).innerRadius(arcRadius);
};
var getLabelPosition = function(arc2, slice, position) {
  var construct = {
    startAngle: position === "startAngle" ? slice.startAngle : slice.endAngle,
    endAngle: position === "endAngle" ? slice.endAngle : slice.startAngle
  };
  var clonedArc = _assign({}, slice, construct);
  return arc2.centroid(clonedArc);
};
var getLabelOrientation = function(degree, labelPlacement) {
  if (labelPlacement === "perpendicular") {
    return degree > 90 && degree < 270 ? "bottom" : "top";
  } else if (labelPlacement === "parallel") {
    return degree >= 0 && degree <= 180 ? "right" : "left";
  }
  if (degree < 45 || degree > 315) {
    return "top";
  } else if (degree >= 45 && degree < 135) {
    return "right";
  } else if (degree >= 135 && degree < 225) {
    return "bottom";
  } else {
    return "left";
  }
};
var getTextAnchor = function(orientation) {
  if (orientation === "top" || orientation === "bottom") {
    return "middle";
  }
  return orientation === "right" ? "start" : "end";
};
var getVerticalAnchor = function(orientation) {
  if (orientation === "left" || orientation === "right") {
    return "middle";
  }
  return orientation === "bottom" ? "start" : "end";
};
var getBaseLabelAngle = function(slice, labelPosition, labelStyle) {
  var baseAngle = 0;
  if (labelPosition.angle !== void 0) {
    baseAngle = labelStyle.angle;
  } else if (labelPosition === "centroid") {
    baseAngle = radiansToDegrees((slice.startAngle + slice.endAngle) / 2);
  } else {
    baseAngle = labelPosition === "startAngle" ? radiansToDegrees(slice.startAngle) : radiansToDegrees(slice.endAngle);
  }
  var positiveAngle = baseAngle < 0 ? 360 - baseAngle : baseAngle;
  return positiveAngle % 360;
};
var getLabelAngle = function(baseAngle, labelPlacement) {
  if (labelPlacement === "vertical") {
    return 0;
  }
  if (labelPlacement === "parallel") {
    return baseAngle > 180 && baseAngle < 360 ? baseAngle + 90 : baseAngle - 90;
  }
  return baseAngle > 90 && baseAngle < 270 ? baseAngle - 180 : baseAngle;
};
var getLabelProps = function(text, dataProps, calculatedValues) {
  var index = dataProps.index, datum = dataProps.datum, data = dataProps.data, slice = dataProps.slice, labelComponent = dataProps.labelComponent, theme = dataProps.theme;
  var style = calculatedValues.style, defaultRadius = calculatedValues.defaultRadius, origin = calculatedValues.origin, width = calculatedValues.width, height = calculatedValues.height;
  var labelRadius = evaluateProp(calculatedValues.labelRadius, _assign({
    text
  }, dataProps));
  var labelPosition = evaluateProp(calculatedValues.labelPosition, _assign({
    text
  }, dataProps)) || "centroid";
  var labelPlacement = evaluateProp(calculatedValues.labelPlacement, _assign({
    text
  }, dataProps)) || "vertical";
  var labelStyle = _assign({
    padding: 0
  }, style.labels);
  var evaluatedStyle = evaluateStyle(labelStyle, _assign({
    labelRadius,
    text
  }, dataProps));
  var labelArc = getLabelArc(defaultRadius, labelRadius, evaluatedStyle);
  var position = getLabelPosition(labelArc, slice, labelPosition);
  var baseAngle = getBaseLabelAngle(slice, labelPosition, labelStyle);
  var labelAngle = getLabelAngle(baseAngle, labelPlacement);
  var orientation = getLabelOrientation(baseAngle, labelPlacement);
  var textAnchor = labelStyle.textAnchor || getTextAnchor(orientation);
  var verticalAnchor = labelStyle.verticalAnchor || getVerticalAnchor(orientation);
  var labelProps = {
    width,
    height,
    index,
    datum,
    data,
    slice,
    orientation,
    text,
    style: labelStyle,
    x: Math.round(position[0]) + origin.x,
    y: Math.round(position[1]) + origin.y,
    textAnchor,
    verticalAnchor,
    angle: labelAngle
  };
  if (!isTooltip(labelComponent)) {
    return labelProps;
  }
  var tooltipTheme = theme && theme.tooltip || {};
  return _defaults({}, labelProps, omit(tooltipTheme, ["style"]));
};
var getBaseProps = function(props, fallbackProps2) {
  props = modifyProps(props, fallbackProps2, "pie");
  var calculatedValues = getCalculatedValues(props);
  var slices = calculatedValues.slices, style = calculatedValues.style, data = calculatedValues.data, origin = calculatedValues.origin, defaultRadius = calculatedValues.defaultRadius, labels = calculatedValues.labels, events = calculatedValues.events, sharedEvents = calculatedValues.sharedEvents, height = calculatedValues.height, width = calculatedValues.width, standalone = calculatedValues.standalone, name = calculatedValues.name, innerRadius = calculatedValues.innerRadius, cornerRadius = calculatedValues.cornerRadius, padAngle = calculatedValues.padAngle, disableInlineStyles = calculatedValues.disableInlineStyles;
  var radius = props.radius || defaultRadius;
  var initialChildProps = {
    parent: {
      standalone,
      height,
      width,
      slices,
      name,
      style: style.parent
    }
  };
  return slices.reduce(function(childProps, slice, index) {
    var datum = _defaults({}, data[index], {
      startAngle: radiansToDegrees(slice.startAngle),
      endAngle: radiansToDegrees(slice.endAngle),
      padAngle: radiansToDegrees(slice.padAngle)
    });
    var eventKey = !isNil_1(datum.eventKey) ? datum.eventKey : index;
    var dataProps = {
      index,
      slice,
      datum,
      data,
      origin,
      innerRadius,
      radius,
      cornerRadius,
      padAngle,
      style: disableInlineStyles ? {} : getSliceStyle(index, calculatedValues),
      disableInlineStyles
    };
    childProps[eventKey] = {
      data: dataProps
    };
    var text = getLabelText(props, datum, index);
    if (text !== void 0 && text !== null || labels && (events || sharedEvents)) {
      var evaluatedText = evaluateProp(text, dataProps);
      childProps[eventKey].labels = getLabelProps(evaluatedText, _assign({}, props, dataProps), calculatedValues);
    }
    return childProps;
  }, initialChildProps);
};
function _classCallCheck(instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
}
function _defineProperties(target, props) {
  for (var i = 0; i < props.length; i++) {
    var descriptor = props[i];
    descriptor.enumerable = descriptor.enumerable || false;
    descriptor.configurable = true;
    if ("value" in descriptor)
      descriptor.writable = true;
    Object.defineProperty(target, descriptor.key, descriptor);
  }
}
function _createClass(Constructor, protoProps, staticProps) {
  if (protoProps)
    _defineProperties(Constructor.prototype, protoProps);
  if (staticProps)
    _defineProperties(Constructor, staticProps);
  Object.defineProperty(Constructor, "prototype", { writable: false });
  return Constructor;
}
function _inherits(subClass, superClass) {
  if (typeof superClass !== "function" && superClass !== null) {
    throw new TypeError("Super expression must either be null or a function");
  }
  subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });
  Object.defineProperty(subClass, "prototype", { writable: false });
  if (superClass)
    _setPrototypeOf(subClass, superClass);
}
function _setPrototypeOf(o, p) {
  _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf2(o2, p2) {
    o2.__proto__ = p2;
    return o2;
  };
  return _setPrototypeOf(o, p);
}
function _createSuper(Derived) {
  var hasNativeReflectConstruct = _isNativeReflectConstruct();
  return function _createSuperInternal() {
    var Super = _getPrototypeOf(Derived), result;
    if (hasNativeReflectConstruct) {
      var NewTarget = _getPrototypeOf(this).constructor;
      result = Reflect.construct(Super, arguments, NewTarget);
    } else {
      result = Super.apply(this, arguments);
    }
    return _possibleConstructorReturn(this, result);
  };
}
function _possibleConstructorReturn(self, call) {
  if (call && (typeof call === "object" || typeof call === "function")) {
    return call;
  } else if (call !== void 0) {
    throw new TypeError("Derived constructors may only return object or undefined");
  }
  return _assertThisInitialized(self);
}
function _assertThisInitialized(self) {
  if (self === void 0) {
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  }
  return self;
}
function _isNativeReflectConstruct() {
  if (typeof Reflect === "undefined" || !Reflect.construct)
    return false;
  if (Reflect.construct.sham)
    return false;
  if (typeof Proxy === "function")
    return true;
  try {
    Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {
    }));
    return true;
  } catch (e) {
    return false;
  }
}
function _getPrototypeOf(o) {
  _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf.bind() : function _getPrototypeOf2(o2) {
    return o2.__proto__ || Object.getPrototypeOf(o2);
  };
  return _getPrototypeOf(o);
}
var fallbackProps = {
  endAngle: 360,
  height: 400,
  innerRadius: 0,
  cornerRadius: 0,
  padAngle: 0,
  padding: 30,
  width: 400,
  startAngle: 0,
  colorScale: ["#ffffff", "#f0f0f0", "#d9d9d9", "#bdbdbd", "#969696", "#737373", "#525252", "#252525", "#000000"],
  labelPosition: "centroid"
};
var VictoryPie = /* @__PURE__ */ function(_React$Component) {
  _inherits(VictoryPie2, _React$Component);
  var _super = _createSuper(VictoryPie2);
  function VictoryPie2() {
    _classCallCheck(this, VictoryPie2);
    return _super.apply(this, arguments);
  }
  _createClass(VictoryPie2, [{
    key: "shouldAnimate",
    value: function shouldAnimate() {
      return Boolean(this.props.animate);
    }
  }, {
    key: "render",
    value: function render() {
      var animationWhitelist = VictoryPie2.animationWhitelist, role = VictoryPie2.role;
      var props = modifyProps(this.props, fallbackProps, role);
      if (this.shouldAnimate()) {
        return this.animateComponent(props, animationWhitelist);
      }
      var children = this.renderData(props);
      var component = props.standalone ? this.renderContainer(props.containerComponent, children) : children;
      return withSafeUserProps(component, props);
    }
  }]);
  return VictoryPie2;
}(React.Component);
VictoryPie.animationWhitelist = ["data", "endAngle", "height", "innerRadius", "cornerRadius", "padAngle", "padding", "colorScale", "startAngle", "style", "width"];
VictoryPie.displayName = "VictoryPie";
VictoryPie.role = "pie";
VictoryPie.defaultTransitions = {
  onExit: {
    duration: 500,
    before: function() {
      return {
        _y: 0,
        label: " "
      };
    }
  },
  onEnter: {
    duration: 500,
    before: function() {
      return {
        _y: 0,
        label: " "
      };
    },
    after: function(datum) {
      return {
        y_: datum._y,
        label: datum.label
      };
    }
  }
};
VictoryPie.propTypes = {
  animate: PropTypes.oneOfType([PropTypes.bool, PropTypes.object]),
  colorScale: PropTypes.oneOfType([PropTypes.arrayOf(PropTypes.string), PropTypes.oneOf(["grayscale", "qualitative", "heatmap", "warm", "cool", "red", "green", "blue"])]),
  containerComponent: PropTypes.element,
  cornerRadius: PropTypes.oneOfType([nonNegative, PropTypes.func]),
  data: PropTypes.array,
  dataComponent: PropTypes.element,
  disableInlineStyes: PropTypes.bool,
  endAngle: PropTypes.number,
  eventKey: PropTypes.oneOfType([PropTypes.func, allOfType([integer, nonNegative]), PropTypes.string]),
  events: PropTypes.arrayOf(PropTypes.shape({
    target: PropTypes.oneOf(["data", "labels", "parent"]),
    eventKey: PropTypes.oneOfType([PropTypes.array, PropTypes.func, allOfType([integer, nonNegative]), PropTypes.string]),
    eventHandlers: PropTypes.object
  })),
  externalEventMutations: PropTypes.arrayOf(PropTypes.shape({
    callback: PropTypes.func,
    childName: PropTypes.oneOfType([PropTypes.string, PropTypes.array]),
    eventKey: PropTypes.oneOfType([PropTypes.array, allOfType([integer, nonNegative]), PropTypes.string]),
    mutation: PropTypes.func,
    target: PropTypes.oneOfType([PropTypes.string, PropTypes.array])
  })),
  groupComponent: PropTypes.element,
  height: nonNegative,
  innerRadius: PropTypes.oneOfType([nonNegative, PropTypes.func]),
  labelComponent: PropTypes.element,
  labelPlacement: PropTypes.oneOfType([PropTypes.func, PropTypes.oneOf(["parallel", "perpendicular", "vertical"])]),
  labelPosition: PropTypes.oneOfType([PropTypes.func, PropTypes.oneOf(["startAngle", "centroid", "endAngle"])]),
  labelRadius: PropTypes.oneOfType([nonNegative, PropTypes.func]),
  labels: PropTypes.oneOfType([PropTypes.func, PropTypes.array]),
  name: PropTypes.string,
  origin: PropTypes.shape({
    x: nonNegative,
    y: nonNegative
  }),
  padAngle: PropTypes.oneOfType([nonNegative, PropTypes.func]),
  padding: PropTypes.oneOfType([PropTypes.number, PropTypes.shape({
    top: PropTypes.number,
    bottom: PropTypes.number,
    left: PropTypes.number,
    right: PropTypes.number
  })]),
  radius: PropTypes.oneOfType([nonNegative, PropTypes.func]),
  sharedEvents: PropTypes.shape({
    events: PropTypes.array,
    getEventState: PropTypes.func
  }),
  sortKey: PropTypes.oneOfType([PropTypes.func, allOfType([integer, nonNegative]), PropTypes.string, PropTypes.arrayOf(PropTypes.string)]),
  sortOrder: PropTypes.oneOf(["ascending", "descending"]),
  standalone: PropTypes.bool,
  startAngle: PropTypes.number,
  style: PropTypes.shape({
    parent: PropTypes.object,
    data: PropTypes.object,
    labels: PropTypes.object
  }),
  theme: PropTypes.object,
  width: nonNegative,
  x: PropTypes.oneOfType([PropTypes.func, allOfType([integer, nonNegative]), PropTypes.string, PropTypes.arrayOf(PropTypes.string)]),
  y: PropTypes.oneOfType([PropTypes.func, allOfType([integer, nonNegative]), PropTypes.string, PropTypes.arrayOf(PropTypes.string)])
};
VictoryPie.defaultProps = {
  data: [{
    x: "A",
    y: 1
  }, {
    x: "B",
    y: 2
  }, {
    x: "C",
    y: 3
  }, {
    x: "D",
    y: 1
  }, {
    x: "E",
    y: 2
  }],
  standalone: true,
  dataComponent: /* @__PURE__ */ React.createElement(Slice$1, null),
  labelComponent: /* @__PURE__ */ React.createElement(VictoryLabel, null),
  containerComponent: /* @__PURE__ */ React.createElement(VictoryContainer, null),
  groupComponent: /* @__PURE__ */ React.createElement("g", null),
  sortOrder: "ascending",
  theme: VictoryTheme.grayscale
};
VictoryPie.getBaseProps = function(props) {
  return getBaseProps(props, fallbackProps);
};
VictoryPie.getData = getData;
VictoryPie.expectedComponents = ["dataComponent", "labelComponent", "groupComponent", "containerComponent"];
var VictoryPie$1 = addEvents(VictoryPie);
const SvgCenter = (props) => /* @__PURE__ */ v("svg", __spreadValues({
  width: 85,
  height: 85,
  viewBox: "0 0 85 85",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
}, props), /* @__PURE__ */ v("g", {
  filter: "url(#filter0_d)"
}, /* @__PURE__ */ v("path", {
  d: "M30.3917 6.47879C43.5606 7.56687 57.6411 11.3397 69.5897 16.9821C71.8908 18.0687 73.7036 19.6279 74.8801 21.6658C76.0566 23.7035 76.5005 26.0528 76.2911 28.5887C75.2038 41.7579 71.4306 55.8385 65.7889 67.7875C64.7022 70.089 63.1429 71.9021 61.1048 73.0788C59.0669 74.2554 56.7174 74.6993 54.1812 74.4898C41.0118 73.4019 26.9309 69.6289 14.9818 63.9866C12.6806 62.8999 10.8677 61.3407 9.69103 59.3027C8.5143 57.2646 8.07046 54.9147 8.28015 52.3783C9.36881 39.2091 13.1415 25.1283 18.7844 13.1797C19.871 10.8788 21.4301 9.06623 23.4679 7.88973C25.5058 6.71311 27.8554 6.26924 30.3917 6.47879Z",
  fill: "white"
})), /* @__PURE__ */ v("defs", null, /* @__PURE__ */ v("filter", {
  id: "filter0_d",
  x: 0.230011,
  y: 0.428711,
  width: 84.1111,
  height: 84.1112,
  filterUnits: "userSpaceOnUse",
  colorInterpolationFilters: "sRGB"
}, /* @__PURE__ */ v("feFlood", {
  floodOpacity: 0,
  result: "BackgroundImageFix"
}), /* @__PURE__ */ v("feColorMatrix", {
  in: "SourceAlpha",
  type: "matrix",
  values: "0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0",
  result: "hardAlpha"
}), /* @__PURE__ */ v("feMorphology", {
  radius: 4,
  operator: "erode",
  in: "SourceAlpha",
  result: "effect1_dropShadow"
}), /* @__PURE__ */ v("feOffset", {
  dy: 2
}), /* @__PURE__ */ v("feGaussianBlur", {
  stdDeviation: 6
}), /* @__PURE__ */ v("feColorMatrix", {
  type: "matrix",
  values: "0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.15 0"
}), /* @__PURE__ */ v("feBlend", {
  mode: "normal",
  in2: "BackgroundImageFix",
  result: "effect1_dropShadow"
}), /* @__PURE__ */ v("feBlend", {
  mode: "normal",
  in: "SourceGraphic",
  in2: "effect1_dropShadow",
  result: "shape"
}))));
const DIMENSION = {
  mobile: {
    width: 400,
    height: 400
  },
  tablet: {
    width: 175,
    height: 175
  },
  desktop: {
    width: 275,
    height: 275
  }
};
const CENTER_IMAGE = {
  mobile: 150,
  tablet: 75,
  desktop: 135
};
const BACKGROUND_BORDER = {
  mobile: 5.5,
  tablet: 6,
  desktop: 7.2
};
const LABEL_RADIUS = {
  mobile: 18,
  tablet: 5,
  desktop: 15
};
const LABEL_ICON_SCALE = {
  mobile: 0.65625,
  tablet: 1.125,
  desktop: 0.8
};
const getDimensions = (dimension, centerImageSize, backgroundBorder, labelRadius, labelIconScale) => ({
  dimension,
  centerImageSize,
  backgroundBorder,
  labelRadius,
  labelIconScale
});
const useDimensions = () => {
  const breakpoint = useBreakpoint();
  if (breakpoint === "phone") {
    return getDimensions(DIMENSION.mobile, CENTER_IMAGE.mobile, BACKGROUND_BORDER.mobile, LABEL_RADIUS.mobile, LABEL_ICON_SCALE.mobile);
  }
  if (breakpoint === "tablet") {
    return getDimensions(DIMENSION.tablet, CENTER_IMAGE.tablet, BACKGROUND_BORDER.tablet, LABEL_RADIUS.tablet, LABEL_ICON_SCALE.tablet);
  }
  return getDimensions(DIMENSION.desktop, CENTER_IMAGE.desktop, BACKGROUND_BORDER.desktop, LABEL_RADIUS.desktop, LABEL_ICON_SCALE.desktop);
};
const SvgBaby = (props) => /* @__PURE__ */ v("svg", __spreadValues({
  width: 24,
  height: 24,
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
}, props), /* @__PURE__ */ v("path", {
  d: "M13.554 15.541L13.144 15.69V15.69C11.7662 16.1903 10.2234 15.8476 9.187 14.811V14.811C8.15065 13.7745 7.80796 12.2318 8.308 10.854L8.457 10.445L6.079 8.06701V8.06701C5.37539 7.36474 5.37431 6.22504 6.07658 5.52143C6.07739 5.52063 6.07819 5.51982 6.079 5.51902V5.51902C6.78128 4.81541 7.92097 4.81432 8.62458 5.5166C8.62539 5.51741 8.62619 5.51821 8.627 5.51902L18.48 15.371V15.371C19.1839 16.073 19.1854 17.2127 18.4834 17.9166C18.4823 17.9177 18.4811 17.9189 18.48 17.92V17.92C17.7777 18.6236 16.638 18.6247 15.9344 17.9224C15.9336 17.9216 15.9328 17.9208 15.932 17.92L13.554 15.541Z",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M15.411 12.3L19.662 9.07601V9.07601C21.1508 7.94814 21.4435 5.82686 20.3156 4.33801C19.1877 2.84916 17.0665 2.55653 15.5776 3.6844C15.3308 3.87133 15.1109 4.09125 14.924 4.33801L11.7 8.59101",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M4.428 12.678L4.428 12.678C2.51388 14.5714 2.49712 17.6581 4.39055 19.5722C6.28399 21.4863 9.37062 21.5031 11.2847 19.6096C12.2928 18.6124 12.8168 17.2257 12.72 15.811",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M8.18799 11.28H8.18799C6.79118 11.181 5.41992 11.6916 4.42799 12.68",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}));
const SvgBreakfast = (props) => /* @__PURE__ */ v("svg", __spreadValues({
  width: 24,
  height: 24,
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
}, props), /* @__PURE__ */ v("g", {
  clipPath: "url(#clip0_19_231)"
}, /* @__PURE__ */ v("path", {
  d: "M4.64112 18.047L3.08946 17.5298C2.62662 17.3755 2.22406 17.0795 1.93879 16.6837C1.65352 16.2879 1.50001 15.8124 1.5 15.3246V15C1.5 14.4696 1.71071 13.9609 2.08579 13.5858C2.46086 13.2107 2.96957 13 3.5 13H5.5",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M13.5 14V17C13.5 18.0609 13.0786 19.0783 12.3284 19.8284C11.5783 20.5786 10.5609 21 9.5 21H8.5C7.43913 21 6.42172 20.5786 5.67157 19.8284C4.92143 19.0783 4.5 18.0609 4.5 17V14C4.5 13.7348 4.60536 13.4804 4.79289 13.2929C4.98043 13.1054 5.23478 13 5.5 13H12.5C12.7652 13 13.0196 13.1054 13.2071 13.2929C13.3946 13.4804 13.5 13.7348 13.5 14Z",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M8.22651 10.0587C8.26178 9.74617 8.13142 9.43789 7.88263 9.24549C7.08726 8.76309 6.57267 7.92736 6.5 6.99997C6.5 4.79082 10.0817 2.99997 14.5 2.99997C18.9183 2.99997 22.5 4.79082 22.5 6.99997C22.4273 7.92736 21.9127 8.76309 21.1174 9.24549C20.8686 9.43789 20.7382 9.74617 20.7735 10.0587L21.338 16.0846C21.4754 17.5509 20.398 18.851 18.9317 18.9883C18.849 18.9961 16.766 19 16.683 19",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
})), /* @__PURE__ */ v("defs", null, /* @__PURE__ */ v("clipPath", {
  id: "clip0_19_231"
}, /* @__PURE__ */ v("rect", {
  width: 24,
  height: 24,
  fill: "white"
}))));
const SvgCandy = (props) => /* @__PURE__ */ v("svg", __spreadValues({
  width: 24,
  height: 24,
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
}, props), /* @__PURE__ */ v("path", {
  d: "M6.90001 9.93001H4.57001V9.93001C3.7038 9.93089 3.0009 9.22941 3.00002 8.3632C2.99944 7.79991 3.30099 7.27957 3.79001 7.00001V7.00001C4.11036 6.79586 4.25713 6.40447 4.15001 6.04001V6.04001C3.95283 5.19337 4.47932 4.34719 5.32596 4.15001C5.56083 4.09531 5.80513 4.09531 6.04001 4.15001V4.15001C6.40447 4.25714 6.79585 4.11037 7.00001 3.79001V3.79001C7.42991 3.03802 8.38803 2.77692 9.14002 3.20682C9.62904 3.48639 9.93058 4.00672 9.93001 4.57001V6.90001",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M17.1 14.07H19.43V14.07C20.2962 14.0691 20.9991 14.7706 21 15.6368C21.0006 16.2001 20.699 16.7204 20.21 17V17C19.8897 17.2042 19.7429 17.5955 19.85 17.96V17.96C20.0472 18.8066 19.5207 19.6528 18.6741 19.85C18.4392 19.9047 18.1949 19.9047 17.96 19.85V19.85C17.5955 19.7429 17.2042 19.8897 17 20.21V20.21C16.5701 20.962 15.612 21.2231 14.86 20.7932C14.371 20.5136 14.0694 19.9933 14.07 19.43V17.1",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M12 17.5C15.0376 17.5 17.5 15.0376 17.5 12C17.5 8.96243 15.0376 6.5 12 6.5C8.96243 6.5 6.5 8.96243 6.5 12C6.5 15.0376 8.96243 17.5 12 17.5Z",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}));
const SvgCarAndBike = (props) => /* @__PURE__ */ v("svg", __spreadValues({
  width: 24,
  height: 24,
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
}, props), /* @__PURE__ */ v("path", {
  d: "M10 13C8.93913 13 7.92172 13.4214 7.17157 14.1716C6.42143 14.9217 6 15.9391 6 17C6 18.0609 6.42143 19.0783 7.17157 19.8284C7.92172 20.5786 8.93913 21 10 21C11.0609 21 12.0783 20.5786 12.8284 19.8284C13.5786 19.0783 14 18.0609 14 17C14 15.9391 13.5786 14.9217 12.8284 14.1716C12.0783 13.4214 11.0609 13 10 13V13Z",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M1.5 17L8 10L1.5 11.625",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M10 17L7.5 8H5.5",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M22 8L19.38 9",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M18.25 13H15.75",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M19.379 9L18.54 4.988C18.297 3.83 17.276 3 16.092 3H8.012C6.851 3 5.842 3.8 5.578 4.931",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M17 16.5V17.5C17 18.328 17.672 19 18.5 19H20.75C21.44 19 22 18.44 22 17.75V12C22 10.343 20.657 9 19 9H12",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}));
const SvgCigarette = (props) => /* @__PURE__ */ v("svg", __spreadValues({
  width: 24,
  height: 24,
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
}, props), /* @__PURE__ */ v("path", {
  d: "M7 13V17",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M21 13V17",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M16 4C16 7 18 7 18 10",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M15 17H18V13H13",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M19 3C19 6 21 6 21 9",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M16.8 17H3V13H16.2",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}));
const SvgCleaning = (props) => /* @__PURE__ */ v("svg", __spreadValues({
  width: 24,
  height: 24,
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
}, props), /* @__PURE__ */ v("path", {
  d: "M13 20H20.1666C20.4174 20 20.6591 19.9057 20.8437 19.7359C21.0283 19.566 21.1423 19.333 21.1631 19.083L21.9965 9.08305C22.008 8.94521 21.9907 8.80648 21.9459 8.67563C21.901 8.54479 21.8295 8.42468 21.7358 8.32289C21.6422 8.2211 21.5284 8.13985 21.4017 8.08427C21.2751 8.02869 21.1383 8 20.9999 8H9",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M11.5996 17H3.40035C3.16917 17 2.94514 17.0801 2.76636 17.2267C2.58758 17.3732 2.46511 17.5772 2.41977 17.8039L2.01977 19.8039C1.99075 19.949 1.99429 20.0987 2.03013 20.2422C2.06596 20.3858 2.13321 20.5196 2.22701 20.634C2.32081 20.7484 2.43883 20.8406 2.57256 20.9039C2.70629 20.9672 2.8524 21 3.00035 21H11.9996C12.1476 21 12.2937 20.9672 12.4274 20.9039C12.5612 20.8406 12.6792 20.7484 12.773 20.634C12.8668 20.5196 12.934 20.3858 12.9699 20.2422C13.0057 20.0987 13.0093 19.949 12.9802 19.8039L12.5802 17.8039C12.5349 17.5772 12.4124 17.3732 12.2336 17.2267C12.0549 17.0801 11.8308 17 11.5996 17V17Z",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M19 7.99999V6.9342C19 6.00595 18.6313 5.11571 17.9749 4.45933C17.3185 3.80295 16.4283 3.4342 15.5 3.4342V3.4342C14.5717 3.4342 13.6815 3.80295 13.0251 4.45933C12.3687 5.11571 12 6.00595 12 6.9342V7.99999",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M7.5 2C7.89782 2 8.27936 2.15804 8.56066 2.43934C8.84196 2.72064 9 3.10218 9 3.5V16.5C9 16.6326 8.94732 16.7598 8.85355 16.8536C8.75979 16.9473 8.63261 17 8.5 17H6.5C6.36739 17 6.24021 16.9473 6.14645 16.8536C6.05268 16.7598 6 16.6326 6 16.5V3.5C6 3.10218 6.15804 2.72064 6.43934 2.43934C6.72064 2.15804 7.10218 2 7.5 2V2Z",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}));
const SvgClothing = (props) => /* @__PURE__ */ v("svg", __spreadValues({
  width: 24,
  height: 24,
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
}, props), /* @__PURE__ */ v("path", {
  d: "M18 9.34301V17C18 19.2091 16.2091 21 14 21H10V21C7.79086 21 6 19.2091 6 17V9.34301L4.546 9.84301V9.84301C4.07178 10.0054 3.55059 9.79163 3.327 9.34301L2.106 6.9H2.106C1.86 6.40553 2.06142 5.80526 2.55589 5.55925C2.56223 5.5561 2.5686 5.55302 2.575 5.55L7.192 3.38V3.38C7.72448 3.1297 8.30562 2.99995 8.894 3H15.107V3C15.6947 3.00024 16.2751 3.12998 16.807 3.38L21.424 5.55V5.55C21.9238 5.785 22.1384 6.38067 21.9034 6.88046C21.9004 6.88701 21.8972 6.89352 21.894 6.9L20.673 9.344V9.344C20.4494 9.79263 19.9282 10.0064 19.454 9.844L18 9.34301Z",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M15.5 3C15.5 4.933 13.933 6.5 12 6.5V6.5C10.067 6.5 8.5 4.933 8.5 3V3",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}));
const SvgDairy = (props) => /* @__PURE__ */ v("svg", __spreadValues({
  width: 24,
  height: 24,
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
}, props), /* @__PURE__ */ v("path", {
  d: "M7 11.25C7.82843 11.25 8.5 10.5784 8.5 9.75C8.5 8.92157 7.82843 8.25 7 8.25C6.17157 8.25 5.5 8.92157 5.5 9.75C5.5 10.5784 6.17157 11.25 7 11.25Z",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M15.75 13.5C17.2688 13.5 18.5 12.2688 18.5 10.75C18.5 9.23122 17.2688 8 15.75 8C14.2312 8 13 9.23122 13 10.75C13 12.2688 14.2312 13.5 15.75 13.5Z",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M9.75 16.5C10.5784 16.5 11.25 15.8284 11.25 15C11.25 14.1716 10.5784 13.5 9.75 13.5C8.92157 13.5 8.25 14.1716 8.25 15C8.25 15.8284 8.92157 16.5 9.75 16.5Z",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M9.625 5.8C9.06187 5.79997 8.51707 5.59989 8.08777 5.23544C7.65847 4.871 7.3726 4.3659 7.28116 3.81025C7.25725 3.69866 7.19496 3.59899 7.10513 3.5286C7.0153 3.4582 6.90363 3.42155 6.78956 3.42501H3.5C3.23478 3.42501 2.98043 3.53037 2.79289 3.7179C2.60536 3.90544 2.5 4.15979 2.5 4.42501V18.575C2.5 18.8402 2.60536 19.0946 2.79289 19.2821C2.98043 19.4697 3.23478 19.575 3.5 19.575H13.4395C13.5536 19.5785 13.6653 19.5418 13.7551 19.4714C13.8449 19.401 13.9072 19.3014 13.9311 19.1898C14.0225 18.6341 14.3084 18.129 14.7377 17.7645C15.167 17.4001 15.7119 17.2 16.275 17.2C16.8381 17.2 17.383 17.4001 17.8123 17.7645C18.2416 18.129 18.5275 18.6341 18.6189 19.1898C18.6428 19.3014 18.7051 19.401 18.7949 19.4714C18.8847 19.5418 18.9964 19.5785 19.1105 19.575H20.5C20.7652 19.575 21.0196 19.4697 21.2071 19.2821C21.3946 19.0946 21.5 18.8402 21.5 18.575V4.425C21.5 4.15978 21.3946 3.90543 21.2071 3.71789C21.0196 3.53036 20.7652 3.425 20.5 3.425H12.4604C12.3464 3.42154 12.2347 3.45819 12.1449 3.52859C12.055 3.59898 11.9928 3.69865 11.9688 3.81024C11.8774 4.36589 11.5915 4.871 11.1622 5.23544C10.7329 5.59988 10.1881 5.79997 9.625 5.8V5.8Z",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}));
const SvgDeskAndTravel = (props) => /* @__PURE__ */ v("svg", __spreadValues({
  width: 24,
  height: 24,
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
}, props), /* @__PURE__ */ v("path", {
  d: "M13.5 13H22.1977C22.5027 13 22.75 13.2473 22.75 13.5523V15.4477C22.75 15.7527 22.5027 16 22.1977 16H13.5",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M21.5 16H14.5V21H21.5V16Z",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M18.75 18.5H17.25",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M12.5 10H17.376C17.9968 10 18.5 9.49677 18.5 8.876V4.124C18.5 3.50323 17.9968 3 17.376 3H11H9.624C9.00323 3 8.5 3.50323 8.5 4.124V5.5",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M15.5 13L15 10",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M9.5 21H2.83333C2.09667 21 1.5 20.4034 1.5 19.6667V13C1.5 12.2634 2.09667 11.6667 2.83333 11.6667H9.5C10.2367 11.6667 10.8333 12.2634 10.8333 13V19.6667C10.8333 20.4034 10.2367 21 9.5 21Z",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M3.5 21V21.6667",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M8.83334 21V21.6667",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M8.83333 11.6667V9.66668C8.83333 8.93001 8.23667 8.33334 7.5 8.33334H4.83333C4.09667 8.33334 3.5 8.93001 3.5 9.66668V11.6667",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M7.55 15V18.3333",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M4.78 15V18.3333",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}));
const SvgDryFood = (props) => /* @__PURE__ */ v("svg", __spreadValues({
  width: 24,
  height: 24,
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
}, props), /* @__PURE__ */ v("path", {
  d: "M15.5 6H8.5C7.67157 6 7 6.67157 7 7.5C7 8.32843 7.67157 9 8.5 9H15.5C16.3284 9 17 8.32843 17 7.5C17 6.67157 16.3284 6 15.5 6Z",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M8.00001 6C7.99001 3.79 9.79001 1.99 11.99 1.99C14.19 1.98 15.99 3.78 15.99 5.98",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M7.10001 10.72L6.00001 18.72H5.99001C5.84001 19.81 6.60001 20.82 7.70001 20.97C7.78001 20.98 7.87001 20.98 7.97001 20.98H15.96C17.06 20.98 17.96 20.08 17.96 18.98C17.96 18.88 17.95 18.79 17.94 18.7L16.84 10.7C16.7 9.70001 15.85 8.97001 14.85 8.97001H9.03001H9.02001C8.01001 8.96001 7.17001 9.70001 7.03001 10.69L7.10001 10.72Z",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}));
const SvgEnergy = (props) => /* @__PURE__ */ v("svg", __spreadValues({
  width: 24,
  height: 24,
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
}, props), /* @__PURE__ */ v("path", {
  d: "M9.5 10.75H14.5V10.75C15.0523 10.75 15.5 11.1977 15.5 11.75V13C15.5 14.2426 14.4926 15.25 13.25 15.25H10.75V15.25C9.50736 15.25 8.5 14.2426 8.5 13V11.75V11.75C8.5 11.1977 8.94771 10.75 9.5 10.75V10.75Z",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M10.04 10.75V8.5",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M13.96 10.75V8.5",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M16 20.051V20.051C20.4473 17.8385 22.259 12.4397 20.0466 7.9924C17.8341 3.54508 12.4353 1.73337 7.98799 3.94582C4.93154 5.46635 2.99939 8.58619 2.99999 12V12C2.99789 14.4849 3.98527 16.8685 5.74401 18.624H5.74401C7.05271 19.9278 8.8247 20.6599 10.672 20.66V20.66C11.4052 20.6594 11.9994 20.0652 12 19.332V15.25",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}));
const SvgFreezer = (props) => /* @__PURE__ */ v("svg", __spreadValues({
  width: 24,
  height: 24,
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
}, props), /* @__PURE__ */ v("path", {
  d: "M12 3V21",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M14.168 4.42099L12 6.58999L9.832 4.42099",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M20 7.38L4 16.62",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M19.647 10.088L16.686 9.29501L17.479 6.33301",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M4.353 13.912L7.314 14.705L6.521 17.667",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M4 7.38L20 16.62",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M4.353 10.088L7.314 9.29501L6.521 6.33301",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M19.647 13.912L16.686 14.705L17.479 17.667",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M9.832 19.579L12 17.41L14.168 19.579",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}));
const SvgFuel = (props) => /* @__PURE__ */ v("svg", __spreadValues({
  width: 24,
  height: 24,
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
}, props), /* @__PURE__ */ v("path", {
  d: "M6.5 7H12.5V11H6.5V7Z",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M7.5 15H11.5",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M3.5 21V5C3.5 3.895 4.395 3 5.5 3H13.5C14.605 3 15.5 3.895 15.5 5V21",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M19.5 5L20.914 6.414C21.289 6.789 21.5 7.298 21.5 7.828V17.5C21.5 18.328 20.828 19 20 19C19.172 19 18.5 18.328 18.5 17.5V16C18.5 15.448 18.052 15 17.5 15H15.5",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M21.5 12H19.633C19.032 12 18.566 11.473 18.641 10.876L18.891 8.876C18.953 8.376 19.378 8 19.883 8H21.5",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M2.5 21H16.5",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}));
const SvgHygiene = (props) => /* @__PURE__ */ v("svg", __spreadValues({
  width: 24,
  height: 24,
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
}, props), /* @__PURE__ */ v("path", {
  d: "M4.512 20.489C3.829 19.808 3.829 18.705 4.512 18.024L18.016 4.51099C18.699 3.82999 19.805 3.82999 20.488 4.51099C21.171 5.19199 21.171 6.29499 20.488 6.97599L6.984 20.489C6.301 21.17 5.195 21.17 4.512 20.489V20.489Z",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M13.183 9.34699L11.242 7.40599C10.92 7.08399 10.92 6.56099 11.242 6.23899L15.239 2.24199C15.561 1.91999 16.084 1.91999 16.406 2.24199L18.379 4.21499",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}));
const SvgMultimedia = (props) => /* @__PURE__ */ v("svg", __spreadValues({
  width: 24,
  height: 24,
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
}, props), /* @__PURE__ */ v("path", {
  d: "M21 22H12.914C12.385 22 11.957 21.571 11.957 21.043V7.957C11.957 7.429 12.386 7 12.914 7H21C21.529 7 21.957 7.429 21.957 7.957V21.043C21.957 21.571 21.529 22 21 22Z",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M8.5 16L8 20",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M19 7V5.428C19 4.087 17.913 3 16.572 3H4.428C3.087 3 2 4.087 2 5.428V13.572C2 14.913 3.087 16 4.428 16H11.957",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M6.5 20H11.96",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M17 18.5C18.1046 18.5 19 17.6046 19 16.5C19 15.3954 18.1046 14.5 17 14.5C15.8954 14.5 15 15.3954 15 16.5C15 17.6046 15.8954 18.5 17 18.5Z",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("circle", {
  cx: 17,
  cy: 11,
  r: 1,
  fill: "currentColor"
}));
const SvgNonFood = (props) => /* @__PURE__ */ v("svg", __spreadValues({
  width: 24,
  height: 24,
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
}, props), /* @__PURE__ */ v("path", {
  d: "M14.0068 12.086H16.873",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M14.0068 17.8184L16.827 17.8174",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M14.0068 14.9522L15.9166 14.9512",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M14.0068 9.21984H15.9166",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M14.0068 6.42568H16.827",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("rect", {
  x: 14.0058,
  y: 3.00125,
  width: 6.0025,
  height: 18.0075,
  rx: 1,
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M4.00168 6.51572H9.03377C9.84038 6.51682 10.4938 7.17072 10.4944 7.97733V12.005",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  fillRule: "evenodd",
  clipRule: "evenodd",
  d: "M8.00335 5.02909V17.8634C8.0033 18.1872 7.92469 18.5061 7.77425 18.7928L6.89288 20.4735C6.72027 20.8034 6.37878 21.0101 6.00651 21.0101C5.63424 21.0101 5.29276 20.8034 5.12014 20.4735L4.23878 18.7928C4.08556 18.5068 4.00419 18.1879 4.00168 17.8634V5.0361C4.00112 3.9297 4.89612 3.03157 6.00251 3.02826V3.02826C7.10754 3.02826 8.00335 3.92406 8.00335 5.02909Z",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}));
const SvgPets = (props) => /* @__PURE__ */ v("svg", __spreadValues({
  width: 24,
  height: 24,
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
}, props), /* @__PURE__ */ v("path", {
  d: "M9.95393 20.0461L10.2929 19.7071C10.7457 19.2543 11.3597 19 12 19V19C12.317 19 12.631 19.0624 12.9239 19.1838C13.2168 19.3051 13.4829 19.4829 13.7071 19.7071L14.0461 20.0461C14.6569 20.6569 15.4853 21 16.3491 21H16.7431C17.6069 21 18.4353 20.6569 19.0461 20.0461C19.6569 19.4353 20 18.6069 20 17.7431V17.7431C20 17.2069 19.8676 16.679 19.6146 16.2063C19.3616 15.7335 18.9958 15.3305 18.5497 15.0331V15.0331C17.5303 14.3535 16.6811 13.4482 16.0679 12.3875L15.148 10.796C14.8324 10.2499 14.3786 9.79646 13.8322 9.48121C13.2859 9.16596 12.6663 9 12.0355 9V9C11.4147 9 10.8044 9.16076 10.2642 9.46664C9.72398 9.77251 9.27216 10.2131 8.95275 10.7454L7.923 12.4617C7.31526 13.4746 6.49017 14.3399 5.50732 14.9951L5.45032 15.0331C5.00419 15.3305 4.63839 15.7335 4.38539 16.2062C4.13238 16.679 4.00001 17.2069 4 17.7431V17.7431C4 18.6069 4.34314 19.4353 4.95394 20.0461C5.56473 20.6569 6.39315 21 7.25694 21H7.65094C8.51473 21 9.34314 20.6569 9.95393 20.0461V20.0461Z",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M4.5 11C5.32843 11 6 10.3284 6 9.5C6 8.67157 5.32843 8 4.5 8C3.67157 8 3 8.67157 3 9.5C3 10.3284 3.67157 11 4.5 11Z",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M19.5 11C20.3284 11 21 10.3284 21 9.5C21 8.67157 20.3284 8 19.5 8C18.6716 8 18 8.67157 18 9.5C18 10.3284 18.6716 11 19.5 11Z",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M8.78571 6C9.61414 6 10.2857 5.32843 10.2857 4.5C10.2857 3.67157 9.61414 3 8.78571 3C7.95729 3 7.28571 3.67157 7.28571 4.5C7.28571 5.32843 7.95729 6 8.78571 6Z",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M15.2143 6C16.0427 6 16.7143 5.32843 16.7143 4.5C16.7143 3.67157 16.0427 3 15.2143 3C14.3859 3 13.7143 3.67157 13.7143 4.5C13.7143 5.32843 14.3859 6 15.2143 6Z",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}));
const SvgSoda = (props) => /* @__PURE__ */ v("svg", __spreadValues({
  width: 24,
  height: 24,
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
}, props), /* @__PURE__ */ v("path", {
  d: "M16.2 10.1625H7.79999",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M16.2 17.5125H7.79999",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M9.89996 4.125H14.1",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M12 22.5H9.89999C9.34354 22.4984 8.81034 22.2766 8.41686 21.8831C8.02339 21.4897 7.80162 20.9565 7.79999 20.4V10.4565C7.79921 9.36793 8.22079 8.32151 8.97599 7.5375L10.362 6.1095C10.362 5.7 10.3634 4.66948 10.362 4.125H9.89999L9.89999 2.55C9.9008 2.27177 10.0117 2.00517 10.2084 1.80844C10.4052 1.6117 10.6718 1.50081 10.95 1.5H13.05C13.3282 1.50081 13.5948 1.6117 13.7916 1.80844C13.9883 2.00517 14.0992 2.27177 14.1 2.55L14.1 4.125H13.638C13.6366 4.66948 13.575 5.7 13.638 6.1095L15.024 7.5375C15.7792 8.32151 16.2008 9.36793 16.2 10.4565V15.15",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M12 22.5H14.1C14.6565 22.4984 15.1897 22.2766 15.5831 21.8831C15.9766 21.4897 16.1984 20.9565 16.2 20.4V10.4565C16.2008 9.36793 15.7792 8.32151 15.024 7.5375L13.638 6.1095C13.638 5.7 13.6366 4.66948 13.638 4.125H14.1L14.1 2.55C14.0992 2.27177 13.9883 2.00517 13.7916 1.80844C13.5948 1.6117 13.3282 1.50081 13.05 1.5H10.95C10.6718 1.50081 10.4052 1.6117 10.2084 1.80844C10.0117 2.00517 9.90083 2.27177 9.90001 2.55L9.90001 4.125H10.362C10.3634 4.66948 10.425 5.7 10.362 6.1095L8.97601 7.5375C8.22081 8.32151 7.79923 9.36793 7.80001 10.4565V15.15",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}));
const SvgToyAndHobby = (props) => /* @__PURE__ */ v("svg", __spreadValues({
  width: 24,
  height: 24,
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
}, props), /* @__PURE__ */ v("path", {
  d: "M15.3704 19.209L19.2095 15.3699",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M4.67157 8.67157L8.67157 4.67157",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M12.284 8.284L7.58579 3.58579C7.40007 3.40007 7.17959 3.25275 6.93694 3.15224C6.69429 3.05173 6.43422 3 6.17157 3C5.90893 3 5.64886 3.05173 5.4062 3.15224C5.16355 3.25275 4.94308 3.40007 4.75736 3.58579L3.58579 4.75736C3.40007 4.94308 3.25275 5.16355 3.15224 5.4062C3.05173 5.64886 3 5.90893 3 6.17157C3 6.43422 3.05173 6.69429 3.15224 6.93694C3.25275 7.17959 3.40007 7.40007 3.58579 7.58579L8.492 12.492",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M15.7155 11.7156L18.622 14.622C19.0611 15.0611 19.3919 15.5964 19.5883 16.1855L20.9735 20.341C21.0028 20.4291 21.0071 20.5237 20.9858 20.614C20.9644 20.7044 20.9184 20.7871 20.8527 20.8527C20.787 20.9184 20.7044 20.9645 20.614 20.9858C20.5236 21.0071 20.4291 21.0029 20.341 20.9735L16.1855 19.5883C15.5964 19.392 15.0611 19.0611 14.622 18.622L11.5076 15.5077",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M6.77944 15.04C8.16645 12.7445 9.84725 10.64 11.7792 8.77977C15.81 4.749 19.8477 2.25163 20.7978 3.20168C21.7478 4.15173 19.2504 8.18948 15.2194 12.22C13.3594 14.1521 11.2549 15.833 8.95944 17.22",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M6.96552 20.2882L4.24352 20.9687C4.07598 21.0106 3.90044 21.0084 3.734 20.9623C3.56757 20.9162 3.41591 20.8277 3.29379 20.7056C3.17167 20.5835 3.08326 20.4318 3.03716 20.2654C2.99106 20.099 2.98884 19.9234 3.03073 19.7559L3.7129 17.0272C3.85794 16.4471 4.19304 15.9322 4.66476 15.5647C5.13649 15.1972 5.71768 14.9982 6.31567 14.9995H6.32262C7.03345 15.0009 7.71463 15.2845 8.21661 15.7877C8.71859 16.291 9.00034 16.9729 9 17.6837V17.6837C8.99972 18.2825 8.79936 18.864 8.43075 19.3359C8.06214 19.8078 7.54642 20.143 6.96552 20.2882Z",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}));
const SvgVegetables = (props) => /* @__PURE__ */ v("svg", __spreadValues({
  width: 24,
  height: 24,
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
}, props), /* @__PURE__ */ v("g", {
  clipPath: "url(#clip0_19_175)"
}, /* @__PURE__ */ v("path", {
  d: "M12.8236 5.34691C12.6239 3.55522 11.1093 2.20001 9.30649 2.20001C7.50371 2.20001 5.98906 3.55522 5.78937 5.34691C4.84039 4.6023 3.46998 4.75434 2.70729 5.68885C1.9446 6.62337 2.07031 7.99644 2.99001 8.77693C1.69629 9.43834 1.03515 10.9092 1.39932 12.3158C1.79596 13.7173 3.09004 14.6733 4.54622 14.6406H4.94548",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  fillRule: "evenodd",
  clipRule: "evenodd",
  d: "M6.02228 21.0741V21.0741C5.28334 20.3367 5.16929 19.1795 5.75006 18.312L11.8116 9.26783C12.5336 8.19065 13.6999 7.49331 14.9906 7.36717C16.2812 7.24102 17.5605 7.69932 18.4774 8.6163V8.6163C19.3944 9.53323 19.8527 10.8125 19.7265 12.1032C19.6004 13.3938 18.9031 14.5601 17.8259 15.2821L8.78172 21.3436C7.9154 21.9236 6.76002 21.8108 6.02228 21.0741Z",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M16.884 7.59638V5.76886C16.884 5.05071 17.4662 4.46854 18.1844 4.46854V4.46854C18.9023 4.46904 19.4842 5.05092 19.4847 5.76886C19.7284 5.52493 20.0591 5.38788 20.4039 5.38788C20.7487 5.38788 21.0794 5.52493 21.3231 5.76886V5.76886C21.567 6.01257 21.7041 6.34325 21.7041 6.68806C21.7041 7.03288 21.567 7.36355 21.3231 7.60727C22.041 7.60777 22.6229 8.18965 22.6234 8.90759V8.90759C22.6234 9.62574 22.0412 10.2079 21.3231 10.2079H19.4956",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M17.7978 15.3076L16.061 13.5708",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M11.6165 14.206L9.75177 12.3412",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M11.71 19.3782L9.71185 17.3801",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
})), /* @__PURE__ */ v("defs", null, /* @__PURE__ */ v("clipPath", {
  id: "clip0_19_175"
}, /* @__PURE__ */ v("rect", {
  width: 24,
  height: 24,
  fill: "white"
}))));
const SvgWine = (props) => /* @__PURE__ */ v("svg", __spreadValues({
  width: 24,
  height: 24,
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
}, props), /* @__PURE__ */ v("path", {
  d: "M12.0003 15.6364C9.39577 15.6364 7.40445 13.3197 7.80029 10.7516L8.95015 3.30844C9.04122 2.71712 9.5524 2.28 10.1534 2.28H14.1142C14.731 2.28 15.2507 2.74019 15.3224 3.35094L16.2197 10.8973C16.5196 13.4192 14.5453 15.6364 12.0003 15.6364Z",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M12.0003 15.6364V21.7075",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M9.57184 21.7075H14.4287",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M15.7765 7.13687H8.35764",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}));
const SvgOther = (props) => /* @__PURE__ */ v("svg", __spreadValues({
  width: 24,
  height: 24,
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
}, props), /* @__PURE__ */ v("path", {
  d: "M18.5 12C18.5 12.2761 18.2761 12.5 18 12.5C17.7239 12.5 17.5 12.2761 17.5 12C17.5 11.7239 17.7239 11.5 18 11.5V11.5C18.2761 11.5 18.5 11.7239 18.5 12",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M12.5 12C12.5 12.2761 12.2761 12.5 12 12.5C11.7239 12.5 11.5 12.2761 11.5 12C11.5 11.7239 11.7239 11.5 12 11.5V11.5C12.2761 11.5 12.5 11.7239 12.5 12",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M6.5 12C6.5 12.2761 6.27614 12.5 6 12.5C5.72386 12.5 5.5 12.2761 5.5 12C5.5 11.7239 5.72386 11.5 6 11.5V11.5C6.27614 11.5 6.5 11.7239 6.5 12",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}));
var StatisticsCategories = /* @__PURE__ */ ((StatisticsCategories2) => {
  StatisticsCategories2[StatisticsCategories2["Food"] = 100] = "Food";
  StatisticsCategories2[StatisticsCategories2["BabyFood"] = 101] = "BabyFood";
  StatisticsCategories2[StatisticsCategories2["Breakfast"] = 102] = "Breakfast";
  StatisticsCategories2[StatisticsCategories2["Freezer"] = 103] = "Freezer";
  StatisticsCategories2[StatisticsCategories2["Drinks"] = 105] = "Drinks";
  StatisticsCategories2[StatisticsCategories2["DryFood"] = 106] = "DryFood";
  StatisticsCategories2[StatisticsCategories2["FruitsAndVegetables"] = 107] = "FruitsAndVegetables";
  StatisticsCategories2[StatisticsCategories2["CandyCookiesAndChips"] = 108] = "CandyCookiesAndChips";
  StatisticsCategories2[StatisticsCategories2["MeatFishAndPreperations"] = 109] = "MeatFishAndPreperations";
  StatisticsCategories2[StatisticsCategories2["Dairy"] = 110] = "Dairy";
  StatisticsCategories2[StatisticsCategories2["NonAlcoholicDrinks"] = 151] = "NonAlcoholicDrinks";
  StatisticsCategories2[StatisticsCategories2["AlcoholicDrinks"] = 152] = "AlcoholicDrinks";
  StatisticsCategories2[StatisticsCategories2["NonFood"] = 200] = "NonFood";
  StatisticsCategories2[StatisticsCategories2["CarAndBike"] = 201] = "CarAndBike";
  StatisticsCategories2[StatisticsCategories2["BabyNonFood"] = 202] = "BabyNonFood";
  StatisticsCategories2[StatisticsCategories2["Multimedia"] = 203] = "Multimedia";
  StatisticsCategories2[StatisticsCategories2["Clothes"] = 204] = "Clothes";
  StatisticsCategories2[StatisticsCategories2["SchoolOfficeAndTravel"] = 205] = "SchoolOfficeAndTravel";
  StatisticsCategories2[StatisticsCategories2["ToysAndHobbys"] = 206] = "ToysAndHobbys";
  StatisticsCategories2[StatisticsCategories2["GardenTerraceAndAnimal"] = 207] = "GardenTerraceAndAnimal";
  StatisticsCategories2[StatisticsCategories2["HealthAndHygiene"] = 208] = "HealthAndHygiene";
  StatisticsCategories2[StatisticsCategories2["LivingAndCleaning"] = 209] = "LivingAndCleaning";
  StatisticsCategories2[StatisticsCategories2["Tabacco"] = 210] = "Tabacco";
  StatisticsCategories2[StatisticsCategories2["Energy"] = 300] = "Energy";
  StatisticsCategories2[StatisticsCategories2["Fuel"] = 301] = "Fuel";
  StatisticsCategories2[StatisticsCategories2["Other"] = 400] = "Other";
  StatisticsCategories2[StatisticsCategories2["OtherDuplicate"] = 401] = "OtherDuplicate";
  StatisticsCategories2["Unknown"] = "-1";
  return StatisticsCategories2;
})(StatisticsCategories || {});
const getCategoryIcon = (id, props) => {
  switch (+id) {
    case 100:
      return jsx(SvgVegetables, __spreadValues({}, props));
    case 101:
      return jsx(SvgBaby, __spreadValues({}, props));
    case 102:
      return jsx(SvgBreakfast, __spreadValues({}, props));
    case 103:
      return jsx(SvgFreezer, __spreadValues({}, props));
    case 105:
      return jsx(SvgSoda, __spreadValues({}, props));
    case 106:
      return jsx(SvgDryFood, __spreadValues({}, props));
    case 107:
      return jsx(SvgVegetables, __spreadValues({}, props));
    case 108:
      return jsx(SvgCandy, __spreadValues({}, props));
    case 109:
      return jsx(SvgMeat, __spreadValues({}, props));
    case 110:
      return jsx(SvgDairy, __spreadValues({}, props));
    case 151:
      return jsx(SvgSoda, __spreadValues({}, props));
    case 152:
      return jsx(SvgWine, __spreadValues({}, props));
    case 200:
      return jsx(SvgNonFood, __spreadValues({}, props));
    case 201:
      return jsx(SvgCarAndBike, __spreadValues({}, props));
    case 202:
      return jsx(SvgBaby, __spreadValues({}, props));
    case 203:
      return jsx(SvgMultimedia, __spreadValues({}, props));
    case 204:
      return jsx(SvgClothing, __spreadValues({}, props));
    case 205:
      return jsx(SvgDeskAndTravel, __spreadValues({}, props));
    case 206:
      return jsx(SvgToyAndHobby, __spreadValues({}, props));
    case 207:
      return jsx(SvgPets, __spreadValues({}, props));
    case 208:
      return jsx(SvgHygiene, __spreadValues({}, props));
    case 209:
      return jsx(SvgCleaning, __spreadValues({}, props));
    case 210:
      return jsx(SvgCigarette, __spreadValues({}, props));
    case 300:
      return jsx(SvgEnergy, __spreadValues({}, props));
    case 301:
      return jsx(SvgFuel, __spreadValues({}, props));
    case "-1":
      return jsx(SvgOther, __spreadValues({}, props));
    default:
      return jsx(SvgOther, __spreadValues({}, props));
  }
};
const calculateTotal = (data) => data.reduce((acc, cur) => acc + cur.amount, 0);
const limitToNumSlices = (data, numSlices, minSlicePercent) => {
  const total = calculateTotal(data);
  let sortedData = data.sort((a, b) => b.amount - a.amount);
  let otherSliceData = null;
  if (sortedData.length > numSlices) {
    const slices = sortedData.slice(0, numSlices - 1);
    const other = sortedData.slice(numSlices);
    otherSliceData = {
      name: "",
      amount: other.reduce((acc, cur) => acc + cur.amount, 0),
      id: `${StatisticsCategories.Other}`
    };
    sortedData = slices;
  }
  const groupedData = [];
  sortedData.forEach((sample) => {
    if (sample.amount < total * minSlicePercent / 100) {
      if (otherSliceData) {
        otherSliceData.amount += sample.amount;
      } else {
        otherSliceData = {
          name: "",
          amount: sample.amount,
          id: `${StatisticsCategories.Other}`
        };
      }
    } else {
      groupedData.push(sample);
    }
  });
  if (otherSliceData) {
    groupedData.push(otherSliceData);
  }
  return groupedData;
};
const useGraphData = (data, maxSlices, minSlicePercent) => {
  const [formattedData, setFormattedData] = m([]);
  const total = calculateTotal(data).toFixed(2);
  y(() => {
    const formattedGraphData = limitToNumSlices(data, maxSlices, minSlicePercent);
    setFormattedData(formattedGraphData);
  }, [data, maxSlices, minSlicePercent]);
  return {
    formattedData,
    total
  };
};
const label = "_label_lwk5j_1";
const pieChart$1 = "_pieChart_lwk5j_5";
const amount = "_amount_lwk5j_13";
var styles$1 = {
  label,
  pieChart: pieChart$1,
  amount
};
const PieChartLabel = ({
  className,
  x,
  y: y2,
  data,
  index,
  radius,
  stroke = 5,
  iconScale
}) => {
  const {
    id
  } = data[index];
  const LabelIcon = getCategoryIcon(id, {
    x: x - radius * iconScale,
    y: y2 - radius * iconScale,
    width: radius * 2 * iconScale,
    height: radius * 2 * iconScale,
    preserveAspectRatio: "xMidYMid"
  });
  return jsxs("g", {
    className,
    children: [jsx("circle", {
      cx: x,
      cy: y2,
      r: radius + stroke
    }), LabelIcon]
  });
};
const DEFAULT_COLOR_SCALE = ["var(--primary-600)", "var(--primary-500)", "var(--primary-400)", "var(--primary-300)", "var(--primary-200)"];
const PieChart = ({
  className,
  data,
  currency,
  maxSlices,
  title,
  description,
  minSlicePercent = 0.5
}) => {
  const {
    formattedData,
    total
  } = useGraphData(data, maxSlices, minSlicePercent);
  const breakpoint = useBreakpoint();
  const {
    dimension,
    centerImageSize,
    backgroundBorder,
    labelRadius,
    labelIconScale
  } = useDimensions();
  const formatPriceAmount = useFormatPriceAmount();
  const radius = _(() => {
    if (breakpoint === "phone")
      return void 0;
    if (breakpoint === "tablet")
      return dimension.width / 2.65;
    return dimension.width / 2.3;
  }, [breakpoint, dimension.width]);
  return jsxs("svg", {
    className: `${styles$1.pieChart} ${className ? className : ""}`,
    preserveAspectRatio: "xMidYMid meet",
    viewBox: `0 0 ${dimension.width} ${dimension.height}`,
    width: breakpoint !== "phone" ? "100%" : void 0,
    height: breakpoint === "tablet" ? 400 : breakpoint === "desktop" ? dimension.height : void 0,
    children: [jsx("title", {
      children: title
    }), description && jsx("desc", {
      children: description
    }), jsx("desc", {}), jsx("circle", {
      cx: dimension.width / 2,
      cy: dimension.width / 2,
      r: breakpoint !== "phone" ? dimension.width / 1.5 - 8 * backgroundBorder : dimension.width / 2 - 8 * backgroundBorder
    }), jsx(VictoryPie$1, {
      standalone: false,
      x: "name",
      y: "amount",
      labelRadius: ({
        radius: radius2
      }) => +radius2,
      data: formattedData,
      width: dimension.width,
      height: dimension.height,
      radius,
      labelComponent: jsx(PieChartLabel, {
        className: styles$1.label,
        radius: labelRadius,
        iconScale: labelIconScale
      }),
      colorScale: DEFAULT_COLOR_SCALE
    }), jsx(SvgCenter, {
      x: breakpoint === "desktop" ? "26%" : breakpoint === "tablet" ? "29%" : "32%",
      y: breakpoint === "desktop" ? "24.5%" : breakpoint === "tablet" ? "28%" : "30.5%",
      width: centerImageSize,
      height: centerImageSize
    }), jsx("text", {
      x: dimension.width / 2,
      y: dimension.height / 2,
      className: styles$1.amount,
      children: formatPriceAmount(total, currency)
    })]
  });
};
const useCategory = ({
  statistics,
  monthIndex
}) => {
  const {
    categoryId = null
  } = useParams();
  return _(() => {
    var _a;
    const parentId = (_a = statistics == null ? void 0 : statistics.find(({
      id
    }) => id === categoryId)) == null ? void 0 : _a.parentId;
    return {
      currentStatistic: statistics == null ? void 0 : statistics.find(({
        id
      }) => id === categoryId),
      parent: statistics == null ? void 0 : statistics.find(({
        id
      }) => id === parentId),
      children: (statistics == null ? void 0 : statistics.filter(({
        parentId: parentId2
      }) => parentId2 === categoryId).sort((a, b) => {
        var _a2, _b;
        return ((_a2 = b.total[monthIndex]) == null ? void 0 : _a2.amount) - ((_b = a.total[monthIndex]) == null ? void 0 : _b.amount);
      })) || []
    };
  }, [categoryId, monthIndex, statistics]);
};
const useBreadcrumbs = ({
  categoryName,
  formattedDate
}) => {
  const {
    t
  } = useTranslation("web");
  const {
    month,
    categoryId
  } = useParams();
  const STATISTICS_TITLE = t("profile.purchaseStatistics.title");
  const STATISTICS_LINK = t("profile.purchaseStatistics.title").toLowerCase();
  return _(() => {
    const breadcrumbs = [{
      label: STATISTICS_TITLE,
      href: `/${STATISTICS_LINK}`
    }, {
      label: formattedDate,
      href: `/${STATISTICS_LINK}/${month}`
    }];
    if (categoryName)
      breadcrumbs.push({
        label: categoryName,
        href: `/${STATISTICS_LINK}/${month}/${categoryId}`
      });
    return breadcrumbs;
  }, [STATISTICS_LINK, STATISTICS_TITLE, categoryId, categoryName, formattedDate, month]);
};
const useHeaderProps = ({
  formattedDate,
  categoryName,
  parent
}) => {
  const {
    month,
    categoryId = null
  } = useParams();
  const {
    t
  } = useTranslation("web");
  const parentName = parent == null ? void 0 : parent.category.description;
  const breadcrumbs = useBreadcrumbs({
    categoryName,
    formattedDate
  });
  return _(() => {
    const baseUrl = toUrl(t("profile.purchaseStatistics.title"));
    if (!categoryId) {
      return {
        title: formattedDate,
        goBackLinkProps: {
          to: baseUrl,
          label: t("profile.purchaseStatistics.overview.navigation").toLowerCase()
        },
        breadcrumbs
      };
    }
    return {
      title: categoryName,
      goBackLinkProps: {
        to: `${baseUrl}/${month}`,
        label: parentName
      },
      breadcrumbs
    };
  }, [breadcrumbs, categoryId, categoryName, formattedDate, month, parentName, t]);
};
const hasPurchase = ({
  amount: amount2
}) => amount2 !== 0;
const toListItems = ({
  id,
  name,
  level,
  amount: amount2,
  currency
}, formatPriceAmount) => {
  const listItem = {
    asset: getCategoryIcon(id),
    action: jsx("div", {
      children: jsx("span", {
        class: "body-medium",
        children: formatPriceAmount(amount2, currency)
      })
    }),
    title: name,
    variant: "div"
  };
  if (level === 2)
    return listItem;
  return __spreadProps(__spreadValues({}, listItem), {
    action: jsx(Chevron, {
      text: formatPriceAmount(amount2, currency)
    }),
    route: {
      href: id
    },
    variant: "link"
  });
};
const useParseData = (children, monthIndex, t) => {
  const {
    month
  } = useParams();
  const [categoryData, setCategoryData] = m([]);
  const [sections, setSections] = m([]);
  const [categoryCurrency, setCategoryCurrency] = m();
  const formatPriceAmount = useFormatPriceAmount();
  y(() => {
    const convertedData = children.map(({
      id,
      level,
      category,
      total
    }) => {
      const name = category.description;
      const {
        amount: amount2,
        currency
      } = total[monthIndex];
      if (currency && !categoryCurrency) {
        setCategoryCurrency(currency);
      }
      return {
        name,
        amount: amount2,
        currency,
        level,
        id
      };
    }).filter(hasPurchase);
    const listItems = convertedData == null ? void 0 : convertedData.slice(0, MAX_SLICES - 1).map((item) => {
      return toListItems(item, formatPriceAmount);
    });
    const otherListItems = convertedData == null ? void 0 : convertedData.slice(MAX_SLICES - 1).map((item) => {
      return toListItems(item, formatPriceAmount);
    });
    setSections([{
      title: "",
      ariaLabel: `${t("profile.purchaseStatistics.main")} ${t("profile.purchaseStatistics.categories").toLowerCase()}`,
      listItems
    }, {
      title: t("profile.purchaseStatistics.other"),
      ariaLabel: `${t("profile.purchaseStatistics.other")} ${t("profile.purchaseStatistics.categories").toLowerCase()}`,
      action: t("profile.purchaseStatistics.categories", {
        count: otherListItems.length
      }),
      asset: jsx(SvgOther, {
        "aria-hidden": "true"
      }),
      listItems: otherListItems
    }]);
    setCategoryData(convertedData);
  }, [children, monthIndex, categoryCurrency, month]);
  return {
    formattedCategory: categoryData,
    formattedSections: sections,
    currency: categoryCurrency
  };
};
const pieChart = "_pieChart_1sb3p_1";
const overview = "_overview_1sb3p_6";
const categoryNavigationSection = "_categoryNavigationSection_1sb3p_15";
const pieChartWrapper = "_pieChartWrapper_1sb3p_32";
var styles = {
  pieChart,
  overview,
  categoryNavigationSection,
  pieChartWrapper
};
const getMonthIndex = (month, locale) => {
  const lastYear = subYears(Date.now(), 1);
  const months = eachMonthOfInterval({
    start: lastYear,
    end: Date.now()
  }).map((date) => format(date, "MMMM", {
    locale
  })).reverse();
  const monthIndex = months.indexOf(month);
  return monthIndex;
};
const MAX_SLICES = 5;
const Category = ({
  expensesQuery
}) => {
  const locale = useLocale();
  const {
    t
  } = useTranslation("web");
  const {
    month,
    categoryId
  } = useParams();
  const {
    isLoading,
    isError,
    expenses,
    hasExpenses
  } = expensesQuery;
  const monthIndex = getMonthIndex(month, locale);
  const formattedDate = capitalize(format(subMonths(Date.now(), monthIndex), "MMMM yyyy", {
    locale
  }));
  const {
    currentStatistic,
    parent,
    children
  } = useCategory({
    statistics: expenses == null ? void 0 : expenses.statistics,
    monthIndex
  });
  const categoryName = currentStatistic == null ? void 0 : currentStatistic.category.description;
  const isDetailPage = !!categoryId;
  const headerProps = useHeaderProps({
    parent,
    formattedDate,
    categoryName
  });
  const {
    formattedCategory,
    formattedSections,
    currency
  } = useParseData(children, monthIndex, t);
  return jsxs(ProfilePage, {
    headerProps,
    isLoading,
    isError,
    children: [hasExpenses === false && jsx(EmptyState, {
      illustration: jsx(SvgShoppingLists, {
        role: "presentation"
      }),
      title: t("profile.purchaseStatistics.emptyState.title"),
      description: t("profile.purchaseStatistics.emptyState.description")
    }), !!formattedCategory.length && jsxs("div", {
      class: styles.overview,
      children: [jsx("div", {
        className: styles.pieChartWrapper,
        children: jsx(PieChart, {
          className: styles.pieChart,
          title: isDetailPage ? t("profile.purchaseStatistics.category.graph.title", {
            category: categoryName == null ? void 0 : categoryName.toLowerCase(),
            period: formattedDate.toLowerCase()
          }) : t("profile.purchaseStatistics.category.graph.month.title", {
            period: formattedDate.toLowerCase()
          }),
          description: isDetailPage ? t("profile.purchaseStatistics.category.graph.description", {
            amount: calculateTotal(formattedCategory).toFixed(2),
            category: categoryName == null ? void 0 : categoryName.toLowerCase(),
            period: formattedDate.toLowerCase()
          }) : t("profile.purchaseStatistics.category.graph.month.description", {
            amount: calculateTotal(formattedCategory).toFixed(2),
            period: formattedDate.toLowerCase()
          }),
          data: formattedCategory,
          currency,
          maxSlices: MAX_SLICES
        })
      }), jsx(List, {
        className: styles.categoryNavigationSection,
        ariaLabel: t("profile.purchaseStatistics.category.navigation"),
        sections: formattedSections,
        variant: (currentStatistic == null ? void 0 : currentStatistic.level) === 1 ? "list" : "navigation"
      })]
    })]
  });
};
export { MAX_SLICES, Category as default };
