var __defProp = Object.defineProperty;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
import { D, m, F, l as React$1, n as k, o as en, q as d, h, y, A, v, r as _, s as d$1, x, k as getAugmentedNamespace, t as React$2, T as TagName, u as p, E as Environment, w as pushTealiumEvent, z as F$1, L, b as getRedirectRequest } from "./index.js";
import { _ as _inheritsLoose$1, a as _extends$2, g as getDefaultState, n as notifyManager, S as Subscribable, p as parseMutationArgs, u as useQueryClient, b as noop, s as shouldThrowError, c as useWindowSize, A as ActivityIndicator, d as useStore, e as useEnvironment, f as useBreakpoint, h as getRootContainer, i as useGraphQLRequest, j as useQuery, k as SvgChevronRight, Q as QueryClient, M as MsalProvider, E as EnvironmentProvider, l as QueryClientProvider, G as GraphQLClientProvider } from "./chevron-right.js";
import { j as jsx, u as useTranslation, a as jsxs, F as Fragment } from "./jsx-runtime.js";
const HeadTitleContext = D(void 0);
const TitleSeperatorContext = D("|");
const HeadTitleProvider = ({
  headTitle,
  titleSeperator,
  children
}) => {
  const [title] = m(() => headTitle);
  const [seperator] = m(() => titleSeperator);
  return jsx(HeadTitleContext.Provider, {
    value: title,
    children: jsx(TitleSeperatorContext.Provider, {
      value: seperator,
      children
    })
  });
};
const useHeadTitle = () => {
  const title = F(HeadTitleContext);
  const seperator = F(TitleSeperatorContext);
  if (title === void 0) {
    throw new Error("useHeadTitle must be used within a HeadTitleProvider");
  }
  return {
    title,
    seperator
  };
};
const IsHeaderFixedContext = D(void 0);
const IsHeaderFixedProvider = ({
  isHeaderFixed,
  children
}) => {
  const [value] = m(() => isHeaderFixed);
  return jsx(IsHeaderFixedContext.Provider, {
    value,
    children
  });
};
const useIsHeaderFixed = () => {
  const context = F(IsHeaderFixedContext);
  if (context === void 0) {
    throw new Error("useIsHeaderFixed must be used withing an IsHeaderFixedProvider");
  }
  return context;
};
var MutationObserver = /* @__PURE__ */ function(_Subscribable) {
  _inheritsLoose$1(MutationObserver2, _Subscribable);
  function MutationObserver2(client, options) {
    var _this;
    _this = _Subscribable.call(this) || this;
    _this.client = client;
    _this.setOptions(options);
    _this.bindMethods();
    _this.updateResult();
    return _this;
  }
  var _proto = MutationObserver2.prototype;
  _proto.bindMethods = function bindMethods() {
    this.mutate = this.mutate.bind(this);
    this.reset = this.reset.bind(this);
  };
  _proto.setOptions = function setOptions(options) {
    this.options = this.client.defaultMutationOptions(options);
  };
  _proto.onUnsubscribe = function onUnsubscribe() {
    if (!this.listeners.length) {
      var _this$currentMutation;
      (_this$currentMutation = this.currentMutation) == null ? void 0 : _this$currentMutation.removeObserver(this);
    }
  };
  _proto.onMutationUpdate = function onMutationUpdate(action) {
    this.updateResult();
    var notifyOptions = {
      listeners: true
    };
    if (action.type === "success") {
      notifyOptions.onSuccess = true;
    } else if (action.type === "error") {
      notifyOptions.onError = true;
    }
    this.notify(notifyOptions);
  };
  _proto.getCurrentResult = function getCurrentResult() {
    return this.currentResult;
  };
  _proto.reset = function reset() {
    this.currentMutation = void 0;
    this.updateResult();
    this.notify({
      listeners: true
    });
  };
  _proto.mutate = function mutate(variables, options) {
    this.mutateOptions = options;
    if (this.currentMutation) {
      this.currentMutation.removeObserver(this);
    }
    this.currentMutation = this.client.getMutationCache().build(this.client, _extends$2({}, this.options, {
      variables: typeof variables !== "undefined" ? variables : this.options.variables
    }));
    this.currentMutation.addObserver(this);
    return this.currentMutation.execute();
  };
  _proto.updateResult = function updateResult() {
    var state = this.currentMutation ? this.currentMutation.state : getDefaultState();
    var result = _extends$2({}, state, {
      isLoading: state.status === "loading",
      isSuccess: state.status === "success",
      isError: state.status === "error",
      isIdle: state.status === "idle",
      mutate: this.mutate,
      reset: this.reset
    });
    this.currentResult = result;
  };
  _proto.notify = function notify(options) {
    var _this2 = this;
    notifyManager.batch(function() {
      if (_this2.mutateOptions) {
        if (options.onSuccess) {
          _this2.mutateOptions.onSuccess == null ? void 0 : _this2.mutateOptions.onSuccess(_this2.currentResult.data, _this2.currentResult.variables, _this2.currentResult.context);
          _this2.mutateOptions.onSettled == null ? void 0 : _this2.mutateOptions.onSettled(_this2.currentResult.data, null, _this2.currentResult.variables, _this2.currentResult.context);
        } else if (options.onError) {
          _this2.mutateOptions.onError == null ? void 0 : _this2.mutateOptions.onError(_this2.currentResult.error, _this2.currentResult.variables, _this2.currentResult.context);
          _this2.mutateOptions.onSettled == null ? void 0 : _this2.mutateOptions.onSettled(void 0, _this2.currentResult.error, _this2.currentResult.variables, _this2.currentResult.context);
        }
      }
      if (options.listeners) {
        _this2.listeners.forEach(function(listener) {
          listener(_this2.currentResult);
        });
      }
    });
  };
  return MutationObserver2;
}(Subscribable);
function useMutation(arg1, arg2, arg3) {
  var mountedRef = React$1.useRef(false);
  var _React$useState = React$1.useState(0), forceUpdate = _React$useState[1];
  var options = parseMutationArgs(arg1, arg2, arg3);
  var queryClient2 = useQueryClient();
  var obsRef = React$1.useRef();
  if (!obsRef.current) {
    obsRef.current = new MutationObserver(queryClient2, options);
  } else {
    obsRef.current.setOptions(options);
  }
  var currentResult = obsRef.current.getCurrentResult();
  React$1.useEffect(function() {
    mountedRef.current = true;
    var unsubscribe = obsRef.current.subscribe(notifyManager.batchCalls(function() {
      if (mountedRef.current) {
        forceUpdate(function(x2) {
          return x2 + 1;
        });
      }
    }));
    return function() {
      mountedRef.current = false;
      unsubscribe();
    };
  }, []);
  var mutate = React$1.useCallback(function(variables, mutateOptions) {
    obsRef.current.mutate(variables, mutateOptions).catch(noop);
  }, []);
  if (currentResult.error && shouldThrowError(void 0, obsRef.current.options.useErrorBoundary, [currentResult.error])) {
    throw currentResult.error;
  }
  return _extends$2({}, currentResult, {
    mutate,
    mutateAsync: currentResult.mutate
  });
}
var Action;
(function(Action2) {
  Action2["Pop"] = "POP";
  Action2["Push"] = "PUSH";
  Action2["Replace"] = "REPLACE";
})(Action || (Action = {}));
var readOnly = function(obj) {
  return obj;
};
var BeforeUnloadEventType = "beforeunload";
var HashChangeEventType = "hashchange";
var PopStateEventType = "popstate";
function createHashHistory(options) {
  if (options === void 0) {
    options = {};
  }
  var _options2 = options, _options2$window = _options2.window, window2 = _options2$window === void 0 ? document.defaultView : _options2$window;
  var globalHistory = window2.history;
  function getIndexAndLocation() {
    var _parsePath = parsePath(window2.location.hash.substr(1)), _parsePath$pathname = _parsePath.pathname, pathname = _parsePath$pathname === void 0 ? "/" : _parsePath$pathname, _parsePath$search = _parsePath.search, search = _parsePath$search === void 0 ? "" : _parsePath$search, _parsePath$hash = _parsePath.hash, hash = _parsePath$hash === void 0 ? "" : _parsePath$hash;
    var state = globalHistory.state || {};
    return [state.idx, readOnly({
      pathname,
      search,
      hash,
      state: state.usr || null,
      key: state.key || "default"
    })];
  }
  var blockedPopTx = null;
  function handlePop() {
    if (blockedPopTx) {
      blockers.call(blockedPopTx);
      blockedPopTx = null;
    } else {
      var nextAction = Action.Pop;
      var _getIndexAndLocation4 = getIndexAndLocation(), nextIndex = _getIndexAndLocation4[0], nextLocation = _getIndexAndLocation4[1];
      if (blockers.length) {
        if (nextIndex != null) {
          var delta = index2 - nextIndex;
          if (delta) {
            blockedPopTx = {
              action: nextAction,
              location: nextLocation,
              retry: function retry() {
                go(delta * -1);
              }
            };
            go(delta);
          }
        }
      } else {
        applyTx(nextAction);
      }
    }
  }
  window2.addEventListener(PopStateEventType, handlePop);
  window2.addEventListener(HashChangeEventType, function() {
    var _getIndexAndLocation5 = getIndexAndLocation(), nextLocation = _getIndexAndLocation5[1];
    if (createPath(nextLocation) !== createPath(location)) {
      handlePop();
    }
  });
  var action = Action.Pop;
  var _getIndexAndLocation6 = getIndexAndLocation(), index2 = _getIndexAndLocation6[0], location = _getIndexAndLocation6[1];
  var listeners = createEvents();
  var blockers = createEvents();
  if (index2 == null) {
    index2 = 0;
    globalHistory.replaceState(_extends$2({}, globalHistory.state, {
      idx: index2
    }), "");
  }
  function getBaseHref() {
    var base = document.querySelector("base");
    var href = "";
    if (base && base.getAttribute("href")) {
      var url = window2.location.href;
      var hashIndex = url.indexOf("#");
      href = hashIndex === -1 ? url : url.slice(0, hashIndex);
    }
    return href;
  }
  function createHref(to) {
    return getBaseHref() + "#" + (typeof to === "string" ? to : createPath(to));
  }
  function getNextLocation(to, state) {
    if (state === void 0) {
      state = null;
    }
    return readOnly(_extends$2({
      pathname: location.pathname,
      hash: "",
      search: ""
    }, typeof to === "string" ? parsePath(to) : to, {
      state,
      key: createKey()
    }));
  }
  function getHistoryStateAndUrl(nextLocation, index3) {
    return [{
      usr: nextLocation.state,
      key: nextLocation.key,
      idx: index3
    }, createHref(nextLocation)];
  }
  function allowTx(action2, location2, retry) {
    return !blockers.length || (blockers.call({
      action: action2,
      location: location2,
      retry
    }), false);
  }
  function applyTx(nextAction) {
    action = nextAction;
    var _getIndexAndLocation7 = getIndexAndLocation();
    index2 = _getIndexAndLocation7[0];
    location = _getIndexAndLocation7[1];
    listeners.call({
      action,
      location
    });
  }
  function push(to, state) {
    var nextAction = Action.Push;
    var nextLocation = getNextLocation(to, state);
    function retry() {
      push(to, state);
    }
    if (allowTx(nextAction, nextLocation, retry)) {
      var _getHistoryStateAndUr3 = getHistoryStateAndUrl(nextLocation, index2 + 1), historyState = _getHistoryStateAndUr3[0], url = _getHistoryStateAndUr3[1];
      try {
        globalHistory.pushState(historyState, "", url);
      } catch (error) {
        window2.location.assign(url);
      }
      applyTx(nextAction);
    }
  }
  function replace(to, state) {
    var nextAction = Action.Replace;
    var nextLocation = getNextLocation(to, state);
    function retry() {
      replace(to, state);
    }
    if (allowTx(nextAction, nextLocation, retry)) {
      var _getHistoryStateAndUr4 = getHistoryStateAndUrl(nextLocation, index2), historyState = _getHistoryStateAndUr4[0], url = _getHistoryStateAndUr4[1];
      globalHistory.replaceState(historyState, "", url);
      applyTx(nextAction);
    }
  }
  function go(delta) {
    globalHistory.go(delta);
  }
  var history = {
    get action() {
      return action;
    },
    get location() {
      return location;
    },
    createHref,
    push,
    replace,
    go,
    back: function back() {
      go(-1);
    },
    forward: function forward() {
      go(1);
    },
    listen: function listen(listener) {
      return listeners.push(listener);
    },
    block: function block(blocker) {
      var unblock = blockers.push(blocker);
      if (blockers.length === 1) {
        window2.addEventListener(BeforeUnloadEventType, promptBeforeUnload);
      }
      return function() {
        unblock();
        if (!blockers.length) {
          window2.removeEventListener(BeforeUnloadEventType, promptBeforeUnload);
        }
      };
    }
  };
  return history;
}
function promptBeforeUnload(event) {
  event.preventDefault();
  event.returnValue = "";
}
function createEvents() {
  var handlers = [];
  return {
    get length() {
      return handlers.length;
    },
    push: function push(fn) {
      handlers.push(fn);
      return function() {
        handlers = handlers.filter(function(handler) {
          return handler !== fn;
        });
      };
    },
    call: function call(arg) {
      handlers.forEach(function(fn) {
        return fn && fn(arg);
      });
    }
  };
}
function createKey() {
  return Math.random().toString(36).substr(2, 8);
}
function createPath(_ref) {
  var _ref$pathname = _ref.pathname, pathname = _ref$pathname === void 0 ? "/" : _ref$pathname, _ref$search = _ref.search, search = _ref$search === void 0 ? "" : _ref$search, _ref$hash = _ref.hash, hash = _ref$hash === void 0 ? "" : _ref$hash;
  if (search && search !== "?")
    pathname += search.charAt(0) === "?" ? search : "?" + search;
  if (hash && hash !== "#")
    pathname += hash.charAt(0) === "#" ? hash : "#" + hash;
  return pathname;
}
function parsePath(path) {
  var parsedPath = {};
  if (path) {
    var hashIndex = path.indexOf("#");
    if (hashIndex >= 0) {
      parsedPath.hash = path.substr(hashIndex);
      path = path.substr(0, hashIndex);
    }
    var searchIndex = path.indexOf("?");
    if (searchIndex >= 0) {
      parsedPath.search = path.substr(searchIndex);
      path = path.substr(0, searchIndex);
    }
    if (path) {
      parsedPath.pathname = path;
    }
  }
  return parsedPath;
}
/**
 * React Router v6.3.0
 *
 * Copyright (c) Remix Software Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */
const NavigationContext = /* @__PURE__ */ D(null);
const LocationContext = /* @__PURE__ */ D(null);
const RouteContext = /* @__PURE__ */ D({
  outlet: null,
  matches: []
});
function invariant(cond, message) {
  if (!cond)
    throw new Error(message);
}
function matchRoutes(routes, locationArg, basename) {
  if (basename === void 0) {
    basename = "/";
  }
  let location = typeof locationArg === "string" ? parsePath(locationArg) : locationArg;
  let pathname = stripBasename(location.pathname || "/", basename);
  if (pathname == null) {
    return null;
  }
  let branches = flattenRoutes(routes);
  rankRouteBranches(branches);
  let matches = null;
  for (let i = 0; matches == null && i < branches.length; ++i) {
    matches = matchRouteBranch(branches[i], pathname);
  }
  return matches;
}
function flattenRoutes(routes, branches, parentsMeta, parentPath) {
  if (branches === void 0) {
    branches = [];
  }
  if (parentsMeta === void 0) {
    parentsMeta = [];
  }
  if (parentPath === void 0) {
    parentPath = "";
  }
  routes.forEach((route, index2) => {
    let meta = {
      relativePath: route.path || "",
      caseSensitive: route.caseSensitive === true,
      childrenIndex: index2,
      route
    };
    if (meta.relativePath.startsWith("/")) {
      !meta.relativePath.startsWith(parentPath) ? invariant(false) : void 0;
      meta.relativePath = meta.relativePath.slice(parentPath.length);
    }
    let path = joinPaths([parentPath, meta.relativePath]);
    let routesMeta = parentsMeta.concat(meta);
    if (route.children && route.children.length > 0) {
      !(route.index !== true) ? invariant(false) : void 0;
      flattenRoutes(route.children, branches, routesMeta, path);
    }
    if (route.path == null && !route.index) {
      return;
    }
    branches.push({
      path,
      score: computeScore(path, route.index),
      routesMeta
    });
  });
  return branches;
}
function rankRouteBranches(branches) {
  branches.sort((a, b) => a.score !== b.score ? b.score - a.score : compareIndexes(a.routesMeta.map((meta) => meta.childrenIndex), b.routesMeta.map((meta) => meta.childrenIndex)));
}
const paramRe = /^:\w+$/;
const dynamicSegmentValue = 3;
const indexRouteValue = 2;
const emptySegmentValue = 1;
const staticSegmentValue = 10;
const splatPenalty = -2;
const isSplat = (s) => s === "*";
function computeScore(path, index2) {
  let segments = path.split("/");
  let initialScore = segments.length;
  if (segments.some(isSplat)) {
    initialScore += splatPenalty;
  }
  if (index2) {
    initialScore += indexRouteValue;
  }
  return segments.filter((s) => !isSplat(s)).reduce((score, segment) => score + (paramRe.test(segment) ? dynamicSegmentValue : segment === "" ? emptySegmentValue : staticSegmentValue), initialScore);
}
function compareIndexes(a, b) {
  let siblings = a.length === b.length && a.slice(0, -1).every((n, i) => n === b[i]);
  return siblings ? a[a.length - 1] - b[b.length - 1] : 0;
}
function matchRouteBranch(branch, pathname) {
  let {
    routesMeta
  } = branch;
  let matchedParams = {};
  let matchedPathname = "/";
  let matches = [];
  for (let i = 0; i < routesMeta.length; ++i) {
    let meta = routesMeta[i];
    let end = i === routesMeta.length - 1;
    let remainingPathname = matchedPathname === "/" ? pathname : pathname.slice(matchedPathname.length) || "/";
    let match = matchPath({
      path: meta.relativePath,
      caseSensitive: meta.caseSensitive,
      end
    }, remainingPathname);
    if (!match)
      return null;
    Object.assign(matchedParams, match.params);
    let route = meta.route;
    matches.push({
      params: matchedParams,
      pathname: joinPaths([matchedPathname, match.pathname]),
      pathnameBase: normalizePathname(joinPaths([matchedPathname, match.pathnameBase])),
      route
    });
    if (match.pathnameBase !== "/") {
      matchedPathname = joinPaths([matchedPathname, match.pathnameBase]);
    }
  }
  return matches;
}
function matchPath(pattern, pathname) {
  if (typeof pattern === "string") {
    pattern = {
      path: pattern,
      caseSensitive: false,
      end: true
    };
  }
  let [matcher, paramNames] = compilePath(pattern.path, pattern.caseSensitive, pattern.end);
  let match = pathname.match(matcher);
  if (!match)
    return null;
  let matchedPathname = match[0];
  let pathnameBase = matchedPathname.replace(/(.)\/+$/, "$1");
  let captureGroups = match.slice(1);
  let params = paramNames.reduce((memo, paramName, index2) => {
    if (paramName === "*") {
      let splatValue = captureGroups[index2] || "";
      pathnameBase = matchedPathname.slice(0, matchedPathname.length - splatValue.length).replace(/(.)\/+$/, "$1");
    }
    memo[paramName] = safelyDecodeURIComponent(captureGroups[index2] || "");
    return memo;
  }, {});
  return {
    params,
    pathname: matchedPathname,
    pathnameBase,
    pattern
  };
}
function compilePath(path, caseSensitive, end) {
  if (caseSensitive === void 0) {
    caseSensitive = false;
  }
  if (end === void 0) {
    end = true;
  }
  let paramNames = [];
  let regexpSource = "^" + path.replace(/\/*\*?$/, "").replace(/^\/*/, "/").replace(/[\\.*+^$?{}|()[\]]/g, "\\$&").replace(/:(\w+)/g, (_2, paramName) => {
    paramNames.push(paramName);
    return "([^\\/]+)";
  });
  if (path.endsWith("*")) {
    paramNames.push("*");
    regexpSource += path === "*" || path === "/*" ? "(.*)$" : "(?:\\/(.+)|\\/*)$";
  } else {
    regexpSource += end ? "\\/*$" : "(?:(?=[.~-]|%[0-9A-F]{2})|\\b|\\/|$)";
  }
  let matcher = new RegExp(regexpSource, caseSensitive ? void 0 : "i");
  return [matcher, paramNames];
}
function safelyDecodeURIComponent(value, paramName) {
  try {
    return decodeURIComponent(value);
  } catch (error) {
    return value;
  }
}
function resolvePath(to, fromPathname) {
  if (fromPathname === void 0) {
    fromPathname = "/";
  }
  let {
    pathname: toPathname,
    search = "",
    hash = ""
  } = typeof to === "string" ? parsePath(to) : to;
  let pathname = toPathname ? toPathname.startsWith("/") ? toPathname : resolvePathname(toPathname, fromPathname) : fromPathname;
  return {
    pathname,
    search: normalizeSearch(search),
    hash: normalizeHash(hash)
  };
}
function resolvePathname(relativePath, fromPathname) {
  let segments = fromPathname.replace(/\/+$/, "").split("/");
  let relativeSegments = relativePath.split("/");
  relativeSegments.forEach((segment) => {
    if (segment === "..") {
      if (segments.length > 1)
        segments.pop();
    } else if (segment !== ".") {
      segments.push(segment);
    }
  });
  return segments.length > 1 ? segments.join("/") : "/";
}
function resolveTo(toArg, routePathnames, locationPathname) {
  let to = typeof toArg === "string" ? parsePath(toArg) : toArg;
  let toPathname = toArg === "" || to.pathname === "" ? "/" : to.pathname;
  let from;
  if (toPathname == null) {
    from = locationPathname;
  } else {
    let routePathnameIndex = routePathnames.length - 1;
    if (toPathname.startsWith("..")) {
      let toSegments = toPathname.split("/");
      while (toSegments[0] === "..") {
        toSegments.shift();
        routePathnameIndex -= 1;
      }
      to.pathname = toSegments.join("/");
    }
    from = routePathnameIndex >= 0 ? routePathnames[routePathnameIndex] : "/";
  }
  let path = resolvePath(to, from);
  if (toPathname && toPathname !== "/" && toPathname.endsWith("/") && !path.pathname.endsWith("/")) {
    path.pathname += "/";
  }
  return path;
}
function getToPathname(to) {
  return to === "" || to.pathname === "" ? "/" : typeof to === "string" ? parsePath(to).pathname : to.pathname;
}
function stripBasename(pathname, basename) {
  if (basename === "/")
    return pathname;
  if (!pathname.toLowerCase().startsWith(basename.toLowerCase())) {
    return null;
  }
  let nextChar = pathname.charAt(basename.length);
  if (nextChar && nextChar !== "/") {
    return null;
  }
  return pathname.slice(basename.length) || "/";
}
const joinPaths = (paths) => paths.join("/").replace(/\/\/+/g, "/");
const normalizePathname = (pathname) => pathname.replace(/\/+$/, "").replace(/^\/*/, "/");
const normalizeSearch = (search) => !search || search === "?" ? "" : search.startsWith("?") ? search : "?" + search;
const normalizeHash = (hash) => !hash || hash === "#" ? "" : hash.startsWith("#") ? hash : "#" + hash;
function useHref(to) {
  !useInRouterContext() ? invariant(false) : void 0;
  let {
    basename,
    navigator
  } = F(NavigationContext);
  let {
    hash,
    pathname,
    search
  } = useResolvedPath(to);
  let joinedPathname = pathname;
  if (basename !== "/") {
    let toPathname = getToPathname(to);
    let endsWithSlash = toPathname != null && toPathname.endsWith("/");
    joinedPathname = pathname === "/" ? basename + (endsWithSlash ? "/" : "") : joinPaths([basename, pathname]);
  }
  return navigator.createHref({
    pathname: joinedPathname,
    search,
    hash
  });
}
function useInRouterContext() {
  return F(LocationContext) != null;
}
function useLocation() {
  !useInRouterContext() ? invariant(false) : void 0;
  return F(LocationContext).location;
}
function useNavigate() {
  !useInRouterContext() ? invariant(false) : void 0;
  let {
    basename,
    navigator
  } = F(NavigationContext);
  let {
    matches
  } = F(RouteContext);
  let {
    pathname: locationPathname
  } = useLocation();
  let routePathnamesJson = JSON.stringify(matches.map((match) => match.pathnameBase));
  let activeRef = h(false);
  y(() => {
    activeRef.current = true;
  });
  let navigate = A(function(to, options) {
    if (options === void 0) {
      options = {};
    }
    if (!activeRef.current)
      return;
    if (typeof to === "number") {
      navigator.go(to);
      return;
    }
    let path = resolveTo(to, JSON.parse(routePathnamesJson), locationPathname);
    if (basename !== "/") {
      path.pathname = joinPaths([basename, path.pathname]);
    }
    (!!options.replace ? navigator.replace : navigator.push)(path, options.state);
  }, [basename, navigator, routePathnamesJson, locationPathname]);
  return navigate;
}
function useParams() {
  let {
    matches
  } = F(RouteContext);
  let routeMatch = matches[matches.length - 1];
  return routeMatch ? routeMatch.params : {};
}
function useResolvedPath(to) {
  let {
    matches
  } = F(RouteContext);
  let {
    pathname: locationPathname
  } = useLocation();
  let routePathnamesJson = JSON.stringify(matches.map((match) => match.pathnameBase));
  return _(() => resolveTo(to, JSON.parse(routePathnamesJson), locationPathname), [to, routePathnamesJson, locationPathname]);
}
function useRoutes(routes, locationArg) {
  !useInRouterContext() ? invariant(false) : void 0;
  let {
    matches: parentMatches
  } = F(RouteContext);
  let routeMatch = parentMatches[parentMatches.length - 1];
  let parentParams = routeMatch ? routeMatch.params : {};
  routeMatch ? routeMatch.pathname : "/";
  let parentPathnameBase = routeMatch ? routeMatch.pathnameBase : "/";
  routeMatch && routeMatch.route;
  let locationFromContext = useLocation();
  let location;
  if (locationArg) {
    var _parsedLocationArg$pa;
    let parsedLocationArg = typeof locationArg === "string" ? parsePath(locationArg) : locationArg;
    !(parentPathnameBase === "/" || ((_parsedLocationArg$pa = parsedLocationArg.pathname) == null ? void 0 : _parsedLocationArg$pa.startsWith(parentPathnameBase))) ? invariant(false) : void 0;
    location = parsedLocationArg;
  } else {
    location = locationFromContext;
  }
  let pathname = location.pathname || "/";
  let remainingPathname = parentPathnameBase === "/" ? pathname : pathname.slice(parentPathnameBase.length) || "/";
  let matches = matchRoutes(routes, {
    pathname: remainingPathname
  });
  return _renderMatches(matches && matches.map((match) => Object.assign({}, match, {
    params: Object.assign({}, parentParams, match.params),
    pathname: joinPaths([parentPathnameBase, match.pathname]),
    pathnameBase: match.pathnameBase === "/" ? parentPathnameBase : joinPaths([parentPathnameBase, match.pathnameBase])
  })), parentMatches);
}
function _renderMatches(matches, parentMatches) {
  if (parentMatches === void 0) {
    parentMatches = [];
  }
  if (matches == null)
    return null;
  return matches.reduceRight((outlet, match, index2) => {
    return /* @__PURE__ */ v(RouteContext.Provider, {
      children: match.route.element !== void 0 ? match.route.element : outlet,
      value: {
        outlet,
        matches: parentMatches.concat(matches.slice(0, index2 + 1))
      }
    });
  }, null);
}
function Navigate(_ref2) {
  let {
    to,
    replace,
    state
  } = _ref2;
  !useInRouterContext() ? invariant(false) : void 0;
  let navigate = useNavigate();
  y(() => {
    navigate(to, {
      replace,
      state
    });
  });
  return null;
}
function Route(_props) {
  invariant(false);
}
function Router(_ref3) {
  let {
    basename: basenameProp = "/",
    children = null,
    location: locationProp,
    navigationType = Action.Pop,
    navigator,
    static: staticProp = false
  } = _ref3;
  !!useInRouterContext() ? invariant(false) : void 0;
  let basename = normalizePathname(basenameProp);
  let navigationContext = _(() => ({
    basename,
    navigator,
    static: staticProp
  }), [basename, navigator, staticProp]);
  if (typeof locationProp === "string") {
    locationProp = parsePath(locationProp);
  }
  let {
    pathname = "/",
    search = "",
    hash = "",
    state = null,
    key = "default"
  } = locationProp;
  let location = _(() => {
    let trailingPathname = stripBasename(pathname, basename);
    if (trailingPathname == null) {
      return null;
    }
    return {
      pathname: trailingPathname,
      search,
      hash,
      state,
      key
    };
  }, [basename, pathname, search, hash, state, key]);
  if (location == null) {
    return null;
  }
  return /* @__PURE__ */ v(NavigationContext.Provider, {
    value: navigationContext
  }, /* @__PURE__ */ v(LocationContext.Provider, {
    children,
    value: {
      location,
      navigationType
    }
  }));
}
function Routes(_ref4) {
  let {
    children,
    location
  } = _ref4;
  return useRoutes(createRoutesFromChildren(children), location);
}
function createRoutesFromChildren(children) {
  let routes = [];
  k.forEach(children, (element) => {
    if (!/* @__PURE__ */ en(element)) {
      return;
    }
    if (element.type === d) {
      routes.push.apply(routes, createRoutesFromChildren(element.props.children));
      return;
    }
    !(element.type === Route) ? invariant(false) : void 0;
    let route = {
      caseSensitive: element.props.caseSensitive,
      element: element.props.element,
      index: element.props.index,
      path: element.props.path
    };
    if (element.props.children) {
      route.children = createRoutesFromChildren(element.props.children);
    }
    routes.push(route);
  });
  return routes;
}
/**
 * React Router DOM v6.3.0
 *
 * Copyright (c) Remix Software Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */
function _extends$1() {
  _extends$1 = Object.assign || function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends$1.apply(this, arguments);
}
function _objectWithoutPropertiesLoose(source, excluded) {
  if (source == null)
    return {};
  var target = {};
  var sourceKeys = Object.keys(source);
  var key, i;
  for (i = 0; i < sourceKeys.length; i++) {
    key = sourceKeys[i];
    if (excluded.indexOf(key) >= 0)
      continue;
    target[key] = source[key];
  }
  return target;
}
const _excluded = ["onClick", "reloadDocument", "replace", "state", "target", "to"], _excluded2 = ["aria-current", "caseSensitive", "className", "end", "style", "to", "children"];
function HashRouter(_ref2) {
  let {
    basename,
    children,
    window: window2
  } = _ref2;
  let historyRef = h();
  if (historyRef.current == null) {
    historyRef.current = createHashHistory({
      window: window2
    });
  }
  let history = historyRef.current;
  let [state, setState] = m({
    action: history.action,
    location: history.location
  });
  d$1(() => history.listen(setState), [history]);
  return /* @__PURE__ */ v(Router, {
    basename,
    children,
    location: state.location,
    navigationType: state.action,
    navigator: history
  });
}
function isModifiedEvent(event) {
  return !!(event.metaKey || event.altKey || event.ctrlKey || event.shiftKey);
}
const Link = /* @__PURE__ */ x(function LinkWithRef(_ref4, ref) {
  let {
    onClick,
    reloadDocument,
    replace = false,
    state,
    target,
    to
  } = _ref4, rest = _objectWithoutPropertiesLoose(_ref4, _excluded);
  let href = useHref(to);
  let internalOnClick = useLinkClickHandler(to, {
    replace,
    state,
    target
  });
  function handleClick(event) {
    if (onClick)
      onClick(event);
    if (!event.defaultPrevented && !reloadDocument) {
      internalOnClick(event);
    }
  }
  return /* @__PURE__ */ v("a", _extends$1({}, rest, {
    href,
    onClick: handleClick,
    ref,
    target
  }));
});
const NavLink = /* @__PURE__ */ x(function NavLinkWithRef(_ref5, ref) {
  let {
    "aria-current": ariaCurrentProp = "page",
    caseSensitive = false,
    className: classNameProp = "",
    end = false,
    style: styleProp,
    to,
    children
  } = _ref5, rest = _objectWithoutPropertiesLoose(_ref5, _excluded2);
  let location = useLocation();
  let path = useResolvedPath(to);
  let locationPathname = location.pathname;
  let toPathname = path.pathname;
  if (!caseSensitive) {
    locationPathname = locationPathname.toLowerCase();
    toPathname = toPathname.toLowerCase();
  }
  let isActive = locationPathname === toPathname || !end && locationPathname.startsWith(toPathname) && locationPathname.charAt(toPathname.length) === "/";
  let ariaCurrent = isActive ? ariaCurrentProp : void 0;
  let className;
  if (typeof classNameProp === "function") {
    className = classNameProp({
      isActive
    });
  } else {
    className = [classNameProp, isActive ? "active" : null].filter(Boolean).join(" ");
  }
  let style = typeof styleProp === "function" ? styleProp({
    isActive
  }) : styleProp;
  return /* @__PURE__ */ v(Link, _extends$1({}, rest, {
    "aria-current": ariaCurrent,
    className,
    ref,
    style,
    to
  }), typeof children === "function" ? children({
    isActive
  }) : children);
});
function useLinkClickHandler(to, _temp) {
  let {
    target,
    replace: replaceProp,
    state
  } = _temp === void 0 ? {} : _temp;
  let navigate = useNavigate();
  let location = useLocation();
  let path = useResolvedPath(to);
  return A((event) => {
    if (event.button === 0 && (!target || target === "_self") && !isModifiedEvent(event)) {
      event.preventDefault();
      let replace = !!replaceProp || createPath(location) === createPath(path);
      navigate(to, {
        replace,
        state
      });
    }
  }, [location, navigate, path, replaceProp, state, target, to]);
}
const getHeaderHeight = (tagName) => {
  const element = document.querySelector(tagName);
  const headerHeight = getComputedStyle(element, "host").getPropertyValue("--header-height");
  return parseInt(headerHeight, 10);
};
var require$$1 = /* @__PURE__ */ getAugmentedNamespace(React$2);
const useMinHeight = (ref) => {
  const {
    height
  } = useWindowSize();
  d$1(() => {
    if (!ref.current)
      return;
    const headerHeight = getHeaderHeight(TagName.Profile);
    const minHeight = height - headerHeight;
    ref.current.style.minHeight = `${minHeight}px`;
  }, [height, ref]);
};
var Profile$1 = /* @__PURE__ */ (() => ".xtra-profile{display:block;background-color:var(--neutral-000)}.xtra-profile>section{position:relative;display:flex;min-height:inherit;flex-direction:column}@media screen and (min-width: 1024px){.xtra-profile{position:relative;display:flex;min-width:1024px;max-width:1440px;margin:0 auto}.xtra-profile>nav{position:sticky;width:296px;align-self:flex-start;padding:var(--spacing-4) 0}.xtra-profile>section{width:calc(100% - 296px);border-left:2px solid var(--neutral-100)}}\n")();
const RouteFallback = () => jsx("section", {
  class: "loading",
  children: jsx(ActivityIndicator, {})
});
const TitleAnnouncer = ({
  title
}) => {
  const titleRef = p();
  const {
    pathname
  } = useLocation();
  y(() => {
    if (titleRef.current)
      titleRef.current.focus();
  }, [pathname]);
  return jsx("p", {
    tabIndex: -1,
    ref: titleRef,
    class: "sr-only",
    children: title
  });
};
var propTypes = { exports: {} };
var ReactPropTypesSecret$1 = "SECRET_DO_NOT_PASS_THIS_OR_YOU_WILL_BE_FIRED";
var ReactPropTypesSecret_1 = ReactPropTypesSecret$1;
var ReactPropTypesSecret = ReactPropTypesSecret_1;
function emptyFunction() {
}
function emptyFunctionWithReset() {
}
emptyFunctionWithReset.resetWarningCache = emptyFunction;
var factoryWithThrowingShims = function() {
  function shim(props, propName, componentName, location, propFullName, secret) {
    if (secret === ReactPropTypesSecret) {
      return;
    }
    var err = new Error("Calling PropTypes validators directly is not supported by the `prop-types` package. Use PropTypes.checkPropTypes() to call them. Read more at http://fb.me/use-check-prop-types");
    err.name = "Invariant Violation";
    throw err;
  }
  shim.isRequired = shim;
  function getShim() {
    return shim;
  }
  var ReactPropTypes = {
    array: shim,
    bigint: shim,
    bool: shim,
    func: shim,
    number: shim,
    object: shim,
    string: shim,
    symbol: shim,
    any: shim,
    arrayOf: getShim,
    element: shim,
    elementType: shim,
    instanceOf: getShim,
    node: shim,
    objectOf: getShim,
    oneOf: getShim,
    oneOfType: getShim,
    shape: getShim,
    exact: getShim,
    checkPropTypes: emptyFunctionWithReset,
    resetWarningCache: emptyFunction
  };
  ReactPropTypes.PropTypes = ReactPropTypes;
  return ReactPropTypes;
};
{
  propTypes.exports = factoryWithThrowingShims();
}
var PropTypes = propTypes.exports;
function _interopDefault(ex) {
  return ex && typeof ex === "object" && "default" in ex ? ex["default"] : ex;
}
var React = require$$1;
var React__default = _interopDefault(React);
function _defineProperty(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }
  return obj;
}
function _inheritsLoose(subClass, superClass) {
  subClass.prototype = Object.create(superClass.prototype);
  subClass.prototype.constructor = subClass;
  subClass.__proto__ = superClass;
}
var canUseDOM = !!(typeof window !== "undefined" && window.document && window.document.createElement);
function withSideEffect(reducePropsToState3, handleStateChangeOnClient, mapStateOnServer3) {
  if (typeof reducePropsToState3 !== "function") {
    throw new Error("Expected reducePropsToState to be a function.");
  }
  if (typeof handleStateChangeOnClient !== "function") {
    throw new Error("Expected handleStateChangeOnClient to be a function.");
  }
  if (typeof mapStateOnServer3 !== "undefined" && typeof mapStateOnServer3 !== "function") {
    throw new Error("Expected mapStateOnServer to either be undefined or a function.");
  }
  function getDisplayName(WrappedComponent) {
    return WrappedComponent.displayName || WrappedComponent.name || "Component";
  }
  return function wrap(WrappedComponent) {
    if (typeof WrappedComponent !== "function") {
      throw new Error("Expected WrappedComponent to be a React component.");
    }
    var mountedInstances = [];
    var state;
    function emitChange() {
      state = reducePropsToState3(mountedInstances.map(function(instance) {
        return instance.props;
      }));
      if (SideEffect.canUseDOM) {
        handleStateChangeOnClient(state);
      } else if (mapStateOnServer3) {
        state = mapStateOnServer3(state);
      }
    }
    var SideEffect = /* @__PURE__ */ function(_PureComponent) {
      _inheritsLoose(SideEffect2, _PureComponent);
      function SideEffect2() {
        return _PureComponent.apply(this, arguments) || this;
      }
      SideEffect2.peek = function peek() {
        return state;
      };
      SideEffect2.rewind = function rewind() {
        if (SideEffect2.canUseDOM) {
          throw new Error("You may only call rewind() on the server. Call peek() to read the current state.");
        }
        var recordedState = state;
        state = void 0;
        mountedInstances = [];
        return recordedState;
      };
      var _proto = SideEffect2.prototype;
      _proto.UNSAFE_componentWillMount = function UNSAFE_componentWillMount() {
        mountedInstances.push(this);
        emitChange();
      };
      _proto.componentDidUpdate = function componentDidUpdate() {
        emitChange();
      };
      _proto.componentWillUnmount = function componentWillUnmount() {
        var index2 = mountedInstances.indexOf(this);
        mountedInstances.splice(index2, 1);
        emitChange();
      };
      _proto.render = function render() {
        return /* @__PURE__ */ React__default.createElement(WrappedComponent, this.props);
      };
      return SideEffect2;
    }(React.PureComponent);
    _defineProperty(SideEffect, "displayName", "SideEffect(" + getDisplayName(WrappedComponent) + ")");
    _defineProperty(SideEffect, "canUseDOM", canUseDOM);
    return SideEffect;
  };
}
var lib = withSideEffect;
var hasElementType = typeof Element !== "undefined";
var hasMap = typeof Map === "function";
var hasSet = typeof Set === "function";
var hasArrayBuffer = typeof ArrayBuffer === "function" && !!ArrayBuffer.isView;
function equal(a, b) {
  if (a === b)
    return true;
  if (a && b && typeof a == "object" && typeof b == "object") {
    if (a.constructor !== b.constructor)
      return false;
    var length, i, keys;
    if (Array.isArray(a)) {
      length = a.length;
      if (length != b.length)
        return false;
      for (i = length; i-- !== 0; )
        if (!equal(a[i], b[i]))
          return false;
      return true;
    }
    var it;
    if (hasMap && a instanceof Map && b instanceof Map) {
      if (a.size !== b.size)
        return false;
      it = a.entries();
      while (!(i = it.next()).done)
        if (!b.has(i.value[0]))
          return false;
      it = a.entries();
      while (!(i = it.next()).done)
        if (!equal(i.value[1], b.get(i.value[0])))
          return false;
      return true;
    }
    if (hasSet && a instanceof Set && b instanceof Set) {
      if (a.size !== b.size)
        return false;
      it = a.entries();
      while (!(i = it.next()).done)
        if (!b.has(i.value[0]))
          return false;
      return true;
    }
    if (hasArrayBuffer && ArrayBuffer.isView(a) && ArrayBuffer.isView(b)) {
      length = a.length;
      if (length != b.length)
        return false;
      for (i = length; i-- !== 0; )
        if (a[i] !== b[i])
          return false;
      return true;
    }
    if (a.constructor === RegExp)
      return a.source === b.source && a.flags === b.flags;
    if (a.valueOf !== Object.prototype.valueOf)
      return a.valueOf() === b.valueOf();
    if (a.toString !== Object.prototype.toString)
      return a.toString() === b.toString();
    keys = Object.keys(a);
    length = keys.length;
    if (length !== Object.keys(b).length)
      return false;
    for (i = length; i-- !== 0; )
      if (!Object.prototype.hasOwnProperty.call(b, keys[i]))
        return false;
    if (hasElementType && a instanceof Element)
      return false;
    for (i = length; i-- !== 0; ) {
      if ((keys[i] === "_owner" || keys[i] === "__v" || keys[i] === "__o") && a.$$typeof) {
        continue;
      }
      if (!equal(a[keys[i]], b[keys[i]]))
        return false;
    }
    return true;
  }
  return a !== a && b !== b;
}
var reactFastCompare = function isEqual(a, b) {
  try {
    return equal(a, b);
  } catch (error) {
    if ((error.message || "").match(/stack|recursion/i)) {
      console.warn("react-fast-compare cannot handle circular refs");
      return false;
    }
    throw error;
  }
};
/*
object-assign
(c) Sindre Sorhus
@license MIT
*/
var getOwnPropertySymbols = Object.getOwnPropertySymbols;
var hasOwnProperty = Object.prototype.hasOwnProperty;
var propIsEnumerable = Object.prototype.propertyIsEnumerable;
function toObject(val) {
  if (val === null || val === void 0) {
    throw new TypeError("Object.assign cannot be called with null or undefined");
  }
  return Object(val);
}
function shouldUseNative() {
  try {
    if (!Object.assign) {
      return false;
    }
    var test1 = new String("abc");
    test1[5] = "de";
    if (Object.getOwnPropertyNames(test1)[0] === "5") {
      return false;
    }
    var test2 = {};
    for (var i = 0; i < 10; i++) {
      test2["_" + String.fromCharCode(i)] = i;
    }
    var order2 = Object.getOwnPropertyNames(test2).map(function(n) {
      return test2[n];
    });
    if (order2.join("") !== "0123456789") {
      return false;
    }
    var test3 = {};
    "abcdefghijklmnopqrst".split("").forEach(function(letter) {
      test3[letter] = letter;
    });
    if (Object.keys(Object.assign({}, test3)).join("") !== "abcdefghijklmnopqrst") {
      return false;
    }
    return true;
  } catch (err) {
    return false;
  }
}
var objectAssign = shouldUseNative() ? Object.assign : function(target, source) {
  var from;
  var to = toObject(target);
  var symbols;
  for (var s = 1; s < arguments.length; s++) {
    from = Object(arguments[s]);
    for (var key in from) {
      if (hasOwnProperty.call(from, key)) {
        to[key] = from[key];
      }
    }
    if (getOwnPropertySymbols) {
      symbols = getOwnPropertySymbols(from);
      for (var i = 0; i < symbols.length; i++) {
        if (propIsEnumerable.call(from, symbols[i])) {
          to[symbols[i]] = from[symbols[i]];
        }
      }
    }
  }
  return to;
};
var ATTRIBUTE_NAMES = {
  BODY: "bodyAttributes",
  HTML: "htmlAttributes",
  TITLE: "titleAttributes"
};
var TAG_NAMES = {
  BASE: "base",
  BODY: "body",
  HEAD: "head",
  HTML: "html",
  LINK: "link",
  META: "meta",
  NOSCRIPT: "noscript",
  SCRIPT: "script",
  STYLE: "style",
  TITLE: "title"
};
Object.keys(TAG_NAMES).map(function(name) {
  return TAG_NAMES[name];
});
var TAG_PROPERTIES = {
  CHARSET: "charset",
  CSS_TEXT: "cssText",
  HREF: "href",
  HTTPEQUIV: "http-equiv",
  INNER_HTML: "innerHTML",
  ITEM_PROP: "itemprop",
  NAME: "name",
  PROPERTY: "property",
  REL: "rel",
  SRC: "src",
  TARGET: "target"
};
var REACT_TAG_MAP = {
  accesskey: "accessKey",
  charset: "charSet",
  class: "className",
  contenteditable: "contentEditable",
  contextmenu: "contextMenu",
  "http-equiv": "httpEquiv",
  itemprop: "itemProp",
  tabindex: "tabIndex"
};
var HELMET_PROPS = {
  DEFAULT_TITLE: "defaultTitle",
  DEFER: "defer",
  ENCODE_SPECIAL_CHARACTERS: "encodeSpecialCharacters",
  ON_CHANGE_CLIENT_STATE: "onChangeClientState",
  TITLE_TEMPLATE: "titleTemplate"
};
var HTML_TAG_MAP = Object.keys(REACT_TAG_MAP).reduce(function(obj, key) {
  obj[REACT_TAG_MAP[key]] = key;
  return obj;
}, {});
var SELF_CLOSING_TAGS = [TAG_NAMES.NOSCRIPT, TAG_NAMES.SCRIPT, TAG_NAMES.STYLE];
var HELMET_ATTRIBUTE = "data-react-helmet";
var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function(obj) {
  return typeof obj;
} : function(obj) {
  return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
};
var classCallCheck = function(instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
};
var createClass = function() {
  function defineProperties(target, props) {
    for (var i = 0; i < props.length; i++) {
      var descriptor = props[i];
      descriptor.enumerable = descriptor.enumerable || false;
      descriptor.configurable = true;
      if ("value" in descriptor)
        descriptor.writable = true;
      Object.defineProperty(target, descriptor.key, descriptor);
    }
  }
  return function(Constructor, protoProps, staticProps) {
    if (protoProps)
      defineProperties(Constructor.prototype, protoProps);
    if (staticProps)
      defineProperties(Constructor, staticProps);
    return Constructor;
  };
}();
var _extends = Object.assign || function(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i];
    for (var key in source) {
      if (Object.prototype.hasOwnProperty.call(source, key)) {
        target[key] = source[key];
      }
    }
  }
  return target;
};
var inherits = function(subClass, superClass) {
  if (typeof superClass !== "function" && superClass !== null) {
    throw new TypeError("Super expression must either be null or a function, not " + typeof superClass);
  }
  subClass.prototype = Object.create(superClass && superClass.prototype, {
    constructor: {
      value: subClass,
      enumerable: false,
      writable: true,
      configurable: true
    }
  });
  if (superClass)
    Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass;
};
var objectWithoutProperties = function(obj, keys) {
  var target = {};
  for (var i in obj) {
    if (keys.indexOf(i) >= 0)
      continue;
    if (!Object.prototype.hasOwnProperty.call(obj, i))
      continue;
    target[i] = obj[i];
  }
  return target;
};
var possibleConstructorReturn = function(self, call) {
  if (!self) {
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  }
  return call && (typeof call === "object" || typeof call === "function") ? call : self;
};
var encodeSpecialCharacters = function encodeSpecialCharacters2(str) {
  var encode = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : true;
  if (encode === false) {
    return String(str);
  }
  return String(str).replace(/&/g, "&amp;").replace(/</g, "&lt;").replace(/>/g, "&gt;").replace(/"/g, "&quot;").replace(/'/g, "&#x27;");
};
var getTitleFromPropsList = function getTitleFromPropsList2(propsList) {
  var innermostTitle = getInnermostProperty(propsList, TAG_NAMES.TITLE);
  var innermostTemplate = getInnermostProperty(propsList, HELMET_PROPS.TITLE_TEMPLATE);
  if (innermostTemplate && innermostTitle) {
    return innermostTemplate.replace(/%s/g, function() {
      return Array.isArray(innermostTitle) ? innermostTitle.join("") : innermostTitle;
    });
  }
  var innermostDefaultTitle = getInnermostProperty(propsList, HELMET_PROPS.DEFAULT_TITLE);
  return innermostTitle || innermostDefaultTitle || void 0;
};
var getOnChangeClientState = function getOnChangeClientState2(propsList) {
  return getInnermostProperty(propsList, HELMET_PROPS.ON_CHANGE_CLIENT_STATE) || function() {
  };
};
var getAttributesFromPropsList = function getAttributesFromPropsList2(tagType, propsList) {
  return propsList.filter(function(props) {
    return typeof props[tagType] !== "undefined";
  }).map(function(props) {
    return props[tagType];
  }).reduce(function(tagAttrs, current) {
    return _extends({}, tagAttrs, current);
  }, {});
};
var getBaseTagFromPropsList = function getBaseTagFromPropsList2(primaryAttributes, propsList) {
  return propsList.filter(function(props) {
    return typeof props[TAG_NAMES.BASE] !== "undefined";
  }).map(function(props) {
    return props[TAG_NAMES.BASE];
  }).reverse().reduce(function(innermostBaseTag, tag) {
    if (!innermostBaseTag.length) {
      var keys = Object.keys(tag);
      for (var i = 0; i < keys.length; i++) {
        var attributeKey = keys[i];
        var lowerCaseAttributeKey = attributeKey.toLowerCase();
        if (primaryAttributes.indexOf(lowerCaseAttributeKey) !== -1 && tag[lowerCaseAttributeKey]) {
          return innermostBaseTag.concat(tag);
        }
      }
    }
    return innermostBaseTag;
  }, []);
};
var getTagsFromPropsList = function getTagsFromPropsList2(tagName, primaryAttributes, propsList) {
  var approvedSeenTags = {};
  return propsList.filter(function(props) {
    if (Array.isArray(props[tagName])) {
      return true;
    }
    if (typeof props[tagName] !== "undefined") {
      warn("Helmet: " + tagName + ' should be of type "Array". Instead found type "' + _typeof(props[tagName]) + '"');
    }
    return false;
  }).map(function(props) {
    return props[tagName];
  }).reverse().reduce(function(approvedTags, instanceTags) {
    var instanceSeenTags = {};
    instanceTags.filter(function(tag) {
      var primaryAttributeKey = void 0;
      var keys2 = Object.keys(tag);
      for (var i2 = 0; i2 < keys2.length; i2++) {
        var attributeKey2 = keys2[i2];
        var lowerCaseAttributeKey = attributeKey2.toLowerCase();
        if (primaryAttributes.indexOf(lowerCaseAttributeKey) !== -1 && !(primaryAttributeKey === TAG_PROPERTIES.REL && tag[primaryAttributeKey].toLowerCase() === "canonical") && !(lowerCaseAttributeKey === TAG_PROPERTIES.REL && tag[lowerCaseAttributeKey].toLowerCase() === "stylesheet")) {
          primaryAttributeKey = lowerCaseAttributeKey;
        }
        if (primaryAttributes.indexOf(attributeKey2) !== -1 && (attributeKey2 === TAG_PROPERTIES.INNER_HTML || attributeKey2 === TAG_PROPERTIES.CSS_TEXT || attributeKey2 === TAG_PROPERTIES.ITEM_PROP)) {
          primaryAttributeKey = attributeKey2;
        }
      }
      if (!primaryAttributeKey || !tag[primaryAttributeKey]) {
        return false;
      }
      var value = tag[primaryAttributeKey].toLowerCase();
      if (!approvedSeenTags[primaryAttributeKey]) {
        approvedSeenTags[primaryAttributeKey] = {};
      }
      if (!instanceSeenTags[primaryAttributeKey]) {
        instanceSeenTags[primaryAttributeKey] = {};
      }
      if (!approvedSeenTags[primaryAttributeKey][value]) {
        instanceSeenTags[primaryAttributeKey][value] = true;
        return true;
      }
      return false;
    }).reverse().forEach(function(tag) {
      return approvedTags.push(tag);
    });
    var keys = Object.keys(instanceSeenTags);
    for (var i = 0; i < keys.length; i++) {
      var attributeKey = keys[i];
      var tagUnion = objectAssign({}, approvedSeenTags[attributeKey], instanceSeenTags[attributeKey]);
      approvedSeenTags[attributeKey] = tagUnion;
    }
    return approvedTags;
  }, []).reverse();
};
var getInnermostProperty = function getInnermostProperty2(propsList, property) {
  for (var i = propsList.length - 1; i >= 0; i--) {
    var props = propsList[i];
    if (props.hasOwnProperty(property)) {
      return props[property];
    }
  }
  return null;
};
var reducePropsToState = function reducePropsToState2(propsList) {
  return {
    baseTag: getBaseTagFromPropsList([TAG_PROPERTIES.HREF, TAG_PROPERTIES.TARGET], propsList),
    bodyAttributes: getAttributesFromPropsList(ATTRIBUTE_NAMES.BODY, propsList),
    defer: getInnermostProperty(propsList, HELMET_PROPS.DEFER),
    encode: getInnermostProperty(propsList, HELMET_PROPS.ENCODE_SPECIAL_CHARACTERS),
    htmlAttributes: getAttributesFromPropsList(ATTRIBUTE_NAMES.HTML, propsList),
    linkTags: getTagsFromPropsList(TAG_NAMES.LINK, [TAG_PROPERTIES.REL, TAG_PROPERTIES.HREF], propsList),
    metaTags: getTagsFromPropsList(TAG_NAMES.META, [TAG_PROPERTIES.NAME, TAG_PROPERTIES.CHARSET, TAG_PROPERTIES.HTTPEQUIV, TAG_PROPERTIES.PROPERTY, TAG_PROPERTIES.ITEM_PROP], propsList),
    noscriptTags: getTagsFromPropsList(TAG_NAMES.NOSCRIPT, [TAG_PROPERTIES.INNER_HTML], propsList),
    onChangeClientState: getOnChangeClientState(propsList),
    scriptTags: getTagsFromPropsList(TAG_NAMES.SCRIPT, [TAG_PROPERTIES.SRC, TAG_PROPERTIES.INNER_HTML], propsList),
    styleTags: getTagsFromPropsList(TAG_NAMES.STYLE, [TAG_PROPERTIES.CSS_TEXT], propsList),
    title: getTitleFromPropsList(propsList),
    titleAttributes: getAttributesFromPropsList(ATTRIBUTE_NAMES.TITLE, propsList)
  };
};
var rafPolyfill = function() {
  var clock = Date.now();
  return function(callback) {
    var currentTime = Date.now();
    if (currentTime - clock > 16) {
      clock = currentTime;
      callback(currentTime);
    } else {
      setTimeout(function() {
        rafPolyfill(callback);
      }, 0);
    }
  };
}();
var cafPolyfill = function cafPolyfill2(id) {
  return clearTimeout(id);
};
var requestAnimationFrame = typeof window !== "undefined" ? window.requestAnimationFrame && window.requestAnimationFrame.bind(window) || window.webkitRequestAnimationFrame || window.mozRequestAnimationFrame || rafPolyfill : global.requestAnimationFrame || rafPolyfill;
var cancelAnimationFrame = typeof window !== "undefined" ? window.cancelAnimationFrame || window.webkitCancelAnimationFrame || window.mozCancelAnimationFrame || cafPolyfill : global.cancelAnimationFrame || cafPolyfill;
var warn = function warn2(msg) {
  return console && typeof console.warn === "function" && console.warn(msg);
};
var _helmetCallback = null;
var handleClientStateChange = function handleClientStateChange2(newState) {
  if (_helmetCallback) {
    cancelAnimationFrame(_helmetCallback);
  }
  if (newState.defer) {
    _helmetCallback = requestAnimationFrame(function() {
      commitTagChanges(newState, function() {
        _helmetCallback = null;
      });
    });
  } else {
    commitTagChanges(newState);
    _helmetCallback = null;
  }
};
var commitTagChanges = function commitTagChanges2(newState, cb) {
  var baseTag = newState.baseTag, bodyAttributes = newState.bodyAttributes, htmlAttributes = newState.htmlAttributes, linkTags = newState.linkTags, metaTags = newState.metaTags, noscriptTags = newState.noscriptTags, onChangeClientState = newState.onChangeClientState, scriptTags = newState.scriptTags, styleTags = newState.styleTags, title = newState.title, titleAttributes = newState.titleAttributes;
  updateAttributes(TAG_NAMES.BODY, bodyAttributes);
  updateAttributes(TAG_NAMES.HTML, htmlAttributes);
  updateTitle(title, titleAttributes);
  var tagUpdates = {
    baseTag: updateTags(TAG_NAMES.BASE, baseTag),
    linkTags: updateTags(TAG_NAMES.LINK, linkTags),
    metaTags: updateTags(TAG_NAMES.META, metaTags),
    noscriptTags: updateTags(TAG_NAMES.NOSCRIPT, noscriptTags),
    scriptTags: updateTags(TAG_NAMES.SCRIPT, scriptTags),
    styleTags: updateTags(TAG_NAMES.STYLE, styleTags)
  };
  var addedTags = {};
  var removedTags = {};
  Object.keys(tagUpdates).forEach(function(tagType) {
    var _tagUpdates$tagType = tagUpdates[tagType], newTags = _tagUpdates$tagType.newTags, oldTags = _tagUpdates$tagType.oldTags;
    if (newTags.length) {
      addedTags[tagType] = newTags;
    }
    if (oldTags.length) {
      removedTags[tagType] = tagUpdates[tagType].oldTags;
    }
  });
  cb && cb();
  onChangeClientState(newState, addedTags, removedTags);
};
var flattenArray = function flattenArray2(possibleArray) {
  return Array.isArray(possibleArray) ? possibleArray.join("") : possibleArray;
};
var updateTitle = function updateTitle2(title, attributes) {
  if (typeof title !== "undefined" && document.title !== title) {
    document.title = flattenArray(title);
  }
  updateAttributes(TAG_NAMES.TITLE, attributes);
};
var updateAttributes = function updateAttributes2(tagName, attributes) {
  var elementTag = document.getElementsByTagName(tagName)[0];
  if (!elementTag) {
    return;
  }
  var helmetAttributeString = elementTag.getAttribute(HELMET_ATTRIBUTE);
  var helmetAttributes = helmetAttributeString ? helmetAttributeString.split(",") : [];
  var attributesToRemove = [].concat(helmetAttributes);
  var attributeKeys = Object.keys(attributes);
  for (var i = 0; i < attributeKeys.length; i++) {
    var attribute = attributeKeys[i];
    var value = attributes[attribute] || "";
    if (elementTag.getAttribute(attribute) !== value) {
      elementTag.setAttribute(attribute, value);
    }
    if (helmetAttributes.indexOf(attribute) === -1) {
      helmetAttributes.push(attribute);
    }
    var indexToSave = attributesToRemove.indexOf(attribute);
    if (indexToSave !== -1) {
      attributesToRemove.splice(indexToSave, 1);
    }
  }
  for (var _i = attributesToRemove.length - 1; _i >= 0; _i--) {
    elementTag.removeAttribute(attributesToRemove[_i]);
  }
  if (helmetAttributes.length === attributesToRemove.length) {
    elementTag.removeAttribute(HELMET_ATTRIBUTE);
  } else if (elementTag.getAttribute(HELMET_ATTRIBUTE) !== attributeKeys.join(",")) {
    elementTag.setAttribute(HELMET_ATTRIBUTE, attributeKeys.join(","));
  }
};
var updateTags = function updateTags2(type, tags) {
  var headElement = document.head || document.querySelector(TAG_NAMES.HEAD);
  var tagNodes = headElement.querySelectorAll(type + "[" + HELMET_ATTRIBUTE + "]");
  var oldTags = Array.prototype.slice.call(tagNodes);
  var newTags = [];
  var indexToDelete = void 0;
  if (tags && tags.length) {
    tags.forEach(function(tag) {
      var newElement = document.createElement(type);
      for (var attribute in tag) {
        if (tag.hasOwnProperty(attribute)) {
          if (attribute === TAG_PROPERTIES.INNER_HTML) {
            newElement.innerHTML = tag.innerHTML;
          } else if (attribute === TAG_PROPERTIES.CSS_TEXT) {
            if (newElement.styleSheet) {
              newElement.styleSheet.cssText = tag.cssText;
            } else {
              newElement.appendChild(document.createTextNode(tag.cssText));
            }
          } else {
            var value = typeof tag[attribute] === "undefined" ? "" : tag[attribute];
            newElement.setAttribute(attribute, value);
          }
        }
      }
      newElement.setAttribute(HELMET_ATTRIBUTE, "true");
      if (oldTags.some(function(existingTag, index2) {
        indexToDelete = index2;
        return newElement.isEqualNode(existingTag);
      })) {
        oldTags.splice(indexToDelete, 1);
      } else {
        newTags.push(newElement);
      }
    });
  }
  oldTags.forEach(function(tag) {
    return tag.parentNode.removeChild(tag);
  });
  newTags.forEach(function(tag) {
    return headElement.appendChild(tag);
  });
  return {
    oldTags,
    newTags
  };
};
var generateElementAttributesAsString = function generateElementAttributesAsString2(attributes) {
  return Object.keys(attributes).reduce(function(str, key) {
    var attr = typeof attributes[key] !== "undefined" ? key + '="' + attributes[key] + '"' : "" + key;
    return str ? str + " " + attr : attr;
  }, "");
};
var generateTitleAsString = function generateTitleAsString2(type, title, attributes, encode) {
  var attributeString = generateElementAttributesAsString(attributes);
  var flattenedTitle = flattenArray(title);
  return attributeString ? "<" + type + " " + HELMET_ATTRIBUTE + '="true" ' + attributeString + ">" + encodeSpecialCharacters(flattenedTitle, encode) + "</" + type + ">" : "<" + type + " " + HELMET_ATTRIBUTE + '="true">' + encodeSpecialCharacters(flattenedTitle, encode) + "</" + type + ">";
};
var generateTagsAsString = function generateTagsAsString2(type, tags, encode) {
  return tags.reduce(function(str, tag) {
    var attributeHtml = Object.keys(tag).filter(function(attribute) {
      return !(attribute === TAG_PROPERTIES.INNER_HTML || attribute === TAG_PROPERTIES.CSS_TEXT);
    }).reduce(function(string, attribute) {
      var attr = typeof tag[attribute] === "undefined" ? attribute : attribute + '="' + encodeSpecialCharacters(tag[attribute], encode) + '"';
      return string ? string + " " + attr : attr;
    }, "");
    var tagContent = tag.innerHTML || tag.cssText || "";
    var isSelfClosing = SELF_CLOSING_TAGS.indexOf(type) === -1;
    return str + "<" + type + " " + HELMET_ATTRIBUTE + '="true" ' + attributeHtml + (isSelfClosing ? "/>" : ">" + tagContent + "</" + type + ">");
  }, "");
};
var convertElementAttributestoReactProps = function convertElementAttributestoReactProps2(attributes) {
  var initProps = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {};
  return Object.keys(attributes).reduce(function(obj, key) {
    obj[REACT_TAG_MAP[key] || key] = attributes[key];
    return obj;
  }, initProps);
};
var convertReactPropstoHtmlAttributes = function convertReactPropstoHtmlAttributes2(props) {
  var initAttributes = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {};
  return Object.keys(props).reduce(function(obj, key) {
    obj[HTML_TAG_MAP[key] || key] = props[key];
    return obj;
  }, initAttributes);
};
var generateTitleAsReactComponent = function generateTitleAsReactComponent2(type, title, attributes) {
  var _initProps;
  var initProps = (_initProps = {
    key: title
  }, _initProps[HELMET_ATTRIBUTE] = true, _initProps);
  var props = convertElementAttributestoReactProps(attributes, initProps);
  return [React$1.createElement(TAG_NAMES.TITLE, props, title)];
};
var generateTagsAsReactComponent = function generateTagsAsReactComponent2(type, tags) {
  return tags.map(function(tag, i) {
    var _mappedTag;
    var mappedTag = (_mappedTag = {
      key: i
    }, _mappedTag[HELMET_ATTRIBUTE] = true, _mappedTag);
    Object.keys(tag).forEach(function(attribute) {
      var mappedAttribute = REACT_TAG_MAP[attribute] || attribute;
      if (mappedAttribute === TAG_PROPERTIES.INNER_HTML || mappedAttribute === TAG_PROPERTIES.CSS_TEXT) {
        var content = tag.innerHTML || tag.cssText;
        mappedTag.dangerouslySetInnerHTML = { __html: content };
      } else {
        mappedTag[mappedAttribute] = tag[attribute];
      }
    });
    return React$1.createElement(type, mappedTag);
  });
};
var getMethodsForTag = function getMethodsForTag2(type, tags, encode) {
  switch (type) {
    case TAG_NAMES.TITLE:
      return {
        toComponent: function toComponent() {
          return generateTitleAsReactComponent(type, tags.title, tags.titleAttributes);
        },
        toString: function toString() {
          return generateTitleAsString(type, tags.title, tags.titleAttributes, encode);
        }
      };
    case ATTRIBUTE_NAMES.BODY:
    case ATTRIBUTE_NAMES.HTML:
      return {
        toComponent: function toComponent() {
          return convertElementAttributestoReactProps(tags);
        },
        toString: function toString() {
          return generateElementAttributesAsString(tags);
        }
      };
    default:
      return {
        toComponent: function toComponent() {
          return generateTagsAsReactComponent(type, tags);
        },
        toString: function toString() {
          return generateTagsAsString(type, tags, encode);
        }
      };
  }
};
var mapStateOnServer = function mapStateOnServer2(_ref) {
  var baseTag = _ref.baseTag, bodyAttributes = _ref.bodyAttributes, encode = _ref.encode, htmlAttributes = _ref.htmlAttributes, linkTags = _ref.linkTags, metaTags = _ref.metaTags, noscriptTags = _ref.noscriptTags, scriptTags = _ref.scriptTags, styleTags = _ref.styleTags, _ref$title = _ref.title, title = _ref$title === void 0 ? "" : _ref$title, titleAttributes = _ref.titleAttributes;
  return {
    base: getMethodsForTag(TAG_NAMES.BASE, baseTag, encode),
    bodyAttributes: getMethodsForTag(ATTRIBUTE_NAMES.BODY, bodyAttributes, encode),
    htmlAttributes: getMethodsForTag(ATTRIBUTE_NAMES.HTML, htmlAttributes, encode),
    link: getMethodsForTag(TAG_NAMES.LINK, linkTags, encode),
    meta: getMethodsForTag(TAG_NAMES.META, metaTags, encode),
    noscript: getMethodsForTag(TAG_NAMES.NOSCRIPT, noscriptTags, encode),
    script: getMethodsForTag(TAG_NAMES.SCRIPT, scriptTags, encode),
    style: getMethodsForTag(TAG_NAMES.STYLE, styleTags, encode),
    title: getMethodsForTag(TAG_NAMES.TITLE, { title, titleAttributes }, encode)
  };
};
var Helmet = function Helmet2(Component) {
  var _class, _temp;
  return _temp = _class = function(_React$Component) {
    inherits(HelmetWrapper, _React$Component);
    function HelmetWrapper() {
      classCallCheck(this, HelmetWrapper);
      return possibleConstructorReturn(this, _React$Component.apply(this, arguments));
    }
    HelmetWrapper.prototype.shouldComponentUpdate = function shouldComponentUpdate(nextProps) {
      return !reactFastCompare(this.props, nextProps);
    };
    HelmetWrapper.prototype.mapNestedChildrenToProps = function mapNestedChildrenToProps(child, nestedChildren) {
      if (!nestedChildren) {
        return null;
      }
      switch (child.type) {
        case TAG_NAMES.SCRIPT:
        case TAG_NAMES.NOSCRIPT:
          return {
            innerHTML: nestedChildren
          };
        case TAG_NAMES.STYLE:
          return {
            cssText: nestedChildren
          };
      }
      throw new Error("<" + child.type + " /> elements are self-closing and can not contain children. Refer to our API for more information.");
    };
    HelmetWrapper.prototype.flattenArrayTypeChildren = function flattenArrayTypeChildren(_ref) {
      var _babelHelpers$extends;
      var child = _ref.child, arrayTypeChildren = _ref.arrayTypeChildren, newChildProps = _ref.newChildProps, nestedChildren = _ref.nestedChildren;
      return _extends({}, arrayTypeChildren, (_babelHelpers$extends = {}, _babelHelpers$extends[child.type] = [].concat(arrayTypeChildren[child.type] || [], [_extends({}, newChildProps, this.mapNestedChildrenToProps(child, nestedChildren))]), _babelHelpers$extends));
    };
    HelmetWrapper.prototype.mapObjectTypeChildren = function mapObjectTypeChildren(_ref2) {
      var _babelHelpers$extends2, _babelHelpers$extends3;
      var child = _ref2.child, newProps = _ref2.newProps, newChildProps = _ref2.newChildProps, nestedChildren = _ref2.nestedChildren;
      switch (child.type) {
        case TAG_NAMES.TITLE:
          return _extends({}, newProps, (_babelHelpers$extends2 = {}, _babelHelpers$extends2[child.type] = nestedChildren, _babelHelpers$extends2.titleAttributes = _extends({}, newChildProps), _babelHelpers$extends2));
        case TAG_NAMES.BODY:
          return _extends({}, newProps, {
            bodyAttributes: _extends({}, newChildProps)
          });
        case TAG_NAMES.HTML:
          return _extends({}, newProps, {
            htmlAttributes: _extends({}, newChildProps)
          });
      }
      return _extends({}, newProps, (_babelHelpers$extends3 = {}, _babelHelpers$extends3[child.type] = _extends({}, newChildProps), _babelHelpers$extends3));
    };
    HelmetWrapper.prototype.mapArrayTypeChildrenToProps = function mapArrayTypeChildrenToProps(arrayTypeChildren, newProps) {
      var newFlattenedProps = _extends({}, newProps);
      Object.keys(arrayTypeChildren).forEach(function(arrayChildName) {
        var _babelHelpers$extends4;
        newFlattenedProps = _extends({}, newFlattenedProps, (_babelHelpers$extends4 = {}, _babelHelpers$extends4[arrayChildName] = arrayTypeChildren[arrayChildName], _babelHelpers$extends4));
      });
      return newFlattenedProps;
    };
    HelmetWrapper.prototype.warnOnInvalidChildren = function warnOnInvalidChildren(child, nestedChildren) {
      return true;
    };
    HelmetWrapper.prototype.mapChildrenToProps = function mapChildrenToProps(children, newProps) {
      var _this2 = this;
      var arrayTypeChildren = {};
      React$1.Children.forEach(children, function(child) {
        if (!child || !child.props) {
          return;
        }
        var _child$props = child.props, nestedChildren = _child$props.children, childProps = objectWithoutProperties(_child$props, ["children"]);
        var newChildProps = convertReactPropstoHtmlAttributes(childProps);
        _this2.warnOnInvalidChildren(child, nestedChildren);
        switch (child.type) {
          case TAG_NAMES.LINK:
          case TAG_NAMES.META:
          case TAG_NAMES.NOSCRIPT:
          case TAG_NAMES.SCRIPT:
          case TAG_NAMES.STYLE:
            arrayTypeChildren = _this2.flattenArrayTypeChildren({
              child,
              arrayTypeChildren,
              newChildProps,
              nestedChildren
            });
            break;
          default:
            newProps = _this2.mapObjectTypeChildren({
              child,
              newProps,
              newChildProps,
              nestedChildren
            });
            break;
        }
      });
      newProps = this.mapArrayTypeChildrenToProps(arrayTypeChildren, newProps);
      return newProps;
    };
    HelmetWrapper.prototype.render = function render() {
      var _props = this.props, children = _props.children, props = objectWithoutProperties(_props, ["children"]);
      var newProps = _extends({}, props);
      if (children) {
        newProps = this.mapChildrenToProps(children, newProps);
      }
      return React$1.createElement(Component, newProps);
    };
    createClass(HelmetWrapper, null, [{
      key: "canUseDOM",
      set: function set$$1(canUseDOM2) {
        Component.canUseDOM = canUseDOM2;
      }
    }]);
    return HelmetWrapper;
  }(React$1.Component), _class.propTypes = {
    base: PropTypes.object,
    bodyAttributes: PropTypes.object,
    children: PropTypes.oneOfType([PropTypes.arrayOf(PropTypes.node), PropTypes.node]),
    defaultTitle: PropTypes.string,
    defer: PropTypes.bool,
    encodeSpecialCharacters: PropTypes.bool,
    htmlAttributes: PropTypes.object,
    link: PropTypes.arrayOf(PropTypes.object),
    meta: PropTypes.arrayOf(PropTypes.object),
    noscript: PropTypes.arrayOf(PropTypes.object),
    onChangeClientState: PropTypes.func,
    script: PropTypes.arrayOf(PropTypes.object),
    style: PropTypes.arrayOf(PropTypes.object),
    title: PropTypes.string,
    titleAttributes: PropTypes.object,
    titleTemplate: PropTypes.string
  }, _class.defaultProps = {
    defer: true,
    encodeSpecialCharacters: true
  }, _class.peek = Component.peek, _class.rewind = function() {
    var mappedState = Component.rewind();
    if (!mappedState) {
      mappedState = mapStateOnServer({
        baseTag: [],
        bodyAttributes: {},
        encodeSpecialCharacters: true,
        htmlAttributes: {},
        linkTags: [],
        metaTags: [],
        noscriptTags: [],
        scriptTags: [],
        styleTags: [],
        title: "",
        titleAttributes: {}
      });
    }
    return mappedState;
  }, _temp;
};
var NullComponent = function NullComponent2() {
  return null;
};
var HelmetSideEffects = lib(reducePropsToState, handleClientStateChange, mapStateOnServer)(NullComponent);
var HelmetExport = Helmet(HelmetSideEffects);
HelmetExport.renderStatic = HelmetExport.rewind;
const capitalize = (string) => {
  return string.toLowerCase().replace(/^[a-z]/i, (firstLetter) => firstLetter.toUpperCase());
};
const toPascalCase = (string) => {
  return string.trim().replace(new RegExp(/[-_]+/, "g"), " ").replace(new RegExp(/[^\w\s]/, "g"), "").replace(new RegExp(/\s+(.)(\w*)/, "g"), (_2, $2, $3) => `${$2.toUpperCase() + $3.toLowerCase()}`).replace(new RegExp(/\w/), (s) => s.toUpperCase());
};
const toUrl = (link) => link.toLowerCase().replaceAll(" ", "-");
const toBaseUrl = (link) => link === "/" ? "/" : `/${toUrl(link)}`;
const getEnvDeployment = (env) => {
  if (env === Environment.Syst)
    return "STAGING";
  return env.toUpperCase();
};
const getPageName = (title) => {
  return title.split(",").slice(0, -1).reverse().map(toPascalCase).join(".");
};
const getPageCategory = (title) => {
  return title.split(",").slice(0, -1).reverse().map((string) => string.trim());
};
const trackPageNavigation = (params) => {
  const country = "BE";
  pushTealiumEvent(__spreadValues({
    event_name: "page navigation",
    env_country: country,
    env_platform: "website",
    page_template: "other",
    user_logged: "true"
  }, params));
};
const getAccessibleTitle = ({
  title,
  seperator
}) => {
  return title == null ? void 0 : title.replaceAll(` ${seperator}`, ",");
};
const HelmetChangeHandler = ({
  env_brand
}) => {
  const {
    user,
    ecoId
  } = useStore();
  const {
    seperator
  } = useHeadTitle();
  const env = useEnvironment();
  const {
    language
  } = useTranslation().i18n;
  const [title, setTitle] = m();
  y(() => {
    var _a, _b, _c;
    if (title && window.udata) {
      trackPageNavigation({
        env_brand,
        env_deployment: getEnvDeployment(env),
        page_language: language.toUpperCase(),
        page_name: getPageName(title),
        page_category: getPageCategory(title),
        user_id_eco: ecoId || "",
        user_city: ((_a = user.address) == null ? void 0 : _a.locationName) || "",
        user_zip: ((_b = user.address) == null ? void 0 : _b.postalCode) || "",
        user_yob: user.dateOfBirth || "",
        user_gender: user.genderCode || "",
        user_country: ((_c = user.address) == null ? void 0 : _c.countryCode) || ""
      });
    }
  }, [ecoId, env, env_brand, language, title, user]);
  const handleHelmetChange = ({
    title: title2
  }) => {
    const accessibleTitle = getAccessibleTitle({
      title: title2,
      seperator
    });
    setTitle(accessibleTitle);
  };
  return jsxs(Fragment, {
    children: [title && jsx(TitleAnnouncer, {
      title
    }), jsx(HelmetExport, {
      onChangeClientState: handleHelmetChange
    })]
  });
};
const useFullHeight = ({
  ref,
  isFullHeightOnMobile = false
}) => {
  const breakpoint = useBreakpoint();
  d$1(() => {
    if (!ref.current)
      return;
    if (!isFullHeightOnMobile && breakpoint !== "desktop") {
      ref.current.style.height = "auto";
      return;
    }
    const profileHeader = getRootContainer(TagName.Profile).querySelector("header");
    const profileHeaderHeight = profileHeader ? profileHeader.clientHeight : 0;
    const offset = parseInt(getComputedStyle(ref.current).marginLeft || "0px", 10);
    ref.current.style.height = `calc(100% - ${offset}px - ${profileHeaderHeight}px)`;
  }, [breakpoint, ref, isFullHeightOnMobile]);
};
const SvgError = (props) => /* @__PURE__ */ v("svg", __spreadValues({
  width: 88,
  height: 88,
  viewBox: "0 0 88 88",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
}, props), /* @__PURE__ */ v("path", {
  d: "M39.0032 24.6398C38.9314 23.2037 40.0764 22 41.5144 22H47.9614C49.3993 22 50.5444 23.2037 50.4726 24.6398L49.2573 48.9446C49.1904 50.2827 48.086 51.3333 46.7462 51.3333H42.7296C41.3898 51.3333 40.2853 50.2827 40.2184 48.9446L39.0032 24.6398Z",
  fill: "#7C89A3"
}), /* @__PURE__ */ v("path", {
  d: "M49.1375 61.6C49.1375 64.0301 47.1675 66 44.7375 66C42.3074 66 40.3375 64.0301 40.3375 61.6C40.3375 59.1699 42.3074 57.2 44.7375 57.2C47.1675 57.2 49.1375 59.1699 49.1375 61.6Z",
  fill: "#7C89A3"
}));
const errorState = "_errorState_19smg_1";
const info = "_info_19smg_11";
const body$1 = "_body_19smg_20";
var styles$4 = {
  errorState,
  info,
  body: body$1
};
const ErrorState = ({
  illustration,
  title,
  description
}) => {
  const {
    t
  } = useTranslation("web");
  const breakpoint = useBreakpoint();
  const ref = h(null);
  useFullHeight({
    ref
  });
  return jsx("div", {
    ref,
    className: styles$4.errorState,
    children: jsxs("div", {
      className: styles$4.info,
      children: [illustration != null ? illustration : jsx(SvgError, {}), jsxs("div", {
        className: styles$4.body,
        children: [jsx("h2", {
          class: breakpoint === "desktop" ? "heading-3" : "heading-4",
          children: title != null ? title : t("errors.generic")
        }), jsx("p", {
          class: "body",
          children: description != null ? description : t("errors.goBackTryAgain")
        })]
      })]
    })
  });
};
var CountryCode = /* @__PURE__ */ ((CountryCode2) => {
  CountryCode2["Ad"] = "AD";
  CountryCode2["Ae"] = "AE";
  CountryCode2["Af"] = "AF";
  CountryCode2["Ag"] = "AG";
  CountryCode2["Ai"] = "AI";
  CountryCode2["Al"] = "AL";
  CountryCode2["Am"] = "AM";
  CountryCode2["An"] = "AN";
  CountryCode2["Ao"] = "AO";
  CountryCode2["Aq"] = "AQ";
  CountryCode2["Ar"] = "AR";
  CountryCode2["As"] = "AS";
  CountryCode2["At"] = "AT";
  CountryCode2["Au"] = "AU";
  CountryCode2["Aw"] = "AW";
  CountryCode2["Ax"] = "AX";
  CountryCode2["Az"] = "AZ";
  CountryCode2["Ba"] = "BA";
  CountryCode2["Bb"] = "BB";
  CountryCode2["Bd"] = "BD";
  CountryCode2["Be"] = "BE";
  CountryCode2["Bf"] = "BF";
  CountryCode2["Bg"] = "BG";
  CountryCode2["Bh"] = "BH";
  CountryCode2["Bi"] = "BI";
  CountryCode2["Bj"] = "BJ";
  CountryCode2["Bl"] = "BL";
  CountryCode2["Bm"] = "BM";
  CountryCode2["Bn"] = "BN";
  CountryCode2["Bo"] = "BO";
  CountryCode2["Bq"] = "BQ";
  CountryCode2["Br"] = "BR";
  CountryCode2["Bs"] = "BS";
  CountryCode2["Bt"] = "BT";
  CountryCode2["Bv"] = "BV";
  CountryCode2["Bw"] = "BW";
  CountryCode2["By"] = "BY";
  CountryCode2["Bz"] = "BZ";
  CountryCode2["Ca"] = "CA";
  CountryCode2["Cc"] = "CC";
  CountryCode2["Cd"] = "CD";
  CountryCode2["Cf"] = "CF";
  CountryCode2["Cg"] = "CG";
  CountryCode2["Ch"] = "CH";
  CountryCode2["Ci"] = "CI";
  CountryCode2["Ck"] = "CK";
  CountryCode2["Cl"] = "CL";
  CountryCode2["Cm"] = "CM";
  CountryCode2["Cn"] = "CN";
  CountryCode2["Co"] = "CO";
  CountryCode2["Cr"] = "CR";
  CountryCode2["Cu"] = "CU";
  CountryCode2["Cv"] = "CV";
  CountryCode2["Cw"] = "CW";
  CountryCode2["Cx"] = "CX";
  CountryCode2["Cy"] = "CY";
  CountryCode2["Cz"] = "CZ";
  CountryCode2["De"] = "DE";
  CountryCode2["Dj"] = "DJ";
  CountryCode2["Dk"] = "DK";
  CountryCode2["Dm"] = "DM";
  CountryCode2["Do"] = "DO";
  CountryCode2["Dz"] = "DZ";
  CountryCode2["Ec"] = "EC";
  CountryCode2["Ee"] = "EE";
  CountryCode2["Eg"] = "EG";
  CountryCode2["Eh"] = "EH";
  CountryCode2["Er"] = "ER";
  CountryCode2["Es"] = "ES";
  CountryCode2["Et"] = "ET";
  CountryCode2["Fi"] = "FI";
  CountryCode2["Fj"] = "FJ";
  CountryCode2["Fk"] = "FK";
  CountryCode2["Fm"] = "FM";
  CountryCode2["Fo"] = "FO";
  CountryCode2["Fr"] = "FR";
  CountryCode2["Ga"] = "GA";
  CountryCode2["Gb"] = "GB";
  CountryCode2["Gd"] = "GD";
  CountryCode2["Ge"] = "GE";
  CountryCode2["Gf"] = "GF";
  CountryCode2["Gg"] = "GG";
  CountryCode2["Gh"] = "GH";
  CountryCode2["Gi"] = "GI";
  CountryCode2["Gl"] = "GL";
  CountryCode2["Gm"] = "GM";
  CountryCode2["Gn"] = "GN";
  CountryCode2["Gp"] = "GP";
  CountryCode2["Gq"] = "GQ";
  CountryCode2["Gr"] = "GR";
  CountryCode2["Gs"] = "GS";
  CountryCode2["Gt"] = "GT";
  CountryCode2["Gu"] = "GU";
  CountryCode2["Gw"] = "GW";
  CountryCode2["Gy"] = "GY";
  CountryCode2["Hk"] = "HK";
  CountryCode2["Hm"] = "HM";
  CountryCode2["Hn"] = "HN";
  CountryCode2["Hr"] = "HR";
  CountryCode2["Ht"] = "HT";
  CountryCode2["Hu"] = "HU";
  CountryCode2["Id"] = "ID";
  CountryCode2["Ie"] = "IE";
  CountryCode2["Il"] = "IL";
  CountryCode2["Im"] = "IM";
  CountryCode2["In"] = "IN";
  CountryCode2["Io"] = "IO";
  CountryCode2["Iq"] = "IQ";
  CountryCode2["Ir"] = "IR";
  CountryCode2["Is"] = "IS";
  CountryCode2["It"] = "IT";
  CountryCode2["Je"] = "JE";
  CountryCode2["Jm"] = "JM";
  CountryCode2["Jo"] = "JO";
  CountryCode2["Jp"] = "JP";
  CountryCode2["Ke"] = "KE";
  CountryCode2["Kg"] = "KG";
  CountryCode2["Kh"] = "KH";
  CountryCode2["Ki"] = "KI";
  CountryCode2["Km"] = "KM";
  CountryCode2["Kn"] = "KN";
  CountryCode2["Kp"] = "KP";
  CountryCode2["Kr"] = "KR";
  CountryCode2["Kw"] = "KW";
  CountryCode2["Ky"] = "KY";
  CountryCode2["Kz"] = "KZ";
  CountryCode2["La"] = "LA";
  CountryCode2["Lb"] = "LB";
  CountryCode2["Lc"] = "LC";
  CountryCode2["Li"] = "LI";
  CountryCode2["Lk"] = "LK";
  CountryCode2["Lr"] = "LR";
  CountryCode2["Ls"] = "LS";
  CountryCode2["Lt"] = "LT";
  CountryCode2["Lu"] = "LU";
  CountryCode2["Lv"] = "LV";
  CountryCode2["Ly"] = "LY";
  CountryCode2["Ma"] = "MA";
  CountryCode2["Mc"] = "MC";
  CountryCode2["Md"] = "MD";
  CountryCode2["Me"] = "ME";
  CountryCode2["Mf"] = "MF";
  CountryCode2["Mg"] = "MG";
  CountryCode2["Mh"] = "MH";
  CountryCode2["Mk"] = "MK";
  CountryCode2["Ml"] = "ML";
  CountryCode2["Mm"] = "MM";
  CountryCode2["Mn"] = "MN";
  CountryCode2["Mo"] = "MO";
  CountryCode2["Mp"] = "MP";
  CountryCode2["Mq"] = "MQ";
  CountryCode2["Mr"] = "MR";
  CountryCode2["Ms"] = "MS";
  CountryCode2["Mt"] = "MT";
  CountryCode2["Mu"] = "MU";
  CountryCode2["Mv"] = "MV";
  CountryCode2["Mw"] = "MW";
  CountryCode2["Mx"] = "MX";
  CountryCode2["My"] = "MY";
  CountryCode2["Mz"] = "MZ";
  CountryCode2["Na"] = "NA";
  CountryCode2["Nc"] = "NC";
  CountryCode2["Ne"] = "NE";
  CountryCode2["Nf"] = "NF";
  CountryCode2["Ng"] = "NG";
  CountryCode2["Ni"] = "NI";
  CountryCode2["Nl"] = "NL";
  CountryCode2["No"] = "NO";
  CountryCode2["Np"] = "NP";
  CountryCode2["Nr"] = "NR";
  CountryCode2["Nu"] = "NU";
  CountryCode2["Nz"] = "NZ";
  CountryCode2["Om"] = "OM";
  CountryCode2["Pa"] = "PA";
  CountryCode2["Pe"] = "PE";
  CountryCode2["Pf"] = "PF";
  CountryCode2["Pg"] = "PG";
  CountryCode2["Ph"] = "PH";
  CountryCode2["Pk"] = "PK";
  CountryCode2["Pl"] = "PL";
  CountryCode2["Pm"] = "PM";
  CountryCode2["Pn"] = "PN";
  CountryCode2["Pr"] = "PR";
  CountryCode2["Ps"] = "PS";
  CountryCode2["Pt"] = "PT";
  CountryCode2["Pw"] = "PW";
  CountryCode2["Py"] = "PY";
  CountryCode2["Qa"] = "QA";
  CountryCode2["Re"] = "RE";
  CountryCode2["Ro"] = "RO";
  CountryCode2["Rs"] = "RS";
  CountryCode2["Ru"] = "RU";
  CountryCode2["Rw"] = "RW";
  CountryCode2["Sa"] = "SA";
  CountryCode2["Sb"] = "SB";
  CountryCode2["Sc"] = "SC";
  CountryCode2["Sd"] = "SD";
  CountryCode2["Se"] = "SE";
  CountryCode2["Sg"] = "SG";
  CountryCode2["Sh"] = "SH";
  CountryCode2["Si"] = "SI";
  CountryCode2["Sj"] = "SJ";
  CountryCode2["Sk"] = "SK";
  CountryCode2["Sl"] = "SL";
  CountryCode2["Sm"] = "SM";
  CountryCode2["Sn"] = "SN";
  CountryCode2["So"] = "SO";
  CountryCode2["Sr"] = "SR";
  CountryCode2["Ss"] = "SS";
  CountryCode2["St"] = "ST";
  CountryCode2["Sv"] = "SV";
  CountryCode2["Sx"] = "SX";
  CountryCode2["Sy"] = "SY";
  CountryCode2["Sz"] = "SZ";
  CountryCode2["Tc"] = "TC";
  CountryCode2["Td"] = "TD";
  CountryCode2["Tf"] = "TF";
  CountryCode2["Tg"] = "TG";
  CountryCode2["Th"] = "TH";
  CountryCode2["Tj"] = "TJ";
  CountryCode2["Tk"] = "TK";
  CountryCode2["Tl"] = "TL";
  CountryCode2["Tm"] = "TM";
  CountryCode2["Tn"] = "TN";
  CountryCode2["To"] = "TO";
  CountryCode2["Tr"] = "TR";
  CountryCode2["Tt"] = "TT";
  CountryCode2["Tv"] = "TV";
  CountryCode2["Tw"] = "TW";
  CountryCode2["Tz"] = "TZ";
  CountryCode2["Ua"] = "UA";
  CountryCode2["Ug"] = "UG";
  CountryCode2["Um"] = "UM";
  CountryCode2["Us"] = "US";
  CountryCode2["Uy"] = "UY";
  CountryCode2["Uz"] = "UZ";
  CountryCode2["Va"] = "VA";
  CountryCode2["Vc"] = "VC";
  CountryCode2["Ve"] = "VE";
  CountryCode2["Vg"] = "VG";
  CountryCode2["Vi"] = "VI";
  CountryCode2["Vn"] = "VN";
  CountryCode2["Vu"] = "VU";
  CountryCode2["Wf"] = "WF";
  CountryCode2["Ws"] = "WS";
  CountryCode2["Xk"] = "XK";
  CountryCode2["Ye"] = "YE";
  CountryCode2["Yt"] = "YT";
  CountryCode2["Yu"] = "YU";
  CountryCode2["Za"] = "ZA";
  CountryCode2["Zm"] = "ZM";
  CountryCode2["Zw"] = "ZW";
  return CountryCode2;
})(CountryCode || {});
var GenderCode = /* @__PURE__ */ ((GenderCode2) => {
  GenderCode2["F"] = "F";
  GenderCode2["M"] = "M";
  return GenderCode2;
})(GenderCode || {});
var PhoneType = /* @__PURE__ */ ((PhoneType2) => {
  PhoneType2["Fixed"] = "fixed";
  PhoneType2["Mobile"] = "mobile";
  return PhoneType2;
})(PhoneType || {});
const GetUserInfoDocument = `
    query getUserInfo {
  profile {
    missingMandatoryData
    firstName
    lastName
    dateOfBirth
    genderCode
    communicationLanguage
    phone {
      type
      countryCode
      number
      createdAt
      updatedAt
    }
    isPrivacyUser
    address {
      countryCode
      postalCode
      locationName
      streetName
      houseNumber
      letterBoxName
      deliveryPoint
      additionalDeliveryPtInfo
      additionalLocationInfo
      region
      createdAt
      updatedAt
    }
    createdAt
    updatedAt
  }
}
    `;
const useGetUserInfoQuery = (variables, options) => useQuery(variables === void 0 ? ["getUserInfo"] : ["getUserInfo", variables], useGraphQLRequest(GetUserInfoDocument).bind(null, variables), options);
useGetUserInfoQuery.document = GetUserInfoDocument;
useGetUserInfoQuery.getKey = (variables) => variables === void 0 ? ["getUserInfo"] : ["getUserInfo", variables];
const UpdateIdentityDocument = `
    mutation updateIdentity($firstName: String!, $lastName: String!, $dateOfBirth: DateTime!, $genderCode: GenderCode!, $updatedAt: DateTime!) {
  updateProfile(
    profile: {firstName: $firstName, lastName: $lastName, dateOfBirth: $dateOfBirth, genderCode: $genderCode, updatedAt: $updatedAt}
  ) {
    firstName
    lastName
    dateOfBirth
    genderCode
  }
}
    `;
const useUpdateIdentityMutation = (options) => useMutation(["updateIdentity"], useGraphQLRequest(UpdateIdentityDocument), options);
const UpdateAddressDocument = `
    mutation updateAddress($address: AddressInput!, $updatedAt: DateTime!) {
  updateProfile(profile: {address: $address, updatedAt: $updatedAt}) {
    address {
      countryCode
      postalCode
      locationName
      streetName
      houseNumber
      letterBoxName
      deliveryPoint
      additionalDeliveryPtInfo
      additionalLocationInfo
      region
      createdAt
      updatedAt
    }
    createdAt
    updatedAt
  }
}
    `;
const useUpdateAddressMutation = (options) => useMutation(["updateAddress"], useGraphQLRequest(UpdateAddressDocument), options);
const UpdateLanguageDocument = `
    mutation updateLanguage($communicationLanguage: CommunicationLanguage!, $updatedAt: DateTime!) {
  updateProfile(
    profile: {communicationLanguage: $communicationLanguage, updatedAt: $updatedAt}
  ) {
    communicationLanguage
  }
}
    `;
const useUpdateLanguageMutation = (options) => useMutation(["updateLanguage"], useGraphQLRequest(UpdateLanguageDocument), options);
const UpdatePhonesDocument = `
    mutation updatePhones($phones: [PhoneInput!], $updatedAt: DateTime!) {
  updateProfile(profile: {phone: $phones, updatedAt: $updatedAt}) {
    missingMandatoryData
    firstName
    lastName
    dateOfBirth
    genderCode
    communicationLanguage
    phone {
      type
      countryCode
      number
      createdAt
      updatedAt
    }
    updatedAt
    createdAt
  }
}
    `;
const useUpdatePhonesMutation = (options) => useMutation(["updatePhones"], useGraphQLRequest(UpdatePhonesDocument), options);
const OnboardProfileDocument = `
    mutation onboardProfile($firstName: String!, $lastName: String!, $dateOfBirth: DateTime!, $genderCode: GenderCode!, $communicationLanguage: CommunicationLanguage!, $phone: [PhoneInput!], $updatedAt: DateTime!) {
  updateProfile(
    profile: {firstName: $firstName, lastName: $lastName, dateOfBirth: $dateOfBirth, genderCode: $genderCode, phone: $phone, communicationLanguage: $communicationLanguage, updatedAt: $updatedAt}
  ) {
    missingMandatoryData
    firstName
    lastName
    dateOfBirth
    genderCode
    phone {
      type
      countryCode
      number
      createdAt
      updatedAt
    }
    communicationLanguage
    updatedAt
    createdAt
  }
}
    `;
const useOnboardProfileMutation = (options) => useMutation(["onboardProfile"], useGraphQLRequest(OnboardProfileDocument), options);
const useGetUserInfo = () => {
  const {
    t
  } = useTranslation("web");
  const setUser = useStore((state) => state.setUser);
  const {
    isLoading,
    isError,
    isSuccess,
    data
  } = useGetUserInfoQuery();
  const navigate = useNavigate();
  d$1(() => {
    var _a;
    if (isSuccess) {
      const {
        profile
      } = data;
      setUser(profile);
      if ((_a = profile.missingMandatoryData) == null ? void 0 : _a.length) {
        return navigate(toUrl(t("profile.manageProfile.title")), {
          replace: true
        });
      }
    }
  }, [data, isSuccess, navigate, setUser, t]);
  return {
    isLoading,
    isError,
    isSuccess
  };
};
const avatarLogo = "_avatarLogo_zhsad_1";
const avatarCharacter = "_avatarCharacter_zhsad_10";
const avatarLarge = "_avatarLarge_zhsad_16";
var styles$3 = {
  avatarLogo,
  avatarCharacter,
  avatarLarge
};
const getVariantClass = (variant) => {
  return variant ? styles$3[`avatar${capitalize(variant)}`] : "";
};
const Avatar = ({
  firstName = "",
  lastName = "",
  variant
}) => {
  const initials = `${firstName.substring(0, 1)}${lastName.substring(0, 1)}`;
  return jsx("span", {
    class: `${styles$3.avatar} ${getVariantClass(variant)}`,
    role: "presentation",
    children: jsx("div", {
      class: styles$3.avatarLogo,
      "aria-hidden": "true",
      children: jsx("span", {
        class: styles$3.avatarCharacter,
        children: initials
      })
    })
  });
};
const chevron = "_chevron_efa0w_1";
var styles$2 = {
  chevron
};
const Chevron = ({
  text
}) => {
  return jsxs("div", {
    class: styles$2.chevron,
    children: [text && jsx("span", {
      children: text
    }), jsx(SvgChevronRight, {})]
  });
};
const listItem = "_listItem_1ntem_1";
const left = "_left_1ntem_26";
const body = "_body_1ntem_31";
const right = "_right_1ntem_48";
var styles$1 = {
  listItem,
  left,
  body,
  right
};
const ListItemBody = ({
  asset,
  title,
  subtitle,
  action,
  body: body2
}) => jsxs(Fragment, {
  children: [jsxs("div", {
    class: styles$1.left,
    children: [!!asset && asset, jsxs("div", {
      class: styles$1.body,
      children: [!!subtitle && jsx("span", {
        class: "body-medium",
        children: subtitle
      }), jsx("span", {
        class: "body-medium",
        children: title
      }), body2 == null ? void 0 : body2.map((text, i) => jsx("span", {
        class: "subtext",
        children: text
      }, i))]
    })]
  }), jsx("div", {
    class: styles$1.right,
    children: !!action && action
  })]
});
const ListItem = (props) => {
  if (props.variant === "link") {
    return jsx("li", {
      class: styles$1.listItem,
      children: jsx(NavLink, {
        to: props.route.href,
        onClick: (e) => e.currentTarget.blur(),
        end: !!props.route.end,
        children: jsx(ListItemBody, {
          asset: props.asset,
          title: props.title,
          subtitle: props.subtitle,
          action: props.action,
          body: props.body
        })
      })
    });
  }
  return jsx("li", {
    class: styles$1.listItem,
    children: jsx("div", {
      children: jsx(ListItemBody, {
        asset: props.asset,
        title: props.title,
        subtitle: props.subtitle,
        action: props.action,
        body: props.body
      })
    })
  });
};
const useSticky = (ref) => {
  const isHeaderFixed = useIsHeaderFixed();
  d$1(() => {
    if (!ref.current)
      return;
    const headerHeight = isHeaderFixed ? getHeaderHeight(TagName.Profile) : 0;
    ref.current.style.top = `${0 + headerHeight}px`;
  }, [isHeaderFixed, ref]);
};
const SvgAccount = (props) => /* @__PURE__ */ v("svg", __spreadValues({
  width: 24,
  height: 24,
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
}, props), /* @__PURE__ */ v("path", {
  d: "M14.4749 4.52513C15.8418 5.89197 15.8418 8.10804 14.4749 9.47488C13.1081 10.8417 10.892 10.8417 9.52516 9.47488C8.15832 8.10804 8.15832 5.89197 9.52516 4.52513C10.892 3.15829 13.1081 3.15829 14.4749 4.52513",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M4 18.5V19.5C4 20.052 4.448 20.5 5 20.5H19C19.552 20.5 20 20.052 20 19.5V18.5C20 15.474 16.048 13.508 12 13.508C7.952 13.508 4 15.474 4 18.5Z",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}));
const SvgReceipt = (props) => /* @__PURE__ */ v("svg", __spreadValues({
  width: 24,
  height: 24,
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
}, props), /* @__PURE__ */ v("path", {
  d: "M16 7H8",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M16.13 11H8",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M4 19.191V4C4 3.448 4.448 3 5 3H19C19.552 3 20 3.448 20 4V19.191C20 19.563 19.609 19.804 19.276 19.638L17.333 18.666L14.89 19.888C14.749 19.958 14.584 19.958 14.443 19.888L12 18.667L9.557 19.889C9.416 19.959 9.251 19.959 9.11 19.889L6.667 18.667L4.724 19.639C4.391 19.804 4 19.563 4 19.191V19.191Z",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M13 15H8",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}));
const SvgStatistics = (props) => /* @__PURE__ */ v("svg", __spreadValues({
  width: 24,
  height: 24,
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
}, props), /* @__PURE__ */ v("path", {
  d: "M16 2.99998H8C5.23858 2.99998 3 5.23856 3 7.99998V16C3 18.7614 5.23858 21 8 21H16C18.7614 21 21 18.7614 21 16V7.99998C21 5.23856 18.7614 2.99998 16 2.99998Z",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M12 15V7.99999",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M8 10.8884V15",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M16 15V12.2597",
  stroke: "currentColor",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}));
const IS_CURRENT_HOUR = true;
const NIGHT = 0;
const MORNING = 6;
const NOON = 12;
const AFTERNOON = 13;
const EVENING = 17;
const useGreeting = () => {
  const {
    t
  } = useTranslation("web");
  const currentHour = new Date().getHours();
  switch (IS_CURRENT_HOUR) {
    case (NIGHT <= currentHour && currentHour < MORNING):
      return t("profile.navigation.greetings.goodnight");
    case (MORNING <= currentHour && currentHour < NOON):
      return t("profile.navigation.greetings.goodmorning");
    case (NOON <= currentHour && currentHour < AFTERNOON):
      return t("profile.navigation.greetings.goodnoon");
    case (AFTERNOON <= currentHour && currentHour < EVENING):
      return t("profile.navigation.greetings.goodafternoon");
    default:
      return t("profile.navigation.greetings.goodevening");
  }
};
const sectionTitle = "_sectionTitle_1gqia_1";
const avatar = "_avatar_1gqia_8";
const greeting = "_greeting_1gqia_12";
const profileNavigation = "_profileNavigation_1gqia_32";
const navigationList = "_navigationList_1gqia_37";
var styles = {
  sectionTitle,
  avatar,
  greeting,
  profileNavigation,
  navigationList
};
const Navigation = () => {
  const {
    t
  } = useTranslation("web");
  const {
    firstName,
    lastName
  } = useStore((state) => state.user);
  const greeting2 = useGreeting();
  const breakpoint = useBreakpoint();
  const nav = h(null);
  useSticky(nav);
  const routeSections = [{
    routes: [{
      icon: breakpoint === "desktop" ? jsx(SvgAccount, {}) : jsx("span", {
        class: styles.avatar,
        children: jsx(Avatar, {
          firstName,
          lastName
        })
      }),
      label: t("profile.manageProfile.title"),
      subtitle: breakpoint !== "desktop" && firstName && lastName ? `${firstName} ${lastName}` : void 0,
      href: toBaseUrl(t("profile.manageProfile.title"))
    }]
  }, {
    title: t("profile.dividerTitle.purchases"),
    routes: [{
      icon: jsx(SvgReceipt, {}),
      label: t("profile.receipts.title"),
      href: toBaseUrl(t("profile.receipts.title"))
    }, {
      icon: jsx(SvgStatistics, {}),
      label: t("profile.purchaseStatistics.title"),
      href: toBaseUrl(t("profile.purchaseStatistics.title"))
    }]
  }];
  return jsx("nav", {
    ref: nav,
    "aria-label": t("profile.navigation.title"),
    class: styles.profileNavigation,
    children: jsxs("ul", {
      children: [breakpoint === "desktop" && jsx("li", {
        class: `${styles.sectionTitle} ${styles.greeting}`,
        children: !!firstName && !!lastName ? jsxs(Fragment, {
          children: [jsx(Avatar, {
            firstName,
            lastName
          }), jsxs("span", {
            children: [greeting2, ", ", firstName]
          })]
        }) : jsx("span", {
          children: greeting2
        })
      }), routeSections.map((section) => jsxs("li", {
        children: [section.title && jsx("span", {
          id: section.title,
          class: `subtext ${styles.sectionTitle}`,
          role: "none",
          children: section.title
        }), jsx("ul", {
          className: styles.navigationList,
          "aria-labelledby": section.title,
          children: section.routes.map(({
            icon,
            label,
            subtitle,
            extra,
            href,
            end
          }, i) => jsx(ListItem, __spreadValues({
            asset: icon,
            title: label,
            subtitle,
            route: {
              href,
              end
            },
            variant: "link"
          }, breakpoint !== "desktop" ? {
            action: jsx(Chevron, {
              text: extra
            })
          } : ""), i))
        })]
      }, section.title))]
    })
  });
};
const Manage = F$1(() => import("./index8.js").then(function(n) {
  return n.h;
}));
const Statistics = F$1(() => import("./index12.js").then(function(n) {
  return n.A;
}));
const Receipts = F$1(() => import("./index16.js").then(function(n) {
  return n.i;
}));
const IndexPage = () => {
  const breakpoint = useBreakpoint();
  const {
    t
  } = useTranslation("web");
  if (breakpoint !== "desktop") {
    return jsx(Navigation, {});
  }
  return jsx(Navigate, {
    to: toUrl(t("profile.manageProfile.title")),
    replace: true
  });
};
const Profile = ({
  brand
}) => {
  var _a;
  const user = useStore((state) => state.user);
  const isMissingMandatoryData = !!((_a = user == null ? void 0 : user.missingMandatoryData) == null ? void 0 : _a.length);
  const {
    t
  } = useTranslation("web");
  const {
    isLoading,
    isError
  } = useGetUserInfo();
  const breakpoint = useBreakpoint();
  const LINKS = {
    manageProfile: `${toUrl(t("profile.manageProfile.title"))}/*`,
    receipts: `${toUrl(t("profile.receipts.title"))}/*`,
    purchaseStatistics: `${toUrl(t("profile.purchaseStatistics.title"))}/*`
  };
  if (isError) {
    return jsxs(Fragment, {
      children: [jsx("nav", {}), jsx("section", {
        children: jsx(ErrorState, {})
      })]
    });
  }
  if (isLoading || !user) {
    return jsxs(Fragment, {
      children: [jsx("nav", {}), jsx(RouteFallback, {})]
    });
  }
  return jsxs(Fragment, {
    children: [jsx(HelmetChangeHandler, {
      env_brand: brand
    }), breakpoint === "desktop" && jsx(Navigation, {}), jsx(L, {
      fallback: jsx(RouteFallback, {}),
      children: jsxs(Routes, {
        children: [jsx(Route, {
          path: "/",
          element: jsx(IndexPage, {})
        }), jsx(Route, {
          path: LINKS.manageProfile,
          element: jsx(Manage, {})
        }), !isMissingMandatoryData && jsxs(Fragment, {
          children: [jsx(Route, {
            path: LINKS.receipts,
            element: jsx(Receipts, {})
          }), jsx(Route, {
            path: LINKS.purchaseStatistics,
            element: jsx(Statistics, {})
          })]
        })]
      })
    })]
  });
};
const queryClient = new QueryClient();
const ProfileWrapper = ({
  brand,
  msalInstance,
  environment,
  isHeaderFixed = "false",
  titleSeperator = "|",
  headTitle = ""
}) => {
  const mainRef = h(null);
  useMinHeight(mainRef);
  const isAuthenticated = !!msalInstance.getAllAccounts().length;
  if (!isAuthenticated) {
    return msalInstance.loginRedirect(getRedirectRequest(environment));
  }
  return jsx("main", {
    ref: mainRef,
    className: TagName.Profile,
    children: jsx(MsalProvider, {
      instance: msalInstance,
      children: jsx(EnvironmentProvider, {
        environment,
        children: jsx(IsHeaderFixedProvider, {
          isHeaderFixed: !!+isHeaderFixed,
          children: jsx(HeadTitleProvider, {
            headTitle,
            titleSeperator,
            children: jsx(QueryClientProvider, {
              client: queryClient,
              children: jsx(GraphQLClientProvider, {
                children: jsx(HashRouter, {
                  children: jsx(Profile, {
                    brand
                  })
                })
              })
            })
          })
        })
      })
    })
  });
};
var index = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  "default": ProfileWrapper
}, Symbol.toStringTag, { value: "Module" }));
export { Avatar as A, Chevron as C, ErrorState as E, GenderCode as G, HelmetExport as H, ListItem as L, NavLink as N, PropTypes as P, RouteFallback as R, useOnboardProfileMutation as a, useGetUserInfoQuery as b, Routes as c, Route as d, useLocation as e, capitalize as f, useHeadTitle as g, toBaseUrl as h, useSticky as i, useIsHeaderFixed as j, getHeaderHeight as k, useMutation as l, useNavigate as m, useFullHeight as n, CountryCode as o, useUpdateAddressMutation as p, useUpdatePhonesMutation as q, require$$1 as r, PhoneType as s, toUrl as t, useUpdateIdentityMutation as u, useUpdateLanguageMutation as v, useParams as w, index as x };
