import { u as useIsDisabled } from "./isDisabled.js";
import { a as jsxs, j as jsx } from "./jsx-runtime.js";
const selectInput = "_selectInput_1logu_1";
const selectInputWithIcon = "_selectInputWithIcon_1logu_28";
const icon = "_icon_1logu_40";
const disabledSelect = "_disabledSelect_1logu_80";
const error = "_error_1logu_89";
var classes = {
  selectInput,
  selectInputWithIcon,
  icon,
  disabledSelect,
  error
};
const SelectInput = ({
  id,
  label,
  options,
  selectedValue,
  variant = "default",
  error: error2,
  icon: icon2,
  onChange
}) => {
  const isDisabled = useIsDisabled();
  const isSelected = (value) => value === selectedValue;
  return jsxs("div", {
    class: variant === "withIcon" ? classes.selectInputWithIcon : classes.selectInput,
    children: [jsx("label", {
      htmlFor: id,
      name: label,
      children: label
    }), jsx("select", {
      id,
      class: variant === "disabledSelect" && isDisabled ? `heading-4 ${classes.disabledSelect}` : "",
      disabled: isDisabled,
      onChange,
      children: options.map(({
        value,
        label: title
      }) => jsx("option", {
        id: value || title.replace(/ /g, ""),
        value,
        selected: isSelected(value),
        children: title
      }, value || title.replace(/ /g, "")))
    }), icon2 && jsx("div", {
      class: classes.icon,
      children: icon2
    }), error2 && jsx("span", {
      class: "subtext",
      children: error2
    })]
  });
};
export { SelectInput as S };
